2010-10-25 10:46  kmirny

	* irplib/irplib_detmon_lg.c: DFS09490 - Better description for exts
	parameter

2010-10-21 13:51  llundin

	* recipes/visir_img_combine.c: visir_img_combine_save(): Rearrange
	for clarity

2010-10-19 17:32  llundin

	* recipes/visir_img_burst.c: visir_img_burst_find_delta_chop():
	Find 1st A-frame

2010-10-13 17:18  llundin

	* recipes/visir_img_burst.c: visir_img_burst_find_delta_chop():
	Draft added

2010-10-07 16:10  llundin

	* irplib/: irplib_wcs.c, irplib_wcs.h, tests/irplib_wcs-test.c:
	irplib_wcs_iso8601_from_string(), irplib_wcs_mjd_from_iso8601(),
	irplib_wcs_mjd_from_string(), irplib_wcs_iso8601_from_mjd(): Added
	w. unit tests

2010-10-07 15:45  llundin

	* irplib/irplib_wcs.h: Fix line breaks

2010-10-07 11:19  llundin

	* irplib/: irplib_wcs.c, tests/irplib_wcs-test.c:
	irplib_wcs_xytoradec(), irplib_wcs_radectoxy(): Check for NULL
	input, propagate WCS-error, unify var-names and matrix-handling,
	extend unit testing

2010-09-30 09:34  llundin

	* visir/visir_inputs.c: visir_inputs_combine(): Clean up OMP
	support

2010-09-30 08:49  llundin

	* recipes/visir_img_phot.c, visir/visir_spectro.c: Increment
	IRPLIB_FITS_STRLEN allocation

2010-09-30 08:48  llundin

	* visir/visir_spc_photom.c: rm unused variable

2010-08-20 15:10  llundin

	* recipes/visir_img_combine.c: visir_img_combine_save():
	CPL_BPP_8_UNSIGNED replaces CPL_BPP_16_UNSIGNED in onebeam append

2010-08-19 11:34  llundin

	* visir/visir_parameter.c: VISIR_PARAMETER_*(): Improve error
	handling

2010-08-19 11:33  llundin

	* irplib/: irplib_plugin.c, tests/Makefile.am,
	tests/irplib_plugin-test.c: irplib_parameterlist_get*(): Improve
	error handling w. unit test

2010-08-19 08:19  llundin

	* recipes/visir_img_phot.c: One-beam Product added (DFS02196)

2010-08-18 15:30  llundin

	* visir/visir_dfs.h: VISIR_IMG_PHOT_ONEBEAM_PROCATG added

2010-08-18 15:14  llundin

	* visir/visir_parameter.c: VISIR_PARAMETER_GET_*(): %llx replaces
	%llu

2010-08-17 18:06  kmirny

	* irplib/irplib_detmon_lg.c: DFS09205 Computation of QC.LINEFF
	failed

2010-08-16 16:40  llundin

	* recipes/visir_img_combine.c, visir/visir_inputs.c,
	visir/visir_inputs.h, visir/visir_parameter.c,
	visir/visir_parameter.h: --eccmax=0.25

2010-08-16 11:31  llundin

	* visir/visir_inputs.c: visir_img_find_beam_{three,four}(): Fix
	uninit warning

2010-08-13 15:34  llundin

	* visir/visir_inputs.c: Improve message(s)

2010-08-13 15:33  llundin

	* visir/visir_inputs.c: cpl_error_set_message() (mostly) replaces
	cpl_msg_error(). visir_inputs_combine(): Do not reset on didfail

2010-08-13 15:25  kmirny

	* irplib/irplib_detmon_lg.c: DFS09205 Computation of QC.LINEFF
	failed

2010-08-13 13:19  llundin

	* visir/visir_inputs.c: visir_img_collapse_beam(): Added: ESO QC
	ONEBEAM THROW, ESO QC ONEBEAM XPOS, ESO QC ONEBEAM YPOS, ESO QC
	ONEBEAM ECCENTRICITY

2010-08-12 14:34  llundin

	* visir/visir_inputs.c: visir_img_find_beam_{four,three}(): Enable
	min-ecc message

2010-08-11 16:52  llundin

	* visir/visir_inputs.c: visir_img_find_beam_{four,three}(): Improve
	messaging

2010-08-11 13:25  llundin

	* visir/visir_inputs.c: visir_img_find_beam_three(): Use
	visir_img_check_align()

2010-08-11 10:57  llundin

	* visir/: visir_inputs.c, visir_inputs.h,
	tests/visir_inputs-test.c: visir_img_check_align(): Draft w. unit
	tests

2010-08-10 14:27  llundin

	* visir/visir_inputs.c: visir_img_collapse_beam_three(),
	visir_img_find_beam_three(): Draft version

2010-08-10 10:33  llundin

	* recipes/visir_img_combine.c: Use
	VISIR_IMG_COMBINE_ONEBEAM_PROCATG_*. Drop paflist :-)

2010-08-10 10:31  llundin

	* visir/visir_dfs.h: IMG_OBS_ONEBEAM_* added

2010-08-09 15:05  llundin

	* recipes/visir_img_combine.c, visir/visir_inputs.c,
	visir/visir_inputs.h: visir_img_collapse_beam(): Return image-pair
	and call separately

2010-08-09 15:04  llundin

	* recipes/: visir_spc_obs.c, visir_spc_obs_ech.c, visir_spc_phot.c,
	visir_spc_phot_ech.c, visir_img_phot.c: Undo previous commit

2010-08-07 09:05  amodigli

	* irplib/: irplib_detmon.c, irplib_detmon_lg.c: removed compiler
	warning and cleaned comments

2010-08-06 10:01  llundin

	* visir/visir_inputs.c: visir_img_collapse_beam(): Create collapsed
	img. visir_img_collapse_beam_four(): Create combined image

2010-08-04 09:36  llundin

	* visir/visir_dfs.h: rm IMG_PHOT_CONTRIB_MAP CATeGory

2010-08-04 09:35  llundin

	* recipes/visir_img_phot.c: visir_img_phot_save(): Merge contrib
	product into main product. Improve man-text

2010-08-04 09:10  llundin

	* visir/visir_dfs.h: rm IMG_OBS_CONTRIB_* CATeGory

2010-08-04 09:10  llundin

	* recipes/visir_img_combine.c: visir_img_combine_save(): Merge
	contrib product into main product

2010-08-03 16:05  kmirny

	* irplib/irplib_detmon_lg.c: fixing DFS09138 - warning: ISO C does
	not support plain 'complex'

2010-07-30 15:37  llundin

	* visir/visir_inputs.c: visir_img_find_beam_four(): Improve error
	handling of no objects found (bis)

2010-07-30 15:35  llundin

	* visir/visir_inputs.c: visir_img_find_beam_four(): Improve error
	handling of no objects found

2010-07-30 15:23  llundin

	* recipes/visir_img_combine.c, recipes/visir_img_phot.c,
	recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_phot.c, recipes/visir_spc_phot_ech.c,
	visir/visir_inputs.c, visir/visir_inputs.h: visir_img_recombine(),
	visir_img_collapse_beam(): Use visir_chopnod_mode

2010-07-30 11:08  llundin

	* visir/visir_inputs.c: visir_img_find_beam_four(): Simplify
	handling of failed object detection

2010-07-29 16:32  llundin

	* visir/visir_inputs.c: visir_img_collapse_beam(): Fix support for
	missing CHOPNOD DIRection. visir_img_find_beam_four(): Recover from
	errors, evaluate all quads for both flux and eccentricity

2010-07-29 11:40  llundin

	* visir/: visir_inputs.c, visir_inputs.h,
	tests/visir_inputs-test.c: visir_img_check_box(): replaces
	visir_img_eccent_four()

2010-07-28 15:02  llundin

	* visir/: visir_inputs.h, visir_inputs.c,
	tests/visir_inputs-test.c: visir_img_collapse_beam(): Added.
	visir_img_eccent_four(): Added w. unit test

2010-07-28 15:01  llundin

	* visir/: visir_pfits.c, visir_pfits.h:
	visir_pfits_get_chop_throw(): Added.
	VISIR_PFITS_REGEXP_IMG_RECOMBINE: Extend w. keys for beam-collapse

2010-07-27 15:05  llundin

	* visir/tests/: Makefile.am, visir_inputs-test.c: Add inputs tests

2010-07-26 15:55  llundin

	* visir/visir_destripe.c: visir_destripe_mask(): Crop empty rows
	from 1st closing mask

2010-07-26 14:52  llundin

	* visir/visir_destripe.c: visir_destripe_mask(): cpl_mask_filter()
	replaces cpl_mask_closing(), cpl_mask_dilation()

2010-07-23 12:59  llundin

	* recipes/visir_img_burst.c: visir_img_burst_extract():
	cpl_mask_filter() replaces cpl_mask_closing()

2010-07-23 11:33  llundin

	* configure.ac: 3.4.0

2010-07-22 13:52  llundin

	* recipes/: Makefile.am, tests/Makefile.am: re-add recipe

2010-07-22 13:52  llundin

	* recipes/visir_util_inputs.c, visir/visir_dfs.h: Use: RAW and
	update man-page

2010-07-08 14:21  llundin

	* recipes/visir_img_burst.c: Prefix product names w. recipe name.
	visir_img_burst_create_combined(): Use irplib_dfs_save_imagelist()

2010-06-29 14:06  llundin

	* acinclude.m4: Changes per
	https://websqa.hq.eso.org/sdd/bin/view/Pipeline/NewInstallationDire
	ctories (bis)

2010-06-17 15:21  kmirny

	* irplib/: irplib_detmon_lg.c, irplib_utils.c: DFS08963 DETMON -
	Warnings during compilation

2010-06-17 15:04  llundin

	* Makefile.am, acinclude.m4, visir/Makefile.am: Changes per
	https://websqa.hq.eso.org/sdd/bin/view/Pipeline/NewInstallationDire
	ctories

2010-05-25 16:26  kmirny

	* irplib/irplib_detmon_lg.c: [DFS08870] - DETMON - Handle a CPL
	error, if FFTW is not installed.

2010-05-21 10:11  kmirny

	* irplib/irplib_detmon_lg.c: removing references to FFTW lib

2010-05-21 08:42  kmirny

	* irplib/irplib_detmon.c: removing references to FFTW lib

2010-05-21 08:38  kmirny

	* irplib/: irplib_detmon.c, irplib_detmon_lg.c: removing references
	to FFTW lib

2010-05-20 15:20  kmirny

	* irplib/irplib_utils.c: [DFS08319] - DETMON - Usage of FFTW 2.x is
	incompatible with CPL 5.1.  [DFS08283] - DETMON - 
	irplib_detmon_image_correlate() can segfault.  [DFS08763] - DETMON
	- detmon applied to vista linearity dataset.  Conditional
	compilation for old CPL (before 4.8) was removed

2010-05-20 15:08  kmirny

	* irplib/: irplib_detmon.c, irplib_detmon_lg.c: [DFS08319] - DETMON
	- Usage of FFTW 2.x is incompatible with CPL 5.1.  [DFS08283] -
	DETMON -  irplib_detmon_image_correlate() can segfault.  [DFS08763]
	- DETMON - detmon applied to vista linearity dataset.  Conditional
	compilation for old CPL (before 4.8) was removed

2010-05-05 18:02  llundin

	* irplib/: irplib_distortion.c, irplib_slitpos.c: Use
	cpl_mask_filter() with CPL 5.2

2010-05-05 15:48  llundin

	* irplib/tests/irplib_utils-test.c: frameset_sort_test(): Fix gcc
	warning, total rewrite. bench_irplib_image_split():
	cpl_test_get_cputime() replaces clock().
	test_irplib_dfs_table_convert(), test_irplib_image_split(): Use
	cpl_test_eq_error(). main(): C99 comments

2010-04-07 07:54  amodigli

	* irplib/irplib_detmon_lg.c: fixed Ubuntu compiler warning

2010-03-24 15:55  amodigli

	* irplib/irplib_detmon_lg.c: fixed compiler warning

2010-03-23 08:57  kmirny

	* irplib/irplib_utils.h: DFS08552, Documentation for
	irplib_frameset_sort

2010-03-23 08:30  amodigli

	* irplib/tests/: irplib_detmon_lg-test.c, irplib_detmon-test.c:
	fixed compiler warnings

2010-03-22 17:16  kmirny

	* irplib/irplib_detmon_lg.c: the size of the frameset could be
	changed during the irplib_detmon_lg_reduce_set call, so the size of
	the selection array should be adjusted with some values, to avoid
	reading of the not allocated memory.  see DFS08110 for the detailed
	error description

2010-03-12 12:11  llundin

	* configure.ac: 3.3.1

2010-03-09 13:52  llundin

	* recipes/: visir_img_combine.c, visir_img_dark.c, visir_img_ff.c,
	visir_img_phot.c, visir_spc_obs.c, visir_spc_obs_ech.c,
	visir_spc_phot.c, visir_spc_phot_ech.c, visir_spc_wcal.c,
	visir_spc_wcal_ech.c: ifdef VISIR_SAVE_PAF guards
	cpl_dfs_save_paf() (DFS08522)

2010-03-09 10:28  llundin

	* configure.ac: 3.3.0

2010-02-08 08:22  amodigli

	* irplib/irplib_detmon_lg.c: fixed compiler warnings

2010-02-04 08:17  lbilbao

	* irplib/: Makefile.am, irplib_fft.c, irplib_fft.h,
	irplib_fft_body.h, tests/Makefile.am, tests/irplib_fft-test.c:
	irplib_fft module removal.

2010-02-03 10:19  kmirny

	* irplib/tests/irplib_fft-test.c: removing compiler warning
	-HAVE_SFFTW_NOT_USED is not defined-

2010-02-03 10:11  kmirny

	* irplib/irplib_fft.c: removing compiler warning
	-HAVE_SFFTW_NOT_USED is not defined-

2010-02-02 17:03  kmirny

	* irplib/: irplib_detmon.c, irplib_detmon_lg.c, irplib_fft.c,
	tests/irplib_detmon_lg-test.c, tests/irplib_fft-test.c: Temporary
	disable usage of FFTW to avoid a crash during unit test. DFS08319

2010-02-02 13:27  llundin

	* visir/visir_spectro.c: visir_spc_extract(): Threshold around
	median (DFS08266) (bis: echelle-error check typo)

2010-02-02 10:49  llundin

	* visir/visir_spectro.c: VISIR_SPECTRO_SIGMA=3.
	visir_spc_extract(): Use VISIR_SPECTRO_SIGMA, Threshold around
	median (DFS08266) (draft)

2010-02-01 11:01  llundin

	* visir/visir_destripe.c: visir_destripe_image(): Improve doxygen

2010-02-01 11:01  llundin

	* visir/visir_destripe_body.c: visir_destripe_image_one*(): reduce
	var-dec scope, improve doxygen, Add VISIR_DESTRIPE_AVERAGE (default
	off)

2010-01-29 11:14  lbilbao

	* irplib/tests/irplib_detmon_lg-test.c: HAVE_FFTW -> HAVE_SFFTW so
	that the test is run only when the code is compiled. Ticket
	DFS08283 is related.

2010-01-27 14:51  llundin

	* visir/visir_inputs.c: visir_inputs_combine(): --enable-openmp
	with single loop pragma (3rd: fix mem-leak on error)

2010-01-27 13:59  llundin

	* visir/visir_inputs.c: visir_inputs_combine(): --enable-openmp
	with single loop pragma (bis: fix mem-leak on error)

2009-12-18 16:11  kmirny

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c,
	tests/irplib_utils-test.c: fixing compiler warnings

2009-12-18 11:44  cgarcia

	* irplib/: irplib_match_cats.c, irplib_match_cats.h: Removed 'not
	really release ready' code for matching of multiple catalogues

2009-12-16 15:59  cgarcia

	* irplib/irplib_utils.h: Avoid name clash with index function

2009-12-16 15:49  cgarcia

	* irplib/irplib_cat.h: Avoid name clash

2009-12-16 15:42  cgarcia

	* irplib/irplib_match_cats.c: Added missing declaration of function

2009-12-15 15:25  kmirny

	* irplib/irplib_detmon_lg.c: new comment

2009-12-02 18:35  cgarcia

	* irplib/irplib_match_cats.c: Fixed memory leak

2009-12-01 13:34  cgarcia

	* irplib/irplib_cat.c: Added setting error status.

2009-11-26 15:19  cgarcia

	* irplib/Makefile.am: Include match_cats module

2009-11-26 15:19  cgarcia

	* irplib/: irplib_match_cats.c, irplib_match_cats.h: Included
	function to match only pairs

2009-11-18 22:37  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute(): Retry
	cpl_flux_get_noise_ring() on failure

2009-11-16 21:52  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute(),
	irplib_strehl_generate_psf(), irplib_strehl_generate_otf(): Improve
	doxygen of physical units

2009-11-16 18:00  llundin

	* irplib/irplib_plugin.c: irplib_plugin_test(): Validate product
	frames

2009-11-13 21:42  llundin

	* irplib/irplib_strehl.c: cpl_image_get_data_float_const() replaces
	cpl_image_get_data_float()

2009-11-09 15:13  amodigli

	* irplib/irplib_detmon_body.h: clarified an error message

2009-11-09 14:32  llundin

	* irplib/irplib_wavecal.c:
	irplib_vector_fill_line_spectrum_model(): Fix memory error

2009-11-03 09:46  llundin

	* visir/visir_inputs.c: visir_inputs_combine(): Timing only with
	OMP

2009-10-29 19:28  amodigli

	* irplib/irplib_detmon_lg.c: fixed compiler warning

2009-10-29 13:50  kmirny

	* irplib/irplib_detmon_lg.c: DFS07810 FPN is computed on the wrong
	frames - fixed

2009-10-29 12:59  kmirny

	* irplib/irplib_detmon_lg.c: DFS07810 FPN is computed on the wrong
	frames - fixed

2009-10-28 14:48  kmirny

	* irplib/irplib_detmon_lg.c: DFS07810 FPN is computed using the
	"last best"frames, gain table has a flag

2009-10-27 12:58  llundin

	* irplib/tests/: irplib_filter-test.c, irplib_wlxcorr-test.c:
	cpl_test_error(), cpl_test_eq() replaces cpl_test_eq_error() to
	support CPL 5.0.1 and older

2009-10-22 21:44  llundin

	* irplib/irplib_wavecal.c:
	irplib_vector_fill_line_spectrum_model(): Correct check on erftmp

2009-10-21 16:49  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h,
	irplib_wavecal_impl.h, tests/irplib_wlxcorr-test.c,
	irplib_wlxcorr.c: irplib_line_spectrum_model: erftmp added

2009-10-21 15:37  llundin

	* irplib/irplib_wlxcorr.c: spectro_compute_disprel(): 1st try w.
	irplib_vector_fill_logline_spectrum_fast,()

2009-10-21 15:19  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h,
	irplib_wavecal_impl.h, tests/irplib_wlxcorr-test.c:
	irplib_vector_fill_line_spectrum_fast(): Added

2009-10-19 09:53  llundin

	* irplib/irplib_wavecal.c:
	irplib_bivector_find_shift_from_correlation(): Include end-points
	as candidates. irplib_polynomial_find_1d_from_correlation_all():
	Dense fall-back on irplib_polynomial_shift_1d_from_correlation()

2009-10-16 17:04  llundin

	* irplib/irplib_wavecal.c:
	irplib_polynomial_find_1d_from_correlation_all(): Use doplot also
	with GSL absent

2009-10-16 17:00  llundin

	* irplib/irplib_wavecal.c: Undo previous edit

2009-10-16 08:38  kmirny

	* irplib/irplib_wavecal.c: Fixing compiling warning

2009-10-15 16:02  kmirny

	* irplib/: irplib_detmon.c, irplib_detmon_lg.c, irplib_hist.c,
	irplib_utils.c: Fixing compiling warning

2009-10-15 09:17  llundin

	* irplib/tests/irplib_filter-test.c:
	irplib_image_filter_background_line_test(): Optional NULL image

2009-10-14 17:48  llundin

	* irplib/irplib_filter.c: irplib_image_filter_background_line():
	indent

2009-10-14 14:32  llundin

	* irplib/: irplib_distortion.c, irplib_slitpos.c:
	irplib_distortion_estimate(), irplib_slitpos_analysis(): Use
	irplib_image_filter_background_line()

2009-10-14 14:10  llundin

	* irplib/: irplib_filter.c, irplib_filter.h,
	tests/irplib_filter-test.c: irplib_image_filter_background_line():
	1st draft

2009-10-14 13:46  llundin

	* irplib/: Makefile.am, irplib_filter.c, irplib_filter.h,
	tests/Makefile.am, tests/irplib_filter-test.c:
	irplib_image_filter_background_arc(): Stub w. unit-tests

2009-10-14 13:13  llundin

	* irplib/: filter_median.c, irplib_filter.h,
	tests/irplib_filter-test.c: Moved to CPL

2009-10-13 18:50  amodigli

	* irplib/irplib_detmon_lg.c: Now QC CONTAMi is computed on the non
	saturated OPT frame with greatest EXPTIME

2009-10-13 14:11  llundin

	* irplib/irplib_distortion.c: irplib_distortion_estimate(): Use
	horizontal median-filter (DFS07749)

2009-10-13 11:21  llundin

	* irplib/irplib_distortion.c: rm space in front of ;

2009-10-12 15:52  amodigli

	* irplib/irplib_detmon_lg.c: fix DFS07733 (to have QC CONTAMi in
	DET_LIN_INFO product)

2009-10-12 11:06  lbilbao

	* irplib/irplib_detmon_lg.c: DFS07733. const modifier removed (line
	4296)

2009-10-09 18:34  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h:
	irplib_base_spectrum_model: Added

2009-10-09 17:45  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h:
	irplib_polynomial_find_1d_from_correlation_all(): Added

2009-10-08 17:15  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h:
	irplib_bivector_find_shift_from_correlation(): Added

2009-10-08 09:53  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h:
	irplib_bivector_count_positive(): Added

2009-09-29 15:56  amodigli

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: implemented NDIT dependence

2009-09-17 08:53  amodigli

	* irplib/irplib_detmon_lg.c: fixed seg fault due to passing to
	irplib_detmon_fill_parlist a number of arguments greater that the
	ones actually filled

2009-09-11 10:23  yjung

	* irplib/irplib_spectrum.c: solved DFS07407 : FWHM of lines were
	conmputes on spec_convolved inst of spec_clean

2009-09-10 15:24  lbilbao

	* irplib/: irplib_test.c, irplib_test.h: -

2009-09-04 11:21  cgarcia

	* irplib/irplib_match_cats.c: Solved a bug.  Debug messages.

2009-09-02 08:55  amodigli

	* irplib/irplib_detmon_lg.h: namespace protect irplib typedefs

2009-09-01 08:49  amodigli

	* irplib/: irplib_detmon.c, irplib_detmon.h: fix compiler error
	from NRI due to typedef namespace conflicts withb CPL similar
	typedef

2009-08-27 14:20  amodigli

	* irplib/irplib_detmon.c: fixed compiler errors

2009-08-27 14:16  amodigli

	* irplib/: irplib_detmon.c, irplib_detmon.h: promoted to non-static
	irplib_detmon_build_synthetic irplib_detmon_ronbias_histo_reduce
	irplib_flux_get_bias_window as used by xshooter

2009-08-25 18:10  cgarcia

	* irplib/irplib_match_cats.c: Fixed bug introduced in version 1.4

2009-08-25 18:07  cgarcia

	* irplib/tests/irplib_match_cats-test.c: Test for irplib_match_cats

2009-08-25 17:11  cgarcia

	* irplib/irplib_match_cats.h: Polish the API

2009-08-25 17:11  cgarcia

	* irplib/irplib_match_cats.c: Fixed memory leaks.  Polish the API

2009-08-25 16:31  cgarcia

	* irplib/irplib_match_cats.c: Cleaning up unnecessary code

2009-08-25 16:30  kmirny

	* irplib/irplib_detmon_lg.c: DFS07358

2009-08-25 10:45  cgarcia

	* irplib/irplib_match_cats.h: Code cleanup

2009-08-24 19:06  cgarcia

	* irplib/irplib_match_cats.c: Remove old code

2009-08-24 18:31  cgarcia

	* irplib/: irplib_match_cats.h, irplib_match_cats.c: First version
	of catalogue matching

2009-08-24 08:31  kmirny

	* irplib/irplib_detmon_lg.c: DFS07358

2009-08-21 16:53  kmirny

	* irplib/irplib_detmon_lg.c: DFS07358

2009-08-21 14:23  llundin

	* configure.ac, m4macros/eso.m4, visir/visir_destripe_body.c,
	visir/visir_inputs.c, visir/visir_spc_distortion.c: --enable-openmp
	with single loop pragma

2009-08-21 11:26  llundin

	* visir/visir_parameter.c: VISIR_PARAM_OFFSETS: Improve help-text

2009-08-20 08:44  amodigli

	* irplib/: irplib_detmon.h, irplib_detmon_lg.h: fixed typo in
	recipe man description

2009-08-19 16:17  kmirny

	* irplib/irplib_detmon_lg.c: DFS07133

2009-08-17 17:10  kmirny

	* irplib/tests/: irplib_detmon_lg-test.c, irplib_utils-test.c:
	DFS07454 DFS07437

2009-08-17 17:10  kmirny

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	irplib_detmon_lg_impl.h, irplib_utils.c, irplib_utils.h: 
	DFS07454 DFS07437

2009-08-12 16:59  cgarcia

	* irplib/: irplib_cat.h, irplib_wcs.c, irplib_wcs.h: Fixed const
	correctness of some functions

2009-08-12 16:51  cgarcia

	* irplib/irplib_cat.c: Fixed bug that appears only when -std=c99 is
	not used. fmin and fmax have been removed

2009-08-12 16:26  cgarcia

	* irplib/tests/irplib_cat-test.c: Removed warning message

2009-08-12 11:26  kmirny

	* irplib/irplib_detmon_lg_impl.h: DFS07454

2009-08-12 11:13  kmirny

	* irplib/: Makefile.am, irplib_cat.c, irplib_detmon.c,
	irplib_detmon_lg.c, irplib_utils.h, irplib_utils.c,
	tests/irplib_detmon-test.c, tests/irplib_utils-test.c: DFS07454

2009-08-11 17:41  cgarcia

	* irplib/tests/irplib_cat-test.c: Changed test to cpl_test_abs
	instead of cpl_test_leq

2009-08-10 13:57  kmirny

	* irplib/irplib_detmon.c: Fixing error handling

2009-08-06 09:40  kmirny

	* irplib/irplib_detmon_lg.c: DFS07430: FPN computation should take
	a GAIN from QC parameters

2009-08-05 17:58  cgarcia

	* irplib/tests/: irplib_cat-test.c, irplib_cat-test.c: Temporal
	change made to troubleshoot an NRI problem that cannot be
	reproduced in our machines

2009-07-30 18:05  kmirny

	* irplib/irplib_detmon.c: DFS07375

2009-07-30 17:17  kmirny

	* irplib/irplib_detmon.c: DFS07376

2009-07-30 14:38  yjung

	* irplib/: irplib_ppm.c, irplib_spectrum.c, irplib_spectrum.h:
	irplib_spectrum_detect_peaks() in irplib_spectrum.c changed API:
	cpl_vector * irplib_spectrum_detect_peaks(const cpl_vector *, int, 
	       double, int, cpl_vector **, cpl_vector **) ; instead of
	cpl_vector * irplib_spectrum_detect_peaks(const cpl_vector *, int, 
	       double, int) ;
	
	The 2 new parameters can be NULL (previous behaviour).

2009-07-29 16:14  kmirny

	* irplib/irplib_detmon_lg.c: remove debug code

2009-07-28 11:32  llundin

	* irplib/irplib_spectrum.c: valid_spectrum(): Add debuggin on
	failure

2009-07-28 10:47  llundin

	* visir/visir_parameter.c: VISIR_PARAM_OFFSETS: Updated

2009-07-24 16:15  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_analysis(): 1+2*Slit_max
	x 1 median filter

2009-07-24 11:22  kmirny

	* irplib/irplib_detmon_lg.c: DFS07316

2009-07-23 15:20  llundin

	* irplib/irplib_slitpos.c: Revert to 1.19, then add N x 1 median
	filtering

2009-07-23 13:58  kmirny

	* irplib/irplib_detmon_lg.c: DFS07316

2009-07-23 13:45  llundin

	* irplib/irplib_slitpos.c: Improve comments

2009-07-23 10:19  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_find_vert_slit_ends():
	Deallocate kernel

2009-07-23 09:43  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_find_vert_slit_ends():
	Use edge detection

2009-07-22 16:22  kmirny

	* irplib/irplib_detmon_lg.c: DFS05852

2009-07-22 15:59  kmirny

	* irplib/irplib_detmon_lg.c: remove debug output

2009-07-22 15:45  kmirny

	* irplib/irplib_detmon_lg.c: DFS06921

2009-07-22 10:56  kmirny

	* irplib/: irplib_detmon_lg.c, irplib_utils.c, irplib_utils.h:
	DFS06921, DFS05852, DFS07316

2009-07-20 14:14  kmirny

	* irplib/irplib_detmon_lg.c: FPN - new recipe params

2009-07-17 16:12  kmirny

	* irplib/irplib_detmon_lg.c: FPN computation

2009-07-16 11:55  lbilbao

	* irplib/irplib_fft_body.h: Warnings removed.

2009-07-16 09:23  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h,
	irplib_wavecal_impl.h, irplib_wlxcorr.c,
	tests/irplib_wlxcorr-test.c: Add used lines to spectrum model. No
	iteration on too many lines

2009-07-15 16:41  kmirny

	* irplib/irplib_detmon_lg.c: DFS07249

2009-07-15 12:31  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h: model->xcost.
	(maxite = 200/coeff)

2009-07-14 18:54  amodigli

	* irplib/irplib_detmon_lg.c: Added robustness checks on
	intermediate results that lead to FPN computation and eventually
	issue warnings

2009-07-14 15:34  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h:
	irplib_polynomial_shift_1d_from_correlation(): return *pxc.
	irplib_polynomial_find_1d_from_correlation(): Use
	cpl_polynomial_eval_1d_diff()

2009-07-13 15:51  llundin

	* irplib/irplib_wavecal.c:
	irplib_polynomial_find_1d_from_correlation(): reduce scope of fprev

2009-07-13 15:28  kmirny

	* irplib/irplib_detmon_lg.c: fixing failes unit test

2009-07-13 11:00  llundin

	* irplib/irplib_wavecal.c: irplib_gsl_correlation(): -1 on error.
	irplib_vector_fill_line_spectrum_model(): Reset linepix on error

2009-07-13 10:23  kmirny

	* irplib/irplib_detmon_lg.c: DFS06823

2009-07-13 08:47  kmirny

	* irplib/irplib_hist.c: [no log message]

2009-07-10 17:11  llundin

	* irplib/irplib_wavecal.c:
	irplib_vector_fill_line_spectrum_model(): Handle error on xpos >
	xpos, better error msg. irplib_gsl_correlation(): XC=-1 on failed
	fill

2009-07-10 17:05  llundin

	* irplib/: irplib_utils.c, irplib_utils.h:
	irplib_errorstate_dump_{warning,info,debug}(): Added

2009-07-10 14:38  kmirny

	* irplib/irplib_detmon_lg.c: DFS07248

2009-07-10 10:25  kmirny

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h, irplib_hist.c:
	[no log message]

2009-07-07 15:02  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal_impl.h,
	irplib_wlxcorr.c, tests/irplib_wlxcorr-test.c:
	irplib_vector_fill_line_spectrum_model(): support log()-lines.
	irplib_vector_fill_logline_spectrum_model(): Drop.
	irplib_vector_fill_logline_spectrum(): Use
	irplib_vector_fill_line_spectrum_model()

2009-07-03 11:39  llundin

	* configure.ac: 3.2.2

2009-06-29 16:32  kmirny

	* irplib/: irplib_strehl.c, irplib_strehl.h: removing compiler
	warnings

2009-06-26 10:39  kmirny

	* irplib/irplib_strehl.c: fixing compiler warning

2009-06-25 10:28  kmirny

	* irplib/irplib_strehl.c: DFS07157

2009-06-10 11:14  lbilbao

	* irplib/irplib_detmon_lg.c: Revert changes from last commit until
	they are complete.

2009-05-29 17:29  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h,
	irplib_wavecal_impl.h: irplib_vector_fill_logline_spectrum(): Added

2009-05-27 14:40  llundin

	* irplib/irplib_plugin.c: irplib_plugin_test(): Drop prestate

2009-05-27 14:33  llundin

	* irplib/irplib_plugin.c: irplib_plugin_test(): Use cpl_test module

2009-05-27 13:20  llundin

	* irplib/irplib_plugin.c: recipe_sof_test_devfile(): Replaces
	recipe_sof_test_random(). irplib_plugin_test(): Use
	recipe_sof_test_devfile()

2009-05-25 11:09  cgarcia

	* irplib/irplib_cat.c: Fixed warning. Uninitialized use of status
	variable.

2009-05-22 16:53  llundin

	* irplib/irplib_utils.h: any_if(): Added

2009-05-21 12:07  llundin

	* irplib/tests/irplib_polynomial-test.c: cpl_test_abs() replaces
	cpl_test_abs_macro()

2009-05-18 16:31  lbilbao

	* irplib/: irplib_detmon_body.h, tests/irplib_detmon-test.c: Fix
	bug in irplib_ksigma_clip(). (DFS07017)

2009-05-13 18:19  llundin

	* irplib/: irplib_utils.c, irplib_utils.h:
	irplib_frameset_get_first_from_group(): Redeclare to const to get
	warning on indirect modification of frameset

2009-05-13 09:33  llundin

	* visir/visir_inputs.c: visir_rem_glitch(): (bis)

2009-05-12 16:23  llundin

	* irplib/: Makefile.am, tests/Makefile.am: Removed, Use
	cpl_image_filter

2009-05-12 16:21  llundin

	* irplib/irplib_plot.c: Removed, use cpl_plot

2009-05-12 15:41  llundin

	* recipes/visir_img_burst.c, visir/visir_destripe.c,
	visir/visir_destripe_body.c, visir/visir_utils.c:
	cpl_image_filter_mask() replaces irplib_image_filter()

2009-05-12 15:14  llundin

	* recipes/visir_img_burst.c, visir/visir_inputs.c,
	visir/visir_parameter.c, visir/visir_spc_distortion.h,
	visir/visir_spectro.c, visir/visir_utils.h: Drop support for CPL
	4.X

2009-05-12 15:13  llundin

	* irplib/irplib_stdstar.c, irplib/irplib_utils.h,
	recipes/visir_img_dark.c, recipes/visir_util_inputs.c:
	irplib_sprintf, irplib_vsprintf: Dropped

2009-05-12 15:06  llundin

	* irplib/irplib_plot.h: irplib_table_plot: Define as
	cpl_plot_column

2009-05-12 14:35  llundin

	* irplib/: Makefile.am, irplib_plot.h: Drop irplib plotting
	functions

2009-05-12 13:56  llundin

	* irplib/irplib_stdstar.c: irplib_stdstar_write_catalogs(): Drop
	support for CPL 4.X

2009-05-12 13:42  llundin

	* irplib/: irplib_ppm.c, irplib_spectrum.c, irplib_wavecal.c,
	irplib_wlxcorr.c, irplib_ppm.c: cpl_plot replaces irplib_plot

2009-05-12 13:39  llundin

	* irplib/irplib_wlxcorr.c: irplib_wlcalib_is_lines(): Use
	cpl_polynomial_eval_1d_diff()

2009-05-12 13:14  llundin

	* irplib/irplib_wlxcorr.c: Drop support for CPL 4.X

2009-05-12 13:12  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: Drop support for CPL 4.X
	(irplib_dfs_save_*())

2009-05-12 13:10  llundin

	* irplib/: irplib_distortion.c, irplib_polynomial.c,
	irplib_polynomial.h, irplib_wavecal.c:
	irplib_polynomial_shift_1d(): Dropped

2009-05-12 11:57  llundin

	* irplib/irplib_framelist.c: irplib_type_as_string(): Replaced by
	cpl_type_get_name()

2009-05-11 16:01  llundin

	* recipes/visir_img_burst.c: image_median_conv():
	cpl_image_filter() replaces cpl_image_filter_linear() (bis)

2009-05-11 15:58  llundin

	* recipes/visir_img_burst.c: image_median_conv():
	cpl_image_filter() replaces cpl_image_filter_linear()

2009-05-11 13:37  llundin

	* recipes/visir_img_burst.c: image_1d_poly_create():
	cpl_polynomial_fit() replaces cpl_polynomial_fit_2d_create(), fix
	mem-leak on error, const correctness

2009-05-11 12:06  llundin

	* visir/visir_inputs.c: visir_rem_glitch(): cpl_image_filter_mask()
	replaces cpl_image_filter_median()

2009-05-11 11:35  llundin

	* irplib/irplib_ppm.c: irplib_ppm_engine(): cpl_polynomial_fit()
	replaces cpl_polynomial_fit_1d_create(), avoid some casting, reduce
	scope, avoid calls to get_size in for loop, line breaks

2009-05-11 10:56  llundin

	* irplib/irplib_plugin.c: use IRPLIB_TEST_RANDOM_SOF

2009-05-08 15:40  yjung

	* irplib/irplib_spectrum.c: irplib_spectrum_detect_peaks:
	convolution is switched off if fwhm is 0

2009-05-07 17:20  yjung

	* irplib/: irplib_distortion.c, irplib_slitpos.c,
	irplib_spectrum.c: stop calling deprecated CPL functions

2009-05-07 16:21  llundin

	* irplib/irplib_distortion.c:
	irplib_distortion_fill_arc_positions(): Use
	cpl_image_filter_mask(), cpl_polynomial_fit().
	irplib_polynomial_fit_2d(): Use cpl_polynomial_shift_1d()

2009-05-07 09:53  lbilbao

	* irplib/irplib_detmon.c: Check dependency on CPL version.

2009-05-06 15:02  llundin

	* irplib/irplib_distortion.c:
	irplib_distortion_fill_arc_positions(): Fix undef memory access,
	when "Could not find X-position"

2009-05-04 14:17  llundin

	* irplib/irplib_plugin.c: irplib_parameterlist_set_*(): Allow NULL
	for alias. irplib_plugin_test(): Enable recipe_sof_test_random()
	only on -DIRPLIB_TEST_RANDOM_SOF

2009-04-30 11:26  cgarcia

	* irplib/irplib_stdstar.c: Improved error messages and error codes

2009-04-29 11:54  lbilbao

	* irplib/irplib_detmon.c: Adapt to API change in CPL5.0

2009-04-28 17:02  lbilbao

	* irplib/irplib_detmon_lg.c: irplib_detmon_lg_reduce(): replace
	code to make use of lower-level functions irplib_detmon_{gain,
	lin}(). (DFS05848)

2009-04-27 11:58  cgarcia

	* irplib/irplib_wcs.c: Removed debug comment

2009-04-27 11:37  cgarcia

	* irplib/: irplib_stdstar.h, irplib_stdstar.c:
	irplib_wcs_great_circle_dist moved to wcs module.

2009-04-27 11:36  cgarcia

	* irplib/: irplib_wcs.h, irplib_wcs.c: Moved
	irplib_wcs_great_circle_dist from the stdstar module.

2009-04-24 09:43  llundin

	* irplib/tests/irplib_polynomial-test.c: Raise resitol on 1 test

2009-04-08 10:17  llundin

	* irplib/tests/irplib_polynomial-test.c: Disable 4 3.degree tests
	due to failures with -O3

2009-04-07 18:29  amodigli

	* irplib/irplib_detmon_lg.c: fixed mem leaks

2009-04-02 16:32  lbilbao

	* irplib/irplib_detmon_lg.c: irplib_detmon_reduce_all(): Output
	size requested to be the same regardless of input parameters.
	(DFS05711)

2009-03-31 11:26  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h: New QC parameter
	CONAD.CORR. Units added to GAIN.CORR. (DFS06836)

2009-03-31 10:43  lbilbao

	* irplib/irplib_detmon_lg.c: Additional check to avoid NaN in
	AUTOCORR column.

2009-03-31 09:31  lbilbao

	* irplib/irplib_detmon_lg.c: Create a PAF file per product instead
	of per recipe. Write QC keywords only to corresponding product
	header. Write PRO.CATG to PAF files. (DFS04918, DFS05851, DFS06739)

2009-03-30 12:30  lbilbao

	* irplib/irplib_detmon_lg.c: Bug fix. (DFS06822)

2009-03-30 11:02  lbilbao

	* irplib/irplib_detmon_lg.c: Avoid core dump in case of some frames
	missing in input. (DFS06796)

2009-03-30 10:09  lbilbao

	* irplib/irplib_detmon_lg.c: Add QC.METHOD for lower-level routine.
	(DFS06667)

2009-03-30 10:03  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h: New QC parameter
	QC.LIN.EFF.FLUX added (DFS06382).

2009-03-30 09:47  lbilbao

	* irplib/irplib_detmon_body.h: Catch NaN in irplib_ksigma_clip().
	(DFS06046)

2009-03-19 13:27  lbilbao

	* irplib/: irplib_cat.c, irplib_cat.h, irplib_wcs.c, irplib_wcs.h,
	tests/irplib_cat-test.c, tests/irplib_wcs-test.c: Removed
	unnecessary preprocessor directives.

2009-03-12 09:23  llundin

	* visir/visir_inputs.c: visir_inputs_combine(): Improve messaging

2009-03-09 15:59  llundin

	* configure.ac: 3.2.0 -> 3.2.1

2009-03-09 15:11  llundin

	* recipes/: visir_img_combine.c, visir_img_dark.c, visir_img_ff.c,
	visir_img_phot.c, visir_spc_obs.c, visir_spc_obs_ech.c,
	visir_spc_phot.c, visir_spc_phot_ech.c, visir_spc_wcal.c,
	visir_spc_wcal_ech.c: Add PRO.CATG to paf (DFS06746)

2009-03-06 14:54  llundin

	* configure.ac: 3.1.0 -> 3.2.0

2009-03-06 14:42  llundin

	* recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_wcal.c, recipes/visir_spc_wcal_ech.c,
	visir/visir_spc_photom.c, visir/visir_spectro.c,
	visir/visir_spectro.h: visir_spc_column_extract(): replaces
	visir_spc_echelle_extract(). imhcycle = NULL. improve messaging

2009-03-06 11:53  llundin

	* visir/visir_parameter.c: visir_parameter_set(): Update help for
	-rl -rr

2009-03-06 11:30  llundin

	* irplib/irplib_cat.c: irplib_2mass_extract(): Fix const warning
	with Enrique

2009-03-06 11:29  amodigli

	* irplib/irplib_detmon_lg.c: fixed compiler warnings

2009-03-06 09:35  llundin

	* visir/: visir_spc_photom.c, visir_utils.c:
	visir_spc_phot_sensit(): Compute background without column
	rejection

2009-03-06 09:34  llundin

	* visir/visir_destripe.c: visir_destripe_image(): At most one
	destriping run

2009-03-05 17:07  llundin

	* recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_phot.c, recipes/visir_spc_phot_ech.c,
	recipes/visir_spc_wcal.c, recipes/visir_spc_wcal_ech.c,
	visir/visir_parameter.c, visir/visir_parameter.h,
	visir/visir_spc_photom.c, visir/visir_spc_photom.h,
	visir/visir_utils.c: Add column bounds for spectrum extraction
	(DFS05626)

2009-03-05 15:17  lbilbao

	* irplib/irplib_detmon.c: Test

2009-03-05 14:21  llundin

	* visir/: visir_destripe.c, visir_destripe_body.c: Enable vertical
	destriping, when no horizonal stripes

2009-03-05 13:38  llundin

	* visir/: visir_parameter.c, visir_parameter.h: rv previous commit
	(bis)

2009-03-03 11:16  llundin

	* visir/visir_destripe_body.c: rv previous commit (w. respect to
	cpl_image_turn())

2009-03-03 09:02  llundin

	* irplib/irplib_distortion.c: irplib_distortion_purge_arcs():
	Correct 1st arc to purge

2009-03-02 15:00  cgarcia

	* irplib/irplib_cat.c: Fixed a warning

2009-03-02 14:13  cgarcia

	* irplib/tests/: irplib_cat-test.c, irplib_wcs-test.c: Included
	ifdef HAVE_CONFIG_H directive

2009-03-02 10:19  llundin

	* recipes/visir_img_burst.c: visir_destripe_imagelist(): Use
	redefined threshold, 3.5*1.64

2009-03-02 10:12  llundin

	* visir/visir_destripe.c: visir_destripe_image(): Break long lines,
	improve doxygen

2009-03-02 09:59  llundin

	* visir/visir_parameter.c: rv previous edit

2009-02-27 17:51  llundin

	* visir/visir_destripe.c: rv previous edit

2009-02-27 12:49  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: Missing convertion of
	kappa parameter (DFS06690).

2009-02-27 11:57  llundin

	* recipes/: visir_spc_phot_ech.c, visir_util_inputs.c: rv previous
	edit

2009-02-27 11:52  llundin

	* recipes/: visir_spc_obs_ech.c, visir_spc_phot.c: rv previous edit

2009-02-27 11:49  llundin

	* recipes/: visir_img_psf.c, visir_spc_obs.c: rv previous edit

2009-02-27 11:43  llundin

	* recipes/: visir_img_illu.c, visir_img_pfov.c, visir_img_phot.c:
	rv previous edit

2009-02-27 11:37  llundin

	* recipes/visir_img_focfwhm.c: rv previous edit

2009-02-27 11:28  llundin

	* m4macros/cpl.m4, recipes/visir_img_combine.c: rv previous edit

2009-02-27 11:26  llundin

	* m4macros/cpl.m4, recipes/visir_img_burst.c,
	recipes/visir_img_combine.c, recipes/visir_img_focfwhm.c,
	recipes/visir_img_illu.c, recipes/visir_img_pfov.c,
	recipes/visir_img_phot.c, recipes/visir_img_psf.c,
	recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_phot.c, recipes/visir_spc_phot_ech.c,
	recipes/visir_util_inputs.c, visir/visir_destripe.c,
	visir/visir_destripe_body.c, visir/visir_inputs.c,
	visir/visir_parameter.c, visir/visir_parameter.h:
	recipes/visir_img_burst.c

2009-02-19 16:53  lbilbao

	* irplib/irplib_detmon.c: Remove deprecated warnings.

2009-02-19 16:04  cgarcia

	* irplib/irplib_cat.c: Small changes to avoid compilation warnings

2009-02-19 14:44  lbilbao

	* irplib/irplib_detmon_lg.c: Memory errors reported by valgrind
	fixed.

2009-02-19 13:26  cgarcia

	* irplib/tests/irplib_cat-test.c: Really disable the test when
	WCSLIB is not present. Previously it wasn't properly catched.

2009-02-19 09:12  lbilbao

	* irplib/tests/: irplib_detmon-test.c, irplib_detmon_lg-test.c,
	irplib_hist-test.c: Non-standard comments // removed.

2009-02-18 09:27  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_shift_1d(): Fixed
	control reaches end of non-void function

2009-02-18 09:18  llundin

	* irplib/tests/irplib_polynomial-test.c: Disable one more test on
	n==4, raise tol on 2 others

2009-02-17 16:58  llundin

	* irplib/irplib_polynomial.h: Drop redundant declaration

2009-02-17 16:57  llundin

	* irplib/tests/irplib_polynomial-test.c: rm unused printf parm

2009-02-17 15:14  cgarcia

	* irplib/tests/irplib_wcs-test.c: Really disable the test when
	WCSLIB is not present. Previously it wasn't properly catched.

2009-02-17 14:15  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_test_root_all_macro(): Added to get line of
	caller

2009-02-17 13:38  llundin

	* irplib/tests/irplib_polynomial-test.c: Disable on test on n==4,
	raise tol on another

2009-02-17 11:58  cgarcia

	* irplib/: irplib_stdstar.h, irplib_stdstar.c: Added new function
	irplib_stdstar_find_star

2009-02-17 11:15  llundin

	* irplib/: irplib_distortion.c, irplib_framelist.c, irplib_plot.c,
	irplib_plugin.c, irplib_utils.c: strict C90: error handling

2009-02-17 09:05  amodigli

	* irplib/irplib_calib.c: removed // comments

2009-02-13 16:16  llundin

	* irplib/: filter_median.c, irplib_distortion.c: /* */ replaces //

2009-02-13 09:57  llundin

	* irplib/tests/irplib_polynomial-test.c: modify 2 tests for 64-bit

2009-02-12 14:49  lbilbao

	* irplib/: irplib_cat.c, irplib_cat.h, irplib_wcs.c, irplib_wcs.h,
	tests/irplib_cat-test.c, tests/irplib_wcs-test.c: Keep backward
	compatibility with CPL4.1 in IRPLIB

2009-02-12 10:43  cgarcia

	* irplib/tests/irplib_wcs-test.c: Added check in the case WCSLIB is
	not installed

2009-02-11 17:38  llundin

	* irplib/filter_median.c: filter_median(): Avoid 32-bit
	unsigned/signed conversion in 64-bit pointer arithmetic (DFS06582)

2009-02-10 09:07  amodigli

	* irplib/Makefile.am: added irplib_wavecal_impl.h

2009-02-10 00:47  lbilbao

	* irplib/irplib_detmon_lg.c: Fix

2009-02-09 13:30  cgarcia

	* irplib/: irplib_wcs.c, irplib_wcs.h: Added handy functions
	irplib_wcs_xytoradec and irplib_wcs_radectoxy which are easier to
	use than the ones in cpl_wcs (but less general).

2009-02-09 13:28  cgarcia

	* irplib/Makefile.am: Added irplib_cat and irplib_wcs

2009-02-09 13:27  cgarcia

	* irplib/: irplib_cat.c, irplib_cat.h: New functions to access
	2MASS catalogs.  New function to get the limits of an image in RA,
	DEC coordinates

2009-02-09 13:26  cgarcia

	* irplib/tests/Makefile.am: Included unit tests for irplib_cat and
	irplib_wcs

2009-02-09 13:25  cgarcia

	* irplib/tests/irplib_wcs-test.c: New unit test for irplib_wcs

2009-02-09 13:25  cgarcia

	* irplib/tests/irplib_cat-test.c: New unit test for irplib_cat

2009-02-04 10:18  lbilbao

	* irplib/irplib_detmon.c: Backwards compatibility.

2009-02-03 17:01  lbilbao

	* irplib/irplib_detmon.c: CPL5.0 API required change.

2009-02-02 17:27  lbilbao

	* irplib/irplib_detmon.c: PRO.TECH and PRO.TYPE made optional in
	irplib_detmon_fill_prolist().

2009-02-02 17:24  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon_lg.c, irplib_stdstar.c:
	Backward compatibility for previous changes due to CPL 5.0 API
	changes.

2009-01-30 10:30  yjung

	* irplib/irplib_stdstar.c: [no log message]

2009-01-30 10:23  yjung

	* irplib/irplib_stdstar.c: update call to cpl_dfs_save_table() for
	CPL 5.0

2009-01-30 10:12  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon_lg.c: Changes caused by
	CPL5.0 API changes.

2009-01-29 12:24  llundin

	* irplib/irplib_utils.c: irplib_dfs_save_*(): prestate, remregexp
	fixed

2009-01-29 12:15  llundin

	* irplib/irplib_utils.c: irplib_dfs_table_convert():
	irplib_dfs_save_table() replaces cpl_dfs_save_table()

2009-01-29 12:11  llundin

	* irplib/irplib_utils.c: irplib_dfs_save_propertylist(): Finish

2009-01-29 09:54  llundin

	* irplib/irplib_utils.c, irplib/irplib_utils.h,
	recipes/visir_img_achro.c, recipes/visir_img_burst.c,
	recipes/visir_img_combine.c, recipes/visir_img_dark.c,
	recipes/visir_img_ff.c, recipes/visir_img_focfwhm.c,
	recipes/visir_img_illu.c, recipes/visir_img_pfov.c,
	recipes/visir_img_phot.c, recipes/visir_img_psf.c,
	recipes/visir_img_trans.c, recipes/visir_spc_obs.c,
	recipes/visir_spc_obs_ech.c, recipes/visir_spc_phot.c,
	recipes/visir_spc_phot_ech.c, recipes/visir_spc_wcal.c,
	recipes/visir_spc_wcal_ech.c, recipes/visir_util_img_std_cat.c,
	recipes/visir_util_inputs.c, recipes/visir_util_spc_std_cat.c,
	recipes/visir_util_spc_txt2fits.c: irplib_dfs_save_*(): Added -
	works with both CPL 4.X and CPL 5.X

2009-01-26 15:20  lbilbao

	* irplib/irplib_detmon_lg.c: Remove unnecessary switch for CPL
	older than 4.1

2009-01-23 12:16  llundin

	* visir/visir_spectro.c: Update calls to cpl_polynomial_shift_1d()

2009-01-23 11:48  llundin

	* irplib/: irplib_polynomial.c, irplib_polynomial.h,
	irplib_wavecal.c, tests/irplib_wlxcorr-test.c:
	irplib_polynomial_shift_1d(): Deprecated. Update calls to
	cpl_polynomial_shift_1d()

2009-01-21 11:24  llundin

	* recipes/visir_img_burst.c: imagelist_combine(): Support new API
	for cpl_geom_img_offset_saa()

2008-12-23 11:37  amodigli

	* irplib/irplib_detmon_lg.c: added DETMON_QC_COUNTS_MIN/MAX and
	relative comments and updated doxygen documentation of
	irplib_detmon_lin_table_fill_row

2008-12-23 11:36  amodigli

	* irplib/irplib_detmon_lg.h: added DETMON_QC_COUNTS_MIN/MAX and
	relative comments

2008-12-23 09:40  amodigli

	* irplib/irplib_detmon.h: added units to computed QC

2008-11-20 11:44  llundin

	* irplib/tests/: Makefile.am, irplib_framelist-test.c:
	irplib_framelist-test.c added with a few tests

2008-11-20 11:24  llundin

	* irplib/irplib_framelist.h: #include <stdarg.h> Dropped

2008-11-17 15:44  llundin

	* irplib/irplib_wlxcorr.c: irplib_wlxcorr_best_poly(),
	irplib_wlcalib_is_lines(): Conditional compilation for CPL 4.1 and
	earlier

2008-11-10 18:37  amodigli

	* irplib/irplib_detmon_lg.c: fixed detmon-lg unit test

2008-11-09 12:59  amodigli

	* irplib/irplib_detmon_lg.c: cleaned output

2008-11-09 12:51  amodigli

	* irplib/irplib_detmon_lg.c: fixed DFS05856

2008-11-07 18:10  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h:
	irplib_line_spectrum_model: Added cost counter

2008-11-07 18:08  llundin

	* irplib/irplib_wavecal_impl.h:
	irplib_vector_fill_line_spectrum_model(): Shared between
	irplib_wavecal and irplib_wlxcorr modules

2008-11-07 17:53  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h:
	irplib_polynomial_tabulate(): Dropped

2008-11-07 17:47  llundin

	* irplib/irplib_wavecal.c:
	irplib_vector_fill_line_spectrum_model(),
	irplib_vector_fill_line_spectrum(),
	irplib_plot_spectrum_and_model(): Update docygen

2008-11-07 17:35  llundin

	* irplib/: Makefile.am, irplib_wavecal.c, irplib_wlxcorr.c,
	tests/irplib_wlxcorr-test.c:
	irplib_vector_fill_line_spectrum_model(): Shared between
	irplib_wavecal and irplib_wlxcorr modules

2008-11-06 13:55  llundin

	* irplib/: irplib_ppm.c, irplib_spectrum.c:
	irplib_wlxcorr_convolve_create_kernel() replaces
	cpl_wlcalib_xc_convolve_create_kernel(), irplib_wlxcorr_convolve()
	replaces cpl_wlcalib_xc_convolve(), irplib_wlxcorr_gen_spc_table()
	replaces cpl_wlcalib_xc_gen_spc_table()

2008-11-06 13:49  llundin

	* irplib/irplib_wlxcorr.c: IRPLIB_WLXCORR replaces CPL_WLCALIB_XC

2008-11-06 13:45  llundin

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h,
	tests/irplib_wlxcorr-test.c: Functions moved from CPL wlcalib_xc
	module

2008-11-05 16:45  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h:
	irplib_line_spectrum_model: Drop const modifiers and add non-const
	linepix member. irplib_vector_fill_line_spectrum_model(): Add param
	linepix. naco_spc_wavecal_1d(): Use linepix

2008-11-04 19:21  llundin

	* irplib/irplib_filter_body.c: irplib_image_filter_*(): Fix //
	comments

2008-11-04 17:20  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon_lg.c, irplib_detmon_lg.h:
	// Non-standard comments removed.

2008-10-27 14:43  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h:
	irplib_polynomial_tabulate(), static
	irplib_polynomial_dump_corr_step(): Added

2008-10-21 09:29  lbilbao

	* irplib/irplib_detmon_lg.c: Wrong sentence in irplib_detmon_lin()
	doxygen removed.

2008-09-23 13:36  amodigli

	* irplib/irplib_detmon_lg.c: fixed mem leak in riplib_detmon_lin

2008-09-22 17:29  amodigli

	* irplib/irplib_detmon_lg.c: updated doxygen irplib_detmon_lin

2008-09-22 16:20  amodigli

	* irplib/: irplib_detmon_lg.h, irplib_detmon_lg.c: added
	DETMON_QC_CONAD_C DETMON_QC_CONAD_CORR_C DETMON_QC_CONAD_CORR_C,
	clarified DETMON_QC_GAIN_C, changed interface
	irplib_detmon_lg_fill_parlist() irplib_detmon_lin()

2008-09-22 16:18  amodigli

	* irplib/irplib_detmon.c: renamed irplib_detmon_retrieve_par to
	irplib_detmon_retrieve_par_int and added
	irplib_detmon_retrieve_par_double, now kappa is a double

2008-09-22 16:17  amodigli

	* irplib/irplib_detmon.h: renamed irplib_detmon_retrieve_par to
	irplib_detmon_retrieve_par_int and added
	irplib_detmon_retrieve_par_double

2008-09-15 17:20  amodigli

	* irplib/irplib_detmon.c: added comments to FREQ and POW QC

2008-09-15 17:20  amodigli

	* irplib/irplib_detmon.h: added DETMON_QC_POW DETMON_QC_FREQ and
	their comments

2008-09-15 09:00  amodigli

	* irplib/irplib_detmon.c: use alias for QC params and their
	comments

2008-09-15 09:00  amodigli

	* irplib/irplib_detmon.h: added alias for QC params and their
	comments

2008-09-11 11:58  llundin

	* irplib/irplib_wavecal.c:
	irplib_polynomial_find_1d_from_correlation(): Avoid duplication of
	error checks

2008-09-11 11:39  llundin

	* irplib/irplib_wavecal.c:
	irplib_polynomial_find_1d_from_correlation(): Fix compiler warnings
	on absence of GSL

2008-09-11 11:12  amodigli

	* irplib/tests/irplib_detmon_lg-test.c: calls to irplib_detmon_lin
	to reflect API changes

2008-09-11 11:12  amodigli

	* irplib/irplib_detmon_lg.c: fixed compiler warning

2008-09-11 11:00  amodigli

	* irplib/irplib_detmon_lg.c: changed API irplib_detmon_lin to allow
	user to set kappa and bpmbin and changed irplib_detmon_bpixs

2008-09-11 10:59  amodigli

	* irplib/irplib_detmon_lg.h: changed API irplib_detmon_lin to allow
	user to set kappa and bpmbin

2008-09-11 09:58  amodigli

	* irplib/irplib_detmon_lg.c: udated doxy

2008-09-11 09:57  amodigli

	* irplib/tests/irplib_detmon_lg-test.c: fixed unit test
	(irplib_detmon_lin API change)

2008-09-11 09:36  llundin

	* irplib/irplib_framelist.c: irplib_framelist_get_const(),
	irplib_framelist_set_propertylist(),
	irplib_framelist_get_propertylist_const(),
	irplib_framelist_load_propertylist(): Fix off-by-one bug on
	accessor index check

2008-09-11 09:21  amodigli

	* irplib/irplib_detmon_lg.c: fixed typo man-page

2008-09-09 12:51  amodigli

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h: added
	DETMON_QC_LIN_COEF_C

2008-09-09 12:34  amodigli

	* irplib/irplib_detmon_lg.c: ,

2008-09-09 11:35  amodigli

	* irplib/irplib_detmon_lg.h: added DETMON_QC_LIN_COEF & _C

2008-09-09 11:30  amodigli

	* irplib/irplib_detmon_lg.c: added comments on QC paraameters, and
	updated some function doxygen documentation

2008-09-09 11:29  amodigli

	* irplib/irplib_detmon_lg.h: addeed DETMON_QC_LIN_COEF & _C,
	DETMON_QC_ERRFIT & _C, DETMON_QC_CONTAM & _C and updated
	DETMON_QC_GAIN_MSE_C

2008-09-08 17:56  amodigli

	* irplib/irplib_detmon_lg.c: improved doc function to compute gain

2008-09-08 09:31  llundin

	* irplib/irplib_ppm.c: IRPLIB_PPM_USE_METHOD2: Added to fix
	compiler warnings

2008-09-03 17:22  amodigli

	* irplib/irplib_detmon_lg.c: changed API irplib_detmon_lin() and
	cpl_detmon_lg_lineff() to solve some bugs for a user using low
	level functions. Added a check on the mode set and to get proper
	column table values EXPTIME or DIT

2008-09-03 17:20  amodigli

	* irplib/irplib_detmon_lg.h: changed API irplib_detmon_lin() low
	level function to set ref_level that otherwhise an implemented
	using that function could not do

2008-08-26 17:34  lbilbao

	* irplib/irplib_detmon_lg.c: Check added for template compatibility
	(concretely now for CRIRES/NACO different templates, with and
	without pairs of DARKs).

2008-08-26 17:13  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h: Bug produced in
	last change, affecting OPT Lin/Gain recipe, fixed now.

2008-08-21 14:45  lbilbao

	* irplib/irplib_detmon_lg.c: DFS05746

2008-08-21 11:35  llundin

	* irplib/irplib_wavecal.c: irplib_erf_antideriv(): Drop attempts to
	handle lack of erf()

2008-08-20 16:25  llundin

	* irplib/irplib_wavecal.c:
	irplib_vector_fill_line_spectrum_model(): Skip look on error

2008-08-20 16:00  llundin

	* configure.ac, m4macros/eso.m4: Fix --enable-strict so it works,
	and so -std=c99 is used when it is disabled. Check for erf()

2008-08-20 15:53  llundin

	* irplib/irplib_wavecal.c: Try to support C89

2008-08-20 09:04  amodigli

	* irplib/irplib_detmon_lg.c: added a missing check on EXPTIME/DIT
	columns in linear_table

2008-08-19 17:46  lbilbao

	* irplib/irplib_detmon_lg.c: Bug in OPT fixed.

2008-08-11 15:02  yjung

	* irplib/: irplib_spectrum.c, irplib_ppm.c, irplib_spectrum.c: [no
	log message]

2008-08-11 14:59  yjung

	* irplib/irplib_ppm.c: [no log message]

2008-08-11 14:20  yjung

	* irplib/irplib_ppm.c: [no log message]

2008-08-07 16:42  llundin

	* configure.ac: AC_CHECK_LIB() on -lsocket and -lnsl dropped

2008-08-07 16:29  llundin

	* acinclude.m4, configure.ac: LIB_CHECK_GSL to detect GSL and
	define HAVE_GSL

2008-08-07 13:38  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Raise bar for 6-deg test

2008-08-07 10:39  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_add(): Fix bug on
	empty self + simplify. irplib_polynomial_subtract(): Modified from
	irplib_polynomial_add()

2008-08-07 10:16  llundin

	* irplib/: irplib_distortion.c, irplib_polynomial.c:
	irplib_polynomial_shift_1d(): Dim numbered from 0

2008-08-07 10:13  llundin

	* irplib/irplib_distortion.c: irplib_distortion_estimate(): Updated
	doxygen

2008-08-06 16:59  llundin

	* irplib/irplib_distortion.c:
	irplib_distortion_fill_arc_positions(): info on line gradient at
	center

2008-08-06 16:52  llundin

	* irplib/: irplib_polynomial.c, tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all(),
	irplib_polynomial_solve_1d_nonzero(): Use cpl_polynomial_solve_1d()
	+ irplib_polynomial_divide_1d_root() to support arbitrary degrees
	(with simple test for 5+6 degree)

2008-08-06 14:13  yjung

	* irplib/irplib_ppm.c: [no log message]

2008-08-06 13:47  yjung

	* irplib/irplib_ppm.c: [no log message]

2008-08-06 13:28  yjung

	* irplib/irplib_ppm.c: [no log message]

2008-08-06 13:22  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Enable tests

2008-08-06 13:21  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3(): Give
	preference to real/double-root solution

2008-08-06 09:55  llundin

	* irplib/irplib_distortion.c: irplib_distortion_estimate():
	Bug-fix, set *arcs to NULL on failure

2008-08-05 23:29  llundin

	* irplib/: irplib_polynomial.c, irplib_polynomial.h:
	irplib_polynomial_shift_1d(): Added

2008-08-05 15:44  llundin

	* irplib/irplib_distortion.c:
	irplib_distortion_fill_arc_positions(): Fit a 1D-poly to each arc

2008-08-05 13:07  llundin

	* irplib/irplib_distortion.c: irplib_polynomial_fit_2d(): True
	fix-point for y=(ny+1)/2

2008-08-05 11:50  lbilbao

	* irplib/: irplib_detmon.h, irplib_detmon_lg.h: Code move from
	irplib_detmon_lg.h -> irplib_detmon.h

2008-08-04 15:13  llundin

	* irplib/irplib_distortion.c: irplib_distortion_estimate(): Prep
	for fitting with center line as true fix-point

2008-08-04 10:57  yjung

	* irplib/irplib_wlxcorr.c: 2 differtnt plottings for the catalog

2008-08-01 16:38  llundin

	* irplib/: irplib_wavecal.c, irplib_wavecal.h:
	irplib_vector_fill_line_spectrum_model(): renamed from
	irplib_vector_fill_line_spectrum().
	irplib_vector_fill_line_spectrum(): Renamed from
	irplib_vector_fill_spectrum()

2008-08-01 15:30  llundin

	* irplib/irplib_distortion.c:
	irplib_distortion_fill_arc_positions(): Better variable names =>
	merge two loops, avoid potentially dangerous data-layout assumption

2008-08-01 14:53  llundin

	* irplib/irplib_distortion.c: irplib_distortion_purge_arcs(): Purge
	arcs that do not cross center line.
	irplib_distortion_fill_arc_positions(): replaces
	irplib_distortion_get_arc_positions(), sample arcs along all rows
	(not just 20 uniformly spaced rows), Fit to centroid of center row,
	resize sample vectors

2008-08-01 14:22  llundin

	* irplib/irplib_distortion.c: irplib_distortion_estimate(): Print
	mse of 2D-fit

2008-07-31 16:44  yjung

	* irplib/irplib_ppm.c: [no log message]

2008-07-31 14:52  llundin

	* irplib/irplib_distortion.c:
	irplib_distortion_get_arc_positions(): Avoid data repacking

2008-07-31 13:52  llundin

	* irplib/irplib_distortion.c: irplib_distortion_get_row_centroid():
	Renamed from irplib_distortion_fine_pos(), avoid arbitrary tols
	(1e-40), more error checking

2008-07-31 11:20  llundin

	* irplib/irplib_distortion.c: irplib_distortion_purge_arcs():
	Improve API, optimize relabelling, check validity of lab_im.
	irplib_distortion_detect_arcs(): use const int

2008-07-31 10:36  llundin

	* irplib/irplib_distortion.c: irplib_distortion_fill_border():
	Reduce complexity

2008-07-31 09:20  llundin

	* irplib/irplib_distortion.c: irplib_distortion_fill_border():
	Renamed from irplib_distortion_fill_badzones().
	irplib_distortion_purge_arcs(): Redeclared to int, use CPL error
	module, avoid recreation of label image

2008-07-30 16:36  llundin

	* irplib/irplib_distortion.c: cpl_msg_error() replaced by CPL error
	module calls. irplib_distortion_remove_ramp():
	cpl_vector_get_median() replaces cpl_vector_get_median_const()

2008-07-30 15:32  lbilbao

	* irplib/irplib_detmon_lg.c: Doxygen improved for
	irplib_detmon_{gain, lin}().

2008-07-30 13:38  lbilbao

	* irplib/irplib_detmon.c: Missing initialisation of variable

2008-07-30 11:46  lbilbao

	* irplib/irplib_detmon.c: Optional product SYNTH (only created with
	PREOVERSCAN method) allowed to be passed a NULL. Example recipe
	updated accordingly.

2008-07-30 09:16  llundin

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h,
	tests/irplib_wlxcorr-test.c: irplib_wlxcorr_find_1d(): Dropped

2008-07-29 17:09  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h, irplib_detmon_lg.c,
	irplib_detmon_lg.h, tests/irplib_detmon-test.c,
	tests/irplib_detmon_lg-test.c: API of irplib_detmon_ronbias()
	changed to allow to pass not only PRO.CATG but also PRO.SCIENCE,
	PRO.TYPE and PRO.TECH.

2008-07-29 16:36  llundin

	* irplib/irplib_wavecal.c: irplib_vector_fill_line_spectrum():
	Verify monotony of dispersion

2008-07-29 16:09  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h, irplib_detmon_lg.h,
	tests/irplib_detmon-test.c: irplib_detmon_ronbias() extended for
	NIR cases, when PREOVERSCAN method must not be available. New
	example recipe detmon_darkron provided. (DFS05702)

2008-07-29 15:52  llundin

	* irplib/irplib_wavecal.c: irplib_vector_fill_line_spectrum():
	Check also the derivative at xmin

2008-07-29 15:38  llundin

	* irplib/irplib_wavecal.c: irplib_vector_fill_line_spectrum():
	Copied from cpl_vector_fill_line_spectrum()

2008-07-29 11:09  lbilbao

	* irplib/irplib_detmon_lg.c: Default value for --niter changed to
	5.

2008-07-29 11:07  llundin

	* irplib/irplib_wavecal.c:
	irplib_polynomial_find_1d_from_correlation(): Change messaging from
	info to debug

2008-07-29 10:43  llundin

	* irplib/: Makefile.am, irplib_wavecal.c, irplib_wavecal.h: Added
	irplib_wavecal with GSL-based wavelength calibration

2008-07-24 15:56  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: Changes in the treatment of DIT and
	EXPTIME in Gain and Linearity Tables. Now only one of them is
	copied to the table (DIT for NIR and EXPTIME for OPT, according to
	DFO). Some code duplication removed as well. (DFS05694)

2008-07-22 10:46  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: API of irplib_detmon_{gain, lin}()
	extended to get a tolerance value for pair extraction.

2008-07-16 09:35  lbilbao

	* irplib/irplib_detmon_lg.c: Missing variable renaming from
	previous change done now.

2008-07-15 13:00  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_subtract(): Fix bug
	on empty self

2008-07-15 11:41  lbilbao

	* irplib/irplib_detmon_lg.c: Doxygen correction for
	irplib_detmon_gain() (DFS05678).

2008-07-09 13:42  llundin

	* irplib/irplib_plugin.c: recipe_parameterlist_set(): use also
	getenv()

2008-07-07 11:40  llundin

	* irplib/irplib_plot.c: irplib_vectors_plot(): Use correct error
	code

2008-07-04 14:16  yjung

	* irplib/irplib_detmon_lg.c: added Workaround for DFS05341 before
	CPL 4.2

2008-07-04 10:04  lbilbao

	* irplib/irplib_detmon_lg.c: Missing keywords in PAF
	(multi-extension case) added.

2008-07-03 16:09  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: PRO.CATG properly named after
	CPL_DFS_PRO_CATG

2008-07-03 13:56  yjung

	* irplib/irplib_stdstar.c: Workaround to wait for next CPL version
	(4.2)

2008-07-03 11:52  yjung

	* irplib/irplib_stdstar.c: use the CPL_DFS define for the PRO CATG
	and PRO TYPE keywords

2008-07-02 18:03  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: irplib_detmon_lg() API extended to
	pass not only PRO.CATG but also PRO.{SCIENCE, TECH, TYPE} to the
	recipe.

2008-07-02 16:19  lbilbao

	* irplib/irplib_detmon_lg.c: Changed from error to warning in case
	of failure in the linearity efficiency computation.

2008-07-02 16:13  lbilbao

	* irplib/irplib_detmon_lg.c: EXTNAME keyword copied to output
	extension headers in case of multiextension reduction.

2008-07-02 16:01  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c: llx,
	lly, urx, ury parameters activated (with unit test).

2008-06-19 15:46  lbilbao

	* irplib/irplib_detmon_lg.c: Wrong info message corrected.

2008-06-19 15:22  lbilbao

	* irplib/irplib_detmon_lg.c: Small bug in multi-extension support
	fixed.

2008-06-13 10:40  llundin

	* irplib/: irplib_polynomial.c, irplib_polynomial.h,
	tests/irplib_polynomial-test.c:
	irplib_polynomial_multiply_scalar(), irplib_polynomial_add():
	Exported. irplib_polynomial_subtract(): Added (still needs unit
	tests)

2008-06-03 18:15  lbilbao

	* irplib/tests/irplib_fft-test.c: Missing include added.

2008-06-03 18:11  lbilbao

	* irplib/tests/irplib_fft-test.c: Warning about FFTW dependency
	setting removed.

2008-06-03 18:07  lbilbao

	* irplib/tests/irplib_fft-test.c: Bug in FFTW dependency setting.

2008-06-03 17:55  lbilbao

	* irplib/: Makefile.am, irplib_detmon.c, irplib_detmon_lg.c,
	irplib_fft.c, irplib_fft.h, irplib_fft_body.h, tests/Makefile.am,
	tests/irplib_fft-test.c: New FFTW wrappers added to IRPLIB with
	unit tests.

2008-05-09 16:01  cguirao

	* Makefile.purify.in: Adding -dlclose-mode=2 on request from MZ

2008-05-09 15:04  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c: Unit
	tests added for irplib_detmon_lin().

2008-05-09 11:05  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h: New lower-level
	function for Linearity computation irplib_detmon_lin().

2008-05-06 12:39  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon_body.h: Warning memory
	leak removal in irplib_ksigma_clip().

2008-04-30 10:58  lbilbao

	* irplib/irplib_detmon_body.h: Change in code just for clarity.

2008-04-30 10:49  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon_body.h,
	tests/irplib_detmon-test.c, tests/irplib_detmon_lg-test.c: Bug in
	irplib_ksigma_clip() fixed. Unit test added.

2008-04-30 09:59  lbilbao

	* irplib/tests/irplib_detmon_lg-test.c: Temporary deactivation of
	irplib_detmon_gain() unit tests.

2008-04-29 19:30  lbilbao

	* irplib/irplib_detmon.c: Another typo fix.

2008-04-29 19:21  lbilbao

	* irplib/irplib_detmon.c: Typo fix.

2008-04-29 16:01  lbilbao

	* irplib/: Makefile.am, irplib_detmon.c, irplib_detmon.h,
	irplib_detmon_body.h, irplib_detmon_lg.c:
	irplib_get_clean_mean_window() converted into irplib_ksigma_clip().
	Improvements in the algorithm.

2008-04-25 10:46  lbilbao

	* irplib/irplib_detmon.c: Wrong default value in
	irplib_detmon_ronbias() corrected.

2008-04-24 16:41  lbilbao

	* irplib/irplib_detmon.c: Unnecessary QC parameters removed. Bug in
	irplib_detmon_ronbias_master() fixed.

2008-04-24 16:06  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: Bug in
	irplib_imagelist_collapse_stdev_create() fixed. Unit test added.

2008-04-23 18:58  llundin

	* irplib/irplib_utils.c: irplib_image_split(): Fix uninit warning

2008-04-17 23:12  llundin

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: irplib_image_split(): 1st draft, API to
	be simplified

2008-04-17 16:34  llundin

	* irplib/Makefile.am: Removed irplib_test.{c,h}. (Empty) source
	files kept, in case new functionality is needed

2008-04-15 17:23  llundin

	* configure.ac: -fno-builtin dropped

2008-04-15 10:04  lbilbao

	* irplib/irplib_oddeven.c: Odd-even filtering improved for cases
	where high frequencies on the X axis are also found

2008-04-15 02:55  llundin

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: irplib_dfs_table_convert() takes check
	function with non-const table

2008-04-14 20:23  llundin

	* irplib/irplib_utils.c: irplib_table_read_from_frameset():
	Improved error msg

2008-04-14 20:13  llundin

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: irplib_table_read_from_frameset(),
	irplib_dfs_table_convert(): table_set_row() is of type cpl_boolean

2008-04-14 19:50  llundin

	* irplib/irplib_utils.c: irplib_table_read_from_frameset(),
	irplib_dfs_table_convert(): Updated doxygen

2008-04-14 19:46  llundin

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: irplib_table_read_from_frameset(): Added
	with minimal unit-test

2008-04-14 19:02  llundin

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: irplib_dfs_table_convert(): 1st working
	version (with minimal unit-test)

2008-04-14 16:16  llundin

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: irplib_dfs_table_convert(): 1st draft -
	API incomplete

2008-04-10 15:00  lbilbao

	* irplib/irplib_oddeven.c: Bug in odd-even effect filtering
	definition fixed.

2008-04-08 12:56  yjung

	* irplib/irplib_spectrum.c: added include irplib_plot.h

2008-04-03 15:12  yjung

	* irplib/: irplib_spectrum.c, irplib_spectrum.h: added
	irplib_spectrum_detect_peaks() from CRIRES for Andrea

2008-04-02 17:16  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: Unit tests added and improved in
	irplib_detmon_lg-test and bugs found fixed.

2008-04-01 17:23  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: New lower-level function
	irplib_detmon_gain() for GAIN computation added.

2008-03-26 09:46  llundin

	* irplib/irplib_plugin.h: IRPLIB_CONCAT(), IRPLIB_CONCAT2X():
	Readded (for uves)

2008-03-25 14:31  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute(): Drop support for
	CPL 3.X (and earlier)

2008-03-25 14:26  llundin

	* recipes/: visir_img_burst.c, visir_recipe.h: Use
	CPL_RECIPE_DEFINE

2008-03-25 14:08  llundin

	* irplib/irplib_plugin.h: Drop IRPLIB_CONCAT(), IRPLIB_CONCAT2X().
	Define IRPLIB_RECIPE_DEFINE as CPL_RECIPE_DEFINE. Define
	irplib_get_license as cpl_get_license. Drop naco_get_license()

2008-03-25 13:30  llundin

	* recipes/tests/recipe_main.c, visir/tests/visir_utils-test.c,
	irplib/irplib_test.c, irplib/irplib_test.h: cpl_test.h replaces
	irplib_test.h

2008-03-25 12:12  llundin

	* irplib/tests/: filter_median_type.c, irplib_detmon-test.c,
	irplib_detmon_lg-test.c, irplib_filter-test.c, irplib_hist-test.c,
	irplib_polynomial-test.c, irplib_utils-test.c,
	irplib_wlxcorr-test.c: cpl_test.h replaces irplib_test.h

2008-03-25 11:31  llundin

	* irplib/irplib_math_const.h: Depend on cpl_math_const.h and issue
	#warning with gcc

2008-03-25 11:26  llundin

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon-test.c,
	tests/irplib_detmon_lg-test.c, tests/irplib_polynomial-test.c,
	tests/irplib_wlxcorr-test.c: Use cpl_math module instead of
	irplib_math module

2008-03-25 11:24  llundin

	* recipes/visir_img_burst.c, visir/visir_spc_distortion.c,
	visir/visir_spectro.c, visir/visir_utils.c: Use cpl_math module
	instead of irplib_math module (bis)

2008-03-25 11:21  llundin

	* recipes/visir_img_burst.c, visir/visir_spc_distortion.c,
	visir/visir_spectro.c, visir/visir_utils.c: Use cpl_math module
	instead of irplib_math module

2008-03-25 11:10  llundin

	* irplib/: irplib_polynomial.c, irplib_stdstar.c, irplib_strehl.c,
	tests/irplib_detmon-test.c, tests/irplib_polynomial-test.c: Use
	cpl_math module instead of irplib_math module

2008-03-25 11:09  llundin

	* irplib/irplib_detmon.c: Use cpl_math module instead of
	irplib_math module. irplib_detmon_ronbias_master(): Fix uninit
	warning

2008-03-20 16:30  llundin

	* irplib/irplib_utils.h: error_if(): Fix check of CPL error code

2008-03-20 10:55  llundin

	* irplib/irplib_plugin.c: recipe_msg_set_level_from_env(): Drop.
	irplib_plugin_test(): Use cpl_msg_set_level(), when CPL_MSG_LEVEL
	is used, _dump() to /dev/null if not at debug level

2008-03-17 18:33  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: DFS05135. New products added:
	BP_MAP_HOT, BP_MAP_COLD, BP_MAP_DEV.

2008-03-17 17:26  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h, irplib_detmon_lg.c:
	New input parameter tolerance added to
	irplib_get_clean_mean_window().

2008-03-17 17:16  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h, irplib_detmon_lg.c:
	irplib_get_clean_mean_window() function API changed, kappa int -->
	double.

2008-03-17 15:28  lbilbao

	* irplib/irplib_detmon.c: Wrong use of frameset (needed for later
	use by EsoRex) fixed in irplib_detmon_ronbias() and unnecessary
	duplicated framesets removed. New function
	irplib_imagelist_collapse_stdev_create() added for later use in
	deviant pixel map creation.

2008-03-17 13:41  lbilbao

	* irplib/irplib_detmon.c: Bug in SYNTHETIC frame saving fixed.

2008-03-14 19:13  lbilbao

	* irplib/irplib_detmon.c: irplib_get_clean_mean_window() updated to
	do computation more precisely and faster.

2008-03-14 18:26  lbilbao

	* irplib/irplib_detmon.c: RON/Bias product saving simplified.

2008-03-14 17:42  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon_lg.c: Bug in
	multi-extension output saving fixed.

2008-03-13 16:16  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: Action on ticket DFS05112.
	Multi-extension files support provided. Small bug in robustness of
	histogram computation fixed. Error checking improved overall, moved
	to skip_if - end_skip scheme. New parameter-filling functions
	added.

2008-02-28 18:13  amodigli

	* irplib/irplib_detmon.c: fixed English typo in ron/dsnu.method
	param description

2008-02-28 18:04  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon_lg.c: Info on dark
	parameters extended. Warnings removed.

2008-02-27 19:17  lbilbao

	* irplib/irplib_detmon_lg.c: Lamp CR (Count Rate) computation
	deactivated due to lack of template support.

2008-02-21 14:49  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Disable all tests

2008-02-21 11:10  llundin

	* recipes/tests/visir_util_img_std_cat.sof: Corrected tag

2008-02-21 10:59  llundin

	* configure.ac: 3.1.0

2008-02-21 10:59  llundin

	* recipes/tests/Makefile.am, visir/tests/Makefile.am: clean-local:
	Added .logfile (*.log)

2008-02-21 10:58  llundin

	* visir/visir_spc_photom.c: visir_spc_phot_sensit(): Fix (false)
	uninit warning

2008-02-21 09:31  llundin

	* irplib/tests/irplib_polynomial-test.c: #define MAXDEGREE 3

2008-02-20 15:25  llundin

	* irplib/tests/Makefile.am: clean-local: Added .logfile (*.log)

2008-02-20 14:41  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_2(): Use
	minimal residual

2008-02-19 16:30  llundin

	* irplib/irplib_polynomial.c: Update coverage comments,
	irplib_polynomial_solve_1d_3r(): replace assert() with round-off
	handling

2008-02-19 16:28  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Cover branch in
	irplib_polynomial_solve_1d_3r()

2008-02-18 10:04  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3(): Drop
	doall also in subfunctions

2008-02-18 09:44  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3(): Drop
	doall

2008-02-16 22:35  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Test minimal residual on
	cubic

2008-02-16 22:34  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_eval_{2,3}_max():
	Added. irplib_polynomial_solve_1d_{2,3}(): Use minimal residual
	method

2008-02-15 18:46  llundin

	* irplib/irplib_polynomial.c:
	irplib_polynomial_solve_1d_3{1,2,r,c}(): Added.
	irplib_polynomial_solve_1d_3(): Call new functions

2008-02-15 18:44  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): More tests cubic with
	complex roots

2008-02-15 11:54  llundin

	* irplib/irplib_polynomial.c: irplib_sort3(): Drop.
	irplib_polynomial_solve_1d_3(): complex-branch: Avoid cancellation
	on same-sign, Handle truncated imaginary part

2008-02-15 11:51  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): More tests cubic with
	complex roots

2008-02-15 09:33  lbilbao

	* irplib/tests/: irplib_detmon-test.c, irplib_detmon_lg-test.c:
	Unnecessary include removed

2008-02-14 23:33  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Added two tests on single
	real root for cubic

2008-02-14 23:32  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3(): Avoid
	cancellation on single real root

2008-02-14 21:31  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Added two tests

2008-02-14 21:26  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3():
	acos-branch: Drop sort, prevent cancellation.
	irplib_polynomial_solve_1d_4(): c==0-branch: Single swap replaces
	Bubble-sort

2008-02-14 18:44  lbilbao

	* irplib/tests/Makefile.am: Options for conditional compilation
	with FFTW added.

2008-02-13 16:30  llundin

	* irplib/irplib_plot.c: Drop irplib_utils.h

2008-02-11 13:20  llundin

	* irplib/irplib_utils.h: error_if(), IRPLIB_XSTRINGIFY(),
	IRPLIB_STRINGIFY(): Added

2008-02-11 12:20  llundin

	* irplib/irplib_stdstar.h: IRPLIB_STDSTAR_LIMIT: Added

2008-02-11 08:54  llundin

	* irplib/: irplib_stdstar.c, irplib_stdstar.h:
	irplib_stdstar_great_circle_dist(), IRPLIB_STDSTAR_MAXDIST,
	IRPLIB_STDSTAR_NOMAG: Export. Replace tabs with spaces, __func__
	with cpl_func

2008-02-08 17:13  llundin

	* irplib/irplib_stdstar.c: irplib_stdstar_get_mag(): Add warning
	about buffer overflow

2008-02-07 13:37  llundin

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h:
	irplib_wlxcorr_find_1d() degshift is a cpl_array

2008-02-07 12:28  lbilbao

	* irplib/irplib_detmon.c: Downgrade to FFTW2

2008-02-06 18:23  llundin

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h, tests/Makefile.am,
	tests/irplib_wlxcorr-test.c: irplib_wlxcorr_find_1d(): Added stub

2008-02-06 17:44  llundin

	* irplib/irplib_plugin.c: irplib_plugin_test(): Allow
	<recipe>_exec() to propagate a pre-exisitng error before returning

2008-02-04 15:27  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: New parameters --tolerance and
	--pafname added.

2008-02-04 09:39  llundin

	* irplib/irplib_plugin.h: irplib_get_license(),
	IRPLIB_RECIPE_DEFINE(): use CPL when available

2008-02-01 13:49  llundin

	* irplib/irplib_polynomial.c: Improved doxygen

2008-01-31 16:40  llundin

	* irplib/filter_median.c: S_SWAP(): Doxygen

2008-01-31 16:25  llundin

	* irplib/irplib_filter.c: Move	/**@{*/ down

2008-01-31 16:22  llundin

	* irplib/filter_median.c: fill_row(): Fix doxygen warning

2008-01-31 14:26  amodigli

	* irplib/irplib_detmon_lg.c: updated ID

2008-01-29 11:12  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all_test(): Try to ensure double-root
	detection on Darwin

2008-01-24 19:14  lbilbao

	* irplib/irplib_detmon_lg.c: Warning removed

2008-01-22 15:44  llundin

	* ChangeLog: Changes up 2008-01-22

2008-01-22 13:45  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: --bpmbin parameter added to control
	bad pixel map creation (binary or with values powers of 2), with
	unit test.

2008-01-21 15:00  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h: Error messages
	and man-page improved -> DFS04844.

2008-01-21 13:10  lbilbao

	* irplib/irplib_detmon_lg.c: Message warning added and error made
	zero when fitting not over-determined -> DFS04847.

2008-01-21 09:43  llundin

	* configure.ac: 2.1.0cvs -> 3.0.0

2008-01-21 08:58  llundin

	* irplib/irplib_filter.h: enum irplib_filter_mode: Drop comma at
	end of list

2008-01-21 08:56  llundin

	* irplib/: irplib_polynomial.c, tests/irplib_polynomial-test.c:
	irplib_polynomial_solve_1d_all(): Unsupport degree = 4

2008-01-19 00:53  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_test_root_all(): Verify complex roots.
	irplib_polynomial_multiply_1d_factor(): Drop internal test.
	irplib_polynomial_solve_1d_all_test(): Test also quartic

2008-01-19 00:49  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3():
	Return largest root on single-request from quartic.
	irplib_polynomial_solve_1d_4(): Ensure sorting in biquadratic +
	0real, fix 0.5 bug + un-depress, drop unsupported

2008-01-19 00:43  llundin

	* irplib/irplib_test.c: irplib_test_abs_macro(): Improve message

2008-01-18 19:39  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c:
	Implementation of irplib_detmon_lg_lineff() made more robust.
	Change in irplib_detmon_linearity, dif_avg converted into
	|dif_avg|.

2008-01-18 17:50  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_4():
	Prototype added (not yet working)

2008-01-18 17:50  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_test_root_all(): Add info on comparison

2008-01-18 14:13  llundin

	* irplib/tests/irplib_polynomial-test.c: irplib_polynomial_add(),
	irplib_polynomial_multiply_scalar(): Added.
	irplib_polynomial_multiply_1d_factor(): Support complex roots.
	irplib_polynomial_solve_1d_all_test(): Test all cases with
	irplib_polynomial_test_root_all() only

2008-01-18 14:10  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_{2,3}():
	Takes doubles, instead of a const double *

2008-01-18 11:39  lbilbao

	* irplib/irplib_detmon_lg.c: Bug in determination of bad pixel
	amount fixed.

2008-01-18 10:48  amodigli

	* irplib/irplib_detmon.c: add more verbosity to a failure message
	in case dark recipe has no input

2008-01-17 21:26  llundin

	* irplib/filter_median.c: Resolve doxygen warning regarding #

2008-01-17 21:23  llundin

	* irplib/irplib_stdstar.c: irplib_stdstar_get_mag(),
	irplib_stdstar_write_catalogs(): Resolve doxygen warnings

2008-01-17 20:59  llundin

	* irplib/irplib_polynomial.c: Drop #_cpl_error_code_

2008-01-17 20:42  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_3(): Fix
	(false) uninit warning

2008-01-17 19:43  llundin

	* irplib/tests/irplib_polynomial-test.c: fix warning

2008-01-17 19:10  llundin

	* irplib/tests/irplib_polynomial-test.c: Improve tests

2008-01-17 16:39  llundin

	* irplib/tests/irplib_polynomial-test.c:
	irplib_polynomial_test_root_all(): Added

2008-01-17 16:36  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_2(): Sort
	real roots. Improve doxygen

2008-01-17 11:56  llundin

	* irplib/irplib_polynomial.c: irplib_polynomial_solve_1d_2():
	Ensure positive imaginary part

2008-01-17 11:47  llundin

	* irplib/: Makefile.am, irplib_polynomial.c, irplib_polynomial.h,
	tests/Makefile.am, tests/irplib_polynomial-test.c: Added
	irplib_polynomial with irplib_polynomial_solve_1d_all()

2008-01-17 11:21  llundin

	* irplib/: irplib_test.c, irplib_test.h: irplib_test_error(): Added

2008-01-17 10:20  lbilbao

	* irplib/irplib_detmon_lg.h: Spaces after backslashes removed

2008-01-17 09:57  lbilbao

	* irplib/tests/irplib_detmon_lg-test.c: Test deactivated.

2008-01-17 09:46  lbilbao

	* irplib/tests/: irplib_detmon-test.c, irplib_detmon_lg-test.c:
	cpl_test -> irplib_test

2008-01-17 09:22  llundin

	* irplib/filter_median.c: #define inline as comment when
	unsupported

2008-01-16 14:12  amodigli

	* irplib/irplib_detmon_lg.c: issued proper error message in case of
	failed poly fit

2008-01-16 13:53  amodigli

	* irplib/irplib_detmon_lg.c: issued proper message in case of input
	data set

2008-01-16 13:49  amodigli

	* irplib/irplib_detmon_lg.h: updated man-page lin-gain

2008-01-16 13:38  amodigli

	* irplib/irplib_detmon_lg.c: made verbose an error message

2008-01-16 13:38  amodigli

	* irplib/irplib_detmon_lg.h: improved lin-gain man page

2008-01-16 11:34  amodigli

	* irplib/irplib_detmon.c: renamed 'ESO QC STDEV' 'ESO QC DARK
	STDEV'

2008-01-16 11:31  amodigli

	* irplib/irplib_detmon.c: changed 'ESO QC BIAS METHOD BIAS' into
	'ESO QC BIAS METHOD VAL' for METHOD=RANDOM|HISTO|REGION

2008-01-14 16:20  llundin

	* recipes/: Makefile.am, tests/Makefile.am: Removed
	visir_img_{psf,pfov,illu,achro,focfwhm}, visir_util_inputs

2008-01-14 15:43  llundin

	* visir/visir_parameter.c: visir_parameter_set(): Improve doc on
	VISIR_PARAM_NSAMPLES (for RON)

2008-01-09 15:35  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: new pro_type param
	for the write_catalogs() function

2008-01-08 16:40  lbilbao

	* irplib/irplib_detmon_lg.c: Downgrade of FFTW-dependant code from
	FFTW3 to FFTW2

2007-12-19 18:57  lbilbao

	* irplib/irplib_detmon_lg.c: Memory leaks fixed. Error and memory
	handling changed in irplib_detmon_lg_save() to skip_if-end_skip
	scheme for that reason.

2007-12-19 18:21  lbilbao

	* irplib/irplib_detmon.c: Memory leak and uninitialized values
	fixed.

2007-12-14 09:48  lbilbao

	* irplib/irplib_detmon_lg.c: Error in GAIN_CORR computation fixed.

2007-12-13 18:45  lbilbao

	* irplib/irplib_detmon.c: Error fixed and final modification in
	irplib_get_clean_mean_window().

2007-12-13 12:10  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon_lg-test.c: Memory
	leaks fixed.

2007-12-13 09:23  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: Changes in
	irplib_get_clean_mean_window() to speed it up by a factor 5.

2007-12-12 14:21  lbilbao

	* irplib/irplib_detmon_lg.c: Doxygen info added for all resting
	functions.

2007-12-12 12:12  lbilbao

	* irplib/tests/: irplib_detmon-test.c, irplib_detmon_lg-test.c:
	Removal of products simplified in irplib_detmon-test and added to
	irplib_detmon_lg-test.

2007-12-12 12:01  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c: New
	unit tests added to irplib_detmon_lg-test.c and failures detected
	by those new tests in irplib_detmon_lg() fixed.

2007-12-11 18:39  lbilbao

	* irplib/irplib_detmon.c: Bug in
	irplib_detmon_ronbias_check_defaults() fixed.

2007-12-11 16:45  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: Unused parameters --threshold_min,
	--threshold_max and --threshold removed.

2007-12-11 15:06  lbilbao

	* irplib/irplib_detmon_lg.c: irplib_detmon_gain() modified to make
	use of skip_if-end_skip scheme.

2007-12-11 14:47  lbilbao

	* irplib/irplib_detmon_lg.c: Bug in irplib_detmon_gain() fixed.
	Unnecessary variable fit_table removed overall. Other minor
	warnings fixed.

2007-12-11 11:50  lbilbao

	* irplib/irplib_detmon_lg.c: Doxygen info added.

2007-12-10 15:30  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c: Bug
	fixed. Unit test activated and frameset creation modified.

2007-12-04 19:51  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c:
	Linearity polynomial definition changed back. Effective linearity
	correction applied. Error checking improved at some points. Bug in
	irplib_detmon_lg_opt_lampcr() fixed. Changes in
	irplib_detmon_lg_split_onoff(). Some doxygen information added.
	Unit test inputs adapted.

2007-11-29 14:27  lbilbao

	* irplib/irplib_detmon.c: Forgotten instruction to destroy
	fftw_plan added.

2007-11-29 14:25  lbilbao

	* irplib/irplib_detmon_lg.c: Modifications on some pointers to make
	code clearer.

2007-11-28 16:54  lbilbao

	* irplib/irplib_detmon_lg.c: Bug in previous commit fixed.

2007-11-28 16:44  lbilbao

	* irplib/irplib_detmon_lg.c: Overall changes to process
	multi-extension cases in a more efficient way, loading just an
	extension at a time instead of all together.

2007-11-27 18:08  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: Drop unnecessary
	functions irplib_detmon_{image, propertylist, table,
	imagelist}_{new, delete}().

2007-11-27 18:04  lbilbao

	* irplib/: irplib_detmon_body.h, Makefile.am: Drop
	irplib_detmon_body.h

2007-11-27 17:35  lbilbao

	* irplib/irplib_detmon.c: FFTW part of
	irplib_detmon_pernoise_reduce() changed to use
	fftwf_plan_many_dft_r2c().

2007-11-23 16:26  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: New parameter --pix2pix

2007-11-23 10:41  lbilbao

	* irplib/irplib_detmon_lg.c: Fitted polynomial for linearity
	modified.

2007-11-23 10:25  llundin

	* recipes/: Makefile.am, tests/Makefile.am: Revert previous commit

2007-11-22 16:28  llundin

	* recipes/: Makefile.am, tests/Makefile.am: Do not compile:
	visir_img_psf, visir_img_pfov, visir_img_achro, visir_img_illu,
	visir_img_trans, visir_img_focfwhm

2007-11-22 15:03  lbilbao

	* irplib/irplib_detmon_lg.c: Some memory leaks fixed.

2007-11-21 13:14  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Some memory
	leaks fixed.

2007-11-20 16:52  lbilbao

	* irplib/irplib_detmon_lg.c: Method used to compute GAIN written
	also as QC parameter.

2007-11-20 16:18  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c: Bug
	fixed in irplib_detmon_lg() - OPT case - specific unit test.

2007-11-20 15:18  lbilbao

	* irplib/irplib_detmon_lg.c: Error checking improved in
	irplib_detmon_lg_qc_ptc().

2007-11-20 11:18  lbilbao

	* irplib/irplib_detmon_lg.c: Variable median[] initialised in
	function irplib_detmon_opt_contamination().

2007-11-20 11:14  lbilbao

	* irplib/irplib_detmon_lg.c: AUTOCORR and LAMP FLUX only copied
	when computed (to avoid to copy initialisation (meaningless)
	values). Error checking added in irplib_detmon_opt_contamination().

2007-11-19 19:21  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: Avoid to write OPT-specific
	parameters in NIR case; changes in irplib_detmon_lg_fill_parlist()
	and irplib_detmon_lg_retrieve_parlist(), API included to receive
	OPT/NIR boolean.

2007-11-19 18:50  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: irplib_detmon_fill_params() changed
	into irplib_detmon_lg_fill_parlist() and
	irplib_detmon_fill_params_default() into 2 functions,
	irplib_detmon_lg_fill_parlist_nir_default() and
	irplib_detmon_lg_fill_parlist_opt_default().

2007-11-19 18:08  lbilbao

	* irplib/tests/irplib_detmon_lg-test.c: New unit test added for
	cases with more than a setting.

2007-11-19 15:53  lbilbao

	* irplib/: irplib_detmon_lg.c, tests/irplib_detmon_lg-test.c:
	Change in DIT extraction; DIT keyword is read in NIR case, WIN1
	UIT1 when OPT. As a consequence, changes in test files' creation
	functions in irplib_detmon_lg-test.c. Error checking improved in
	irplib_detmon_pair_extract (API changed to return a cpl_error_code.

2007-11-19 14:47  lbilbao

	* irplib/irplib_detmon.h: API of function
	irplib_detmon_fill_parlist() changed.

2007-11-19 12:45  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_ronbias_check_defaults()
	function modified to retrieve PRE-/OVERSCAN parameters from input
	FITS header.

2007-11-19 10:49  llundin

	* configure.ac: 2.0.1cvs -> 2.1.0

2007-11-19 10:48  llundin

	* irplib/irplib_plugin.c: irplib_parameterlist_get_*(): Improved
	error handling

2007-11-19 10:36  llundin

	* visir/visir_parameter.c: updated text on --union

2007-11-19 10:12  llundin

	* recipes/visir_img_combine.c, recipes/visir_img_focfwhm.c,
	recipes/visir_img_illu.c, recipes/visir_img_pfov.c,
	recipes/visir_img_phot.c, recipes/visir_img_psf.c,
	recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_phot.c, recipes/visir_spc_phot_ech.c,
	recipes/visir_util_inputs.c, visir/visir_inputs.c,
	visir/visir_parameter.c, visir/visir_parameter.h: Added recipe
	options -nstripe -mstripe. visir_inputs_combine((): Call
	visir_destripe_image() depending on -nstripe

2007-11-19 10:11  llundin

	* visir/visir_inputs.h: white space

2007-11-19 10:09  llundin

	* recipes/visir_img_burst.c, visir/visir_destripe.c,
	visir/visir_destripe.h: visir_destripe_imagelist(): Moved to
	visir_img_burst from visir_destripe

2007-11-16 16:39  jmlarsen

	* irplib/tests/irplib_filter-test.c: Implemented median filter
	border mode: extrapolate. Decreased test image sizes

2007-11-16 16:38  jmlarsen

	* irplib/tests/filter_median_type.c: Removed first call of
	irplib_image_filter, did not work with image size 1x1 and radii 0

2007-11-16 16:36  jmlarsen

	* irplib/irplib_filter.c: Implemented median filter border mode:
	extrapolate

2007-11-16 16:35  jmlarsen

	* irplib/filter_median.c: Implemented border mode: extrapolate

2007-11-16 14:51  jmlarsen

	* irplib/tests/filter_median_type.c: IRPLIB_FILTER_BORDER_COPY: Use
	constant extrapolation

2007-11-16 14:29  jmlarsen

	* irplib/: irplib_filter.c, tests/filter_median_type.c,
	tests/irplib_filter-test.c: Implemented median filter border mode:
	copy

2007-11-16 14:28  jmlarsen

	* irplib/filter_median.c: Implemented border mode: copy

2007-11-16 12:20  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE(): Warning/Info
	message replaces failure on CPL run-/compile-version mismatch

2007-11-16 12:02  lbilbao

	* irplib/irplib_detmon_lg.c: New function added
	irplib_detmon_lg_lamp_stab() to compute lamp stability.

2007-11-16 09:14  llundin

	* visir/visir_inputs.c: visir_inputs_combine(): Moved bpm cleaning
	and flat-fielding into loop over nodded images

2007-11-16 08:57  jmlarsen

	* irplib/tests/irplib_filter-test.c: Implemented median filter
	border mode: filter

2007-11-16 08:56  jmlarsen

	* irplib/tests/filter_median_type.c: Changed selection of
	lower/higher median for border mode IRPLIB_FILTER_BORDER_FILTER

2007-11-16 08:52  jmlarsen

	* irplib/irplib_filter.c: Implemented median filtering border mode:
	filter

2007-11-16 08:52  jmlarsen

	* irplib/: filter_median.c, irplib_filter_double.c,
	irplib_filter_float.c, irplib_filter_int.c: Implemented border
	mode: filter

2007-11-15 17:44  lbilbao

	* irplib/tests/irplib_detmon_lg-test.c: #if defined added to avoid
	error due to CPL HEAD dependency of the function to be checked.

2007-11-15 17:38  lbilbao

	* irplib/irplib_detmon_lg.c: Variable name changed to a more
	descriptive one (procatg_lincoeff -> procatg_coeffscube).

2007-11-15 17:18  lbilbao

	* irplib/irplib_detmon_lg.c: Parameter --rescale to
	activate/deactivate rescaling of ON/OFF frames introduced.

2007-11-15 16:44  lbilbao

	* irplib/irplib_detmon_lg.c: Unnecessary variable x_pos removed
	from several places. #if defined statement corrected. QC parameters
	for fitting errors added. Bug in linearity polynomial computation
	fixed.

2007-11-15 15:08  jmlarsen

	* irplib/tests/filter_median_type.c: Removed dead code

2007-11-15 14:14  llundin

	* recipes/visir_img_burst.c, visir/Makefile.am,
	visir/visir_destripe.c, visir/visir_destripe.h:
	visir_destripe_imagelist(), visir_destripe_image(): Redeclare to
	static

2007-11-15 13:53  jmlarsen

	* irplib/tests/filter_median_type.c: Do not compare numbers if
	filtering function fails

2007-11-15 13:52  jmlarsen

	* irplib/: irplib_filter.c, tests/irplib_filter-test.c: Implemented
	median filtering border mode: crop

2007-11-15 13:47  jmlarsen

	* irplib/filter_median.c: Implemented border mode: crop

2007-11-15 13:37  llundin

	* visir/visir_destripe.h: VISIR_DESTRIPE_H replaces VISIR_INPUTS_H

2007-11-14 17:53  lbilbao

	* irplib/irplib_detmon_lg.c: Modify saving of data-cube to be
	compliant with CPL4.0.1

2007-11-14 17:51  jmlarsen

	* irplib/tests/irplib_filter-test.c: Test with non-quadratic images
	and kernels

2007-11-14 17:41  jmlarsen

	* irplib/tests/filter_median_type.c: Removed line breaks from
	message strings

2007-11-14 17:39  jmlarsen

	* irplib/irplib_filter.c: Support median filtering with
	non-quadratic images and kernels

2007-11-14 17:36  jmlarsen

	* irplib/filter_median.c: Make work with non-quadratic kernels

2007-11-14 16:54  jmlarsen

	* irplib/filter_median.c: Support non-quadratic images

2007-11-14 16:31  llundin

	* irplib/irplib_detmon.c: irplib_detmon_ronbias_random(): Fixed
	(false) uninit warning

2007-11-14 16:25  jmlarsen

	* irplib/tests/irplib_filter-test.c: Print debugging statements at
	debug, not warning, message level

2007-11-14 16:23  jmlarsen

	* irplib/tests/irplib_filter-test.c: Prepare for testing with
	non-quadratic images/kernels

2007-11-14 16:21  jmlarsen

	* irplib/tests/filter_median_type.c: Allow non-quadratic kernels

2007-11-14 16:20  jmlarsen

	* irplib/irplib_filter.c: Support hsizex = 0 and/or hsizey = 0

2007-11-14 16:19  jmlarsen

	* irplib/filter_median.c: Support radius = (0, 0)

2007-11-14 14:04  llundin

	* visir/tests/visir_utils-test.c: main(): Use irplib_test

2007-11-14 14:01  llundin

	* recipes/tests/recipe_main.c: main(): Use irplib_test

2007-11-14 12:58  lbilbao

	* irplib/irplib_detmon_lg.c: Datacube saving for multi-extension
	case added.

2007-11-14 12:21  lbilbao

	* irplib/irplib_detmon.c: Change in irplib_detmon_ronbias() to
	support processing on difference frames.

2007-11-14 11:02  llundin

	* visir/visir_utils.c: visir_image_sigma_clip(): cpl_image_new()
	replaces cpl_image_wrap_float() (bis)

2007-11-14 09:49  llundin

	* visir/visir_utils.c: visir_image_sigma_clip(): cpl_image_new()
	replaces cpl_image_wrap_float()

2007-11-13 23:32  llundin

	* recipes/tests/recipe_main.c, visir/tests/visir_utils-test.c:
	main(): Add PACKAGE_BUGREPORT to call of cpl_test_init()

2007-11-13 14:19  llundin

	* irplib/irplib_test.h: cpl_test_init(): Take also
	PACKAGE_BUGREPORT

2007-11-13 13:42  lbilbao

	* irplib/irplib_detmon_lg.c: Change in irplib_detmon_lg() to make
	irplib_detmon_lg_check_defaults() usable for AMBER and other cases
	at the same time.

2007-11-12 18:33  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h: New
	AMBER-specific recipe added for testing purposes. Necessary
	modifications done in irplib_detmon_lg(), including API change to
	get a pointer to AMBER-specific function.

2007-11-09 15:57  lbilbao

	* irplib/: irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/irplib_detmon_lg-test.c: irplib_detmon_lg() API changed to
	enable a new feature needed to process AMBER data.

2007-11-09 14:04  llundin

	* irplib/: irplib_test.c, irplib_test.h: CPL test macros used when
	available

2007-11-09 09:53  llundin

	* visir/visir_destripe_body.c: Verify pixel type of input image

2007-11-09 09:48  llundin

	* visir/: Makefile.am, visir_destripe.c, visir_destripe_body.c:
	visir_destripe_find_max_index_{float,double}(),
	visir_destripe_image_one_{float,double}(): replaces fixed-float
	ones

2007-11-09 08:48  llundin

	* visir/: visir_destripe.c, visir_destripe.h:
	visir_destripe_image(): Complete destriping of one image

2007-11-08 17:53  lbilbao

	* irplib/irplib_detmon_lg.c: Change ir PAF creation
	(multi-extension case) to get mandatory keywords from both primary
	and extension headers.

2007-11-08 15:56  llundin

	* recipes/visir_img_burst.c, visir/Makefile.am,
	visir/visir_destripe.c, visir/visir_destripe.h: Moved destriping to
	its own module, visir_destripe

2007-11-08 15:37  lbilbao

	* irplib/irplib_detmon_lg.c: Partial change in
	irplib_detmon_lg_save() to save linearity coefficients into a data
	cube (done only for no-extension case).

2007-11-08 12:05  lbilbao

	* irplib/irplib_detmon_lg.c: Some warnings fixed.

2007-11-08 12:03  lbilbao

	* irplib/tests/irplib_detmon_lg-test.c: Unnecessary #define REGEXP
	removed (now in irplib_detmon_lg.h).

2007-11-07 17:24  lbilbao

	* irplib/irplib_detmon_lg.c: New CRIRES-specific recipe added for
	testing purposes. Some needed changes in irplib_detmon_lg_save()
	related to correction PAF creation in multi-extension cases.

2007-11-07 14:24  lbilbao

	* irplib/irplib_detmon_lg.h: New SINFONI-specific recipe added for
	testing purposes.

2007-11-07 10:38  lbilbao

	* irplib/irplib_detmon_lg.c: Errors in QC parameters' names and
	corresponding comments fixed.

2007-11-06 18:48  lbilbao

	* irplib/: Makefile.am, irplib_detmon.c, irplib_detmon.h,
	irplib_detmon_body.h, irplib_detmon_lg.c, irplib_detmon_lg.h,
	tests/Makefile.am, tests/irplib_detmon-test.c,
	tests/irplib_detmon_lg-test.c: irplib_detmon module splitted. New
	module irplib_detmon_lg with Lin/Gain functions.

2007-11-06 17:06  lbilbao

	* irplib/Makefile.am: Bug introduced in previous erroneus commit
	fixed

2007-11-06 16:59  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h, irplib_detmon_body.h,
	Makefile.am:  API change in irplib_detmon_lg() (return changed from
	int to cpl_error_code. Changes in error checking overall the same
	function to meet skip_if - end_skip model. New functions
	irplib_detmon_{table, propertylist, imagelist, image}_{new, delete}
	to ease multi-extension support. New file irplib_detmon_body.h for
	these functions.

2007-11-05 16:48  lbilbao

	* irplib/irplib_detmon.c: irplib_sprintf moved to cpl_sprintf.
	Error checking changed to skip_if style in irplib_detmon_lg(),
	irplib_detmon_lg_reduce() and irplib_detmon_lg_reduce_all(). New
	creation functions added to encapsulate initialisation of
	multi-extension objects. clreturn_if macro unused and removed.

2007-11-05 15:16  lbilbao

	* irplib/irplib_detmon.c: Redefinition of QC parameters according
	to DFO's requirements. Adaptation to these redefinitions in
	functions irplib_detmon_lg_qc_ptc() and irplib_detmon_lg_qc_med().
	Error checking in these functions improved with the use of skip_if
	macro.

2007-11-05 14:02  llundin

	* recipes/visir_img_burst.c: visir_img_burst_destriping(): Correct
	error propagation

2007-11-05 12:49  lbilbao

	* irplib/irplib_detmon.c: New function irplib_detmon_lg_qc_med().
	Error checking clarified overall.

2007-11-05 11:59  lbilbao

	* irplib/irplib_detmon.c: Some warnings in
	irplib_detmon_lg_reduce_dit() and irplib_detmon_lg_reduce_all()
	fixed.

2007-11-05 10:35  llundin

	* recipes/visir_img_burst.c: visir_img_burst_destriping(): Compute
	background on non-turned image, create imabc from background
	subtraction, drop unused background correction

2007-11-04 22:11  llundin

	* recipes/visir_img_burst.c: visir_img_burst_destriping(): Improved
	messaging

2007-11-04 21:54  llundin

	* recipes/visir_img_burst.c: visir_img_burst_destripe_cube():
	Improving messaging

2007-11-04 21:37  llundin

	* recipes/visir_img_burst.c: visir_img_burst_destriping(): Do not
	create new image, merge imabc and imabc_divide

2007-11-02 17:10  llundin

	* irplib/: irplib_filter.c, irplib_filter_body.c:
	irplib_image_filter(): Allow reciprocal multiplication in averaging

2007-11-02 10:47  llundin

	* irplib/irplib_filter_body.c: irplib_image_filter_*_*(): Drop
	variable j

2007-11-02 10:17  llundin

	* irplib/filter_median.c, irplib/irplib_filter.c,
	irplib/irplib_filter.h, irplib/irplib_filter_body.c,
	irplib/tests/filter_median_type.c,
	irplib/tests/irplib_filter-test.c, recipes/visir_img_burst.c,
	visir/visir_utils.c: IRPLIB_FILTER_BORDER_FILTER replaces
	IRPLIB_FILTER_BORDER_ANY

2007-11-01 10:30  llundin

	* recipes/visir_img_burst.c: visir_img_burst_destriping():
	irplib_image_filter() replaces visir_filter_image_average().
	visir_filter_image_average(): Remove

2007-11-01 09:37  llundin

	* irplib/tests/: filter_median_type.c, irplib_filter-test.c:
	Replace CPL average ref with two alternative refs (bf and uves).
	Enable more tests for averaging, drop tol for median back to zero

2007-10-31 17:45  llundin

	* irplib/tests/filter_median_type.c: Lower bar on double

2007-10-31 17:42  llundin

	* irplib/tests/irplib_filter-test.c: Disable some average modes not
	supported by brute force

2007-10-31 17:42  llundin

	* irplib/tests/filter_median_type.c: warning -> info

2007-10-31 17:41  llundin

	* irplib/irplib_filter_body.c: 1st working prototype

2007-10-31 16:05  llundin

	* irplib/tests/: filter_median_type.c, irplib_filter-test.c:
	filter_average_bf(): Added

2007-10-31 15:13  llundin

	* irplib/tests/irplib_filter-test.c: Loop over filter mode
	(IRPLIB_FILTER_MEDIAN, IRPLIB_FILTER_AVERAGE with error calls, do
	not enable actual test of IRPLIB_FILTER_AVERAGE

2007-10-31 15:12  llundin

	* irplib/: irplib_filter.c, irplib_filter_body.c:
	irplib_image_filter(): Allow r=0 in one dim.
	irplib_image_filter_*_*(): int replaces unsigned, use ACCU_TYPE for
	accumulation, Add prototype body

2007-10-31 09:56  lbilbao

	* irplib/irplib_detmon.c: const modifier added in API of function
	irplib_detmon_lg_reduce_all() and subsequently to several
	variables.

2007-10-30 18:10  llundin

	* irplib/: Makefile.am, irplib_filter.c, irplib_filter_body.c:
	irplib_image_filter(): Add stubs for average filter

2007-10-30 17:27  llundin

	* irplib/irplib_filter.c: irplib_image_filter(): Prep for
	IRPLIB_FILTER_AVERAGE support

2007-10-30 16:56  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: --method parameter added to
	irplib_detmon_lg(), to choose between PTC and MED. New function
	irplib_detmon_lg_qc_ptc() for the 1. method. As a consequence, API
	change in irplib_detmon_fill_params(). API change in
	irplib_detmon_linearity(), too, to make it capable to manage all
	posible cases in a single call.

2007-10-30 11:32  lbilbao

	* irplib/irplib_detmon.c: clreturn_if unused macro removed from
	irplib_detmon_lg_reduce(). Bug in the creation of opt_offs variable
	(in the same function) fixed.

2007-10-30 11:12  lbilbao

	* irplib/irplib_detmon.c: Minor changes in
	irplib_detmon_pair_extract() to avoid failure in Solaris machines

2007-10-30 09:48  llundin

	* visir/visir_utils.c: visir_image_sigma_clip():
	irplib_image_filter() replaces cpl_image_filter_median()

2007-10-30 09:34  lbilbao

	* irplib/: irplib_detmon.h, tests/irplib_detmon-test.c: Untabified

2007-10-29 19:26  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_ilist_load_fset() modified
	to be used for framesets with any number of frames (not only 2).
	This function is used then in irplib_detmon_lg_reduce_dit(),
	removing a piece of code.

2007-10-29 18:57  lbilbao

	* irplib/irplib_detmon.c: Modifications in
	irplib_detmon_lg_reduce_dit() to make the code cleaner.

2007-10-29 18:14  lbilbao

	* irplib/irplib_detmon.c: New function added
	irplib_detmon_lg_reduce_dit() to encapsulate some code previously
	in irplib_detmon_lg_reduce().

2007-10-29 16:10  llundin

	* recipes/visir_img_burst.c: cpl_image_get_median_choose(():
	irplib_image_filter() replaces loop over
	cpl_image_get_median_window()

2007-10-29 16:06  llundin

	* m4macros/purify.m4: Copied from iiinstrumentp/m4macros/purify.m4:
	Remove warning if purify not enable. Print just "disable" message
	instead.

2007-10-29 15:35  lbilbao

	* irplib/irplib_detmon.c: Some tabs removed. Some functions
	redefined as static.

2007-10-29 14:58  llundin

	* irplib/tests/filter_median_type.c: test_irplib_image_filter_*():
	call memset only on IRPLIB_FILTER_BORDER_NOP

2007-10-29 13:16  lbilbao

	* irplib/irplib_detmon.c: New function added
	irplib_detmon_pair_extract() to encapsulate some code previously in
	irplib_detmon_lg_reduce().

2007-10-29 10:41  llundin

	* admin/: config.guess, config.sub, ltmain.sh: Dropped config.sub
	config.guess ltmain.sh (related to autoreconf use in bootstrap

2007-10-27 09:50  llundin

	* recipes/visir_img_burst.c: IRPLIB_FILTER_BORDER_ANY replaces
	IRPLIB_FILTER_BORDER_LOWER

2007-10-26 16:36  llundin

	* irplib/: filter_median.c, irplib_filter.h,
	tests/filter_median_type.c, tests/irplib_filter-test.c:
	IRPLIB_FILTER_BORDER_NOP replaces IRPLIB_FILTER_BORDER_COPY as
	default

2007-10-26 16:16  cguirao

	* Makefile.purify.in, configure.ac, m4macros/purify.m4,
	recipes/tests/Makefile.am, visir/tests/Makefile.am: NRI compliant

2007-10-26 16:01  llundin

	* irplib/: filter_median.c, irplib_filter.c, irplib_filter.h,
	tests/filter_median_type.c, tests/irplib_filter-test.c:
	IRPLIB_FILTER_BORDER_ANY replaces IRPLIB_FILTER_BORDER_LOWER

2007-10-26 15:42  llundin

	* recipes/visir_img_burst.c: visir_img_burst_destriping():
	irplib_image_filter() replaces cpl_image_filter_median()

2007-10-26 14:39  llundin

	* irplib/irplib_filter.c: Document lack of support for bad pixels

2007-10-26 14:22  llundin

	* irplib/tests/filter_median_type.c:
	test_irplib_image_filter_{double,float,int}(): test of
	irplib_image_filter() replaces test of
	irplib_image_filter_{double,float,int}()

2007-10-26 14:06  llundin

	* irplib/: filter_median.c, irplib_filter.c,
	tests/filter_median_type.c, tests/irplib_filter-test.c: 
	filter_median_1(): Support border-lower-median

2007-10-26 10:53  lbilbao

	* irplib/irplib_detmon.c: New function added
	irplib_detmon_ilist_load_frameset() to encapsulate some code
	previously in irplib_detmon_lg_reduce().

2007-10-25 17:21  jmlarsen

	* irplib/filter_median.c: Fixed documentation of probabilities for
	3x3 filtering, added doxygen doc

2007-10-25 17:18  jmlarsen

	* irplib/irplib_filter.c: Added doxygen end marker

2007-10-25 16:42  lbilbao

	* irplib/irplib_detmon.c: Comment moved to the proper place.

2007-10-25 15:57  lbilbao

	* irplib/irplib_detmon.c: Change in irplib_detmon_gain() to speed
	execution for optical recipe.

2007-10-25 15:32  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: --filter option added to filter images
	with a median flux value higher than the one given by the user
	(change in API of function irplib_detmon_fill_params()). Update of
	the QC parameters (bug in GAIN FIT computation fixed, new QC
	parameters added). Small bug in
	irplib_detmon_autocorrelation_factor() fixed.

2007-10-25 15:16  llundin

	* irplib/: filter_median.c, tests/filter_median_type.c,
	tests/irplib_filter-test.c: Support and test
	IRPLIB_FILTER_BORDER_CROP for r=1

2007-10-25 15:15  llundin

	* irplib/tests/irplib_filter-test.c: Add macro BENCHSIZE for bench
	mark calls

2007-10-25 11:25  llundin

	* irplib/tests/irplib_filter-test.c: Test border modes copy and
	crop via loop

2007-10-24 17:11  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: API of irplib_detmon_lg() changed to
	pass a regexp to the function signalling which instrument-specific
	keywords must be copied to the PAF file.

2007-10-24 15:45  lbilbao

	* irplib/irplib_detmon.c: Comments added to QC parameters. Old
	ifdef (CPL 3.1) removed.

2007-10-23 18:37  lbilbao

	* irplib/irplib_detmon.c: Additional check for --intermediate
	option added.

2007-10-23 17:26  lbilbao

	* irplib/tests/irplib_detmon-test.c: Bug in previous modification
	fixed

2007-10-23 17:12  lbilbao

	* irplib/tests/irplib_detmon-test.c: Remove more testing products

2007-10-23 17:03  lbilbao

	* irplib/tests/irplib_detmon-test.c: Remove testing products

2007-10-23 16:14  lbilbao

	* irplib/irplib_detmon.c: Changes in irplib_detmon_lg_save() to
	load keywords from input file's extension header into product
	file's extension header.

2007-10-23 10:07  llundin

	* irplib/tests/: filter_median_type.c, irplib_filter-test.c: Drop
	stdbool.h

2007-10-22 15:24  llundin

	* irplib/: filter_median.c, irplib_filter.c, irplib_filter.h,
	tests/filter_median_type.c, tests/irplib_filter-test.c: Add
	IRPLIB_FILTER_BORDER_CROP, IRPLIB_FILTER_BORDER_COPY (r=1) with
	unit tests

2007-10-22 15:21  llundin

	* irplib/irplib_test.c: Time the unit tests

2007-10-22 14:48  llundin

	* irplib/tests/Makefile.am: Move filter test one down

2007-10-22 12:44  lbilbao

	* irplib/tests/irplib_detmon-test.c: Imagesize reduced in unit
	tests

2007-10-22 11:02  llundin

	* irplib/filter_median.c: Drop stdbool.h

2007-10-22 10:25  llundin

	* irplib/: filter_median.c, irplib_filter_double.c,
	irplib_filter_float.c, irplib_filter_int.c: filter_median():
	Support different pixel types in input and output

2007-10-20 12:47  llundin

	* irplib/tests/: filter_median_type.c, irplib_filter-test.c: Add
	unit test for rectangular images, Rx=Ry=1

2007-10-19 22:56  llundin

	* irplib/: filter_median.c, irplib_filter.c,
	irplib_filter_double.c, irplib_filter_float.c, irplib_filter_int.c:
	Support rectangular images (for r=1) - NO UNIT TEST YET

2007-10-19 22:37  llundin

	* irplib/: irplib_filter.c, irplib_filter.h,
	irplib_filter_double.c, irplib_filter_float.c, irplib_filter_int.c,
	tests/filter_median_type.c: Prepare for supporting Nx X Ny, Rx X Ry

2007-10-19 21:06  llundin

	* irplib/filter_median.c: filter_median_1(): Fix (false) uninit
	warning

2007-10-19 16:07  llundin

	* irplib/tests/filter_median_type.c: Put timings in same message

2007-10-19 15:52  llundin

	* irplib/tests/irplib_filter-test.c: Add some more tests

2007-10-19 15:51  llundin

	* irplib/tests/filter_median_type.c: cpl_msg_info/error() replaces
	printf()

2007-10-19 15:23  jmlarsen

	* irplib/irplib_filter.c: Added check of input/output type
	consistency

2007-10-19 15:22  jmlarsen

	* irplib/tests/Makefile.am: Added filter_median_type.c to
	distributions

2007-10-19 15:21  jmlarsen

	* irplib/Makefile.am: Added filter_median.c to distributions

2007-10-19 14:36  llundin

	* irplib/: Makefile.am, filter_median.c, irplib_filter.c,
	irplib_filter.h, irplib_filter_double.c, irplib_filter_float.c,
	irplib_filter_int.c, tests/Makefile.am, tests/filter_median_type.c,
	tests/irplib_filter-test.c: Added module irplib_filter with unit
	tests

2007-10-16 11:50  lbilbao

	* irplib/irplib_detmon.c: Doxygen info of irplib_detmon_lg()
	updated.

2007-10-16 04:16  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: [no log message]

2007-10-06 11:10  lbilbao

	* irplib/irplib_detmon.c: Unnecessary error messages removed

2007-10-05 14:27  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: Saving of intermediate products moved
	to irplib_detmon_lg_save(), required by DFO on detmon-kit-0.0.4.
	Changes needed in API for functions
	irplib_detmon_autocorr_factor(), irplib_detmon_gain(),
	irplib_detmon_lg_reduce() and irplib_detmon_lg().

2007-10-05 09:51  lbilbao

	* irplib/irplib_detmon.c: False uninit warning(s) fixed

2007-10-04 18:30  lbilbao

	* irplib/irplib_detmon.c: Changes introduced in functions
	irplib_detmon_lg_reduce_all() and irplib_detmon_opt_contamination()
	to meet requests from DFO on detmon-kit-0.0.4

2007-10-04 16:34  lbilbao

	* irplib/irplib_detmon.h: New recipe added: detmon_dark

2007-10-04 15:13  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_dark() and corresponding
	subfunctions added with unit test for detmon_dark new recipe.

2007-09-26 13:12  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute(): fix spacing

2007-09-26 13:11  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute():
	cpl_ensure_code() replaces assert(). IRPLIB_MATH_PI replaces
	IRPLIB_PI. double strehl_error_coefficient replaces
	STREHL_ERROR_COEFFICIENT

2007-09-26 12:52  llundin

	* irplib/irplib_detmon.c: irplib_detmon_pernoise_qc(): variable
	iquad replaces quad, which shadows a global variable

2007-09-26 12:49  llundin

	* irplib/irplib_oddeven.c: irplib_oddeven_monitor(): variable iquad
	replaces quad, which shadows a global variable

2007-09-26 12:45  llundin

	* irplib/irplib_utils.c: Fix for missing isnan() prototype

2007-09-26 12:44  llundin

	* configure.ac: Add AC_CHECK_DECLS(isnan)

2007-09-26 10:15  llundin

	* irplib/irplib_plugin.c, recipes/visir_img_burst.c:
	recipe_sof_test_image_empty(): remove() replaces unlink()

2007-09-25 12:10  llundin

	* visir/visir_utils.h: visir_*_plot*(): Use cpl_errorstate_get(),
	irplib_error_recover() for error handling

2007-09-25 12:10  llundin

	* irplib/irplib_plot.c: cpl_sprintf() replaces snprintf() (and
	irplib_sprintf()). Move temporary filename and executable to plot
	struct - fixes bug when IRPLIB_IMAGER is different from the
	(gnu-)plot command

2007-09-21 22:19  llundin

	* irplib/tests/irplib_detmon-test.c: sin() -> sinf()

2007-09-21 16:23  llundin

	* recipes/visir_img_burst.c: redeclare booleans from int to
	cpl_boolean. Use irplib_parameterlist_get_*(). Return
	cpl_error_get_code() on failure

2007-09-21 16:00  llundin

	* configure.ac: Drop checks for cosf/sinf

2007-09-21 15:56  lbilbao

	* irplib/irplib_detmon.c: Usage of cosf changed into cos

2007-09-21 15:39  lbilbao

	* irplib/irplib_detmon.c: Measurements in
	irplib_detmon_opt_contamination() unnormalized. New step
	(extraction) added to processing in
	irplib_detmon_pernoise_reduce(). Changes in
	irplib_detmon_pernoise_rm_bpixs() although this function is now
	inactive. Refinement of peak selection in
	irplib_detmon_pernoise_qc().

2007-09-21 11:58  llundin

	* configure.ac: 2.0.0 -> 2.0.1cvs

2007-09-21 09:36  llundin

	* irplib/irplib_plugin.c: recipe_sof_test_image_empty(): declare
	unlink()

2007-09-21 09:29  llundin

	* irplib/irplib_plugin.c: recipe_sof_test_image_empty(): Cast for
	%u

2007-09-20 16:10  llundin

	* recipes/visir_img_burst.c: Added @defgroup, @internal, replace
	tab with 4-space

2007-09-20 15:41  llundin

	* recipes/tests/recipe_main.c: use cpl_test when there

2007-09-20 15:18  llundin

	* configure.ac, visir/Makefile.am, visir/tests/Makefile.am,
	visir/tests/visir_utils-test.c: visir/tests/: Added place-holder
	for unit tests

2007-09-20 13:14  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_analysis(): Fixed
	mem-leak on error

2007-09-20 12:48  llundin

	* irplib/irplib_plugin.c: recipe_sof_test_image_empty(): Added.
	irplib_plugin_test(): Call recipe_sof_test_image_empty()

2007-09-20 12:22  llundin

	* recipes/visir_img_burst.c: visir_chop_nod_burst(): Handle missing
	FITS cards

2007-09-20 11:18  lbilbao

	* irplib/irplib_detmon.c: Math constants replaced by new ones in
	irplib_math_const.h. sinf(x) and cosf(x) modified.

2007-09-20 11:04  llundin

	* recipes/visir_img_burst.c: visir_img_burst_destriping(): Resolve
	uninit warnings

2007-09-20 10:50  llundin

	* recipes/visir_img_burst.c: Removed trailing blanks, broke one
	long comment

2007-09-20 10:33  llundin

	* irplib/irplib_plugin.c: recipe_frameset_empty(): Added.
	recipe_sof_test_local(): Add call to
	cpl_dfs_update_product_header(), recipe_frameset_empty()

2007-09-19 16:06  lbilbao

	* irplib/irplib_detmon.c: Error checking improved in
	irplib_detmon_pernoise_save()

2007-09-19 16:05  lbilbao

	* irplib/tests/irplib_detmon-test.c: Bug in irplib_detmon-test
	fixed (wrong test inputs)

2007-09-18 17:44  llundin

	* configure.ac: Added AC_CHECK_FUNCS for sinf cosf

2007-09-17 16:44  lbilbao

	* irplib/irplib_detmon.c: sinf and cosf extended to be used on
	Solaris machines

2007-09-17 16:27  lbilbao

	* irplib/irplib_detmon.c: Bug in saving the products fixed.

2007-09-14 21:16  llundin

	* recipes/visir_img_burst.c, visir/visir_spc_distortion.c,
	visir/visir_spectro.c: Include irplib_math_const.h

2007-09-14 20:58  llundin

	* visir/visir_utils.c: Include irplib_math_const.h

2007-09-14 17:52  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_pernoise() high-level
	function for detmon_pernoise() recipe added with necessary
	sub-functions.

2007-09-14 16:28  llundin

	* irplib/irplib_stdstar.c, recipes/visir_img_burst.c,
	visir/visir_spc_distortion.c, visir/visir_spectro.c,
	visir/visir_utils.c: Use IRPLIB_MATH constants

2007-09-14 16:25  llundin

	* irplib/: Makefile.am, irplib_math_const.h: Added
	irplib_math_const.h

2007-09-13 10:03  lbilbao

	* irplib/irplib_detmon.c: Lin/Gain parameters description
	improvement

2007-09-12 16:44  lbilbao

	* irplib/tests/Makefile.am: Revert previous erroneus commit

2007-09-12 16:25  lbilbao

	* irplib/: irplib_detmon.c, tests/Makefile.am: Interpolation
	introduce to refine max in irplib_detmon_ronbias_histo().

2007-09-12 16:08  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: API of
	irplib_detmon_fill_ronbias_params() changed.
	irplib_detmon_retrieve_ronbias_params() changed. Histogram related
	parameters removed.

2007-09-12 15:40  lbilbao

	* irplib/irplib_detmon.c: Bug when empty frameset given fixed

2007-09-12 14:29  lbilbao

	* irplib/irplib_detmon.c: Message coherence for multi-extension
	case revised. PAF files created now for each extension. Error
	checking added.

2007-09-12 11:37  lbilbao

	* irplib/irplib_detmon.c: Bug found and fixed in
	irplib_detmon_ronbias_histo().

2007-09-07 16:23  lbilbao

	* irplib/: irplib_detmon.c, irplib_hist.c, irplib_hist.h,
	tests/irplib_hist-test.c: Major update of the irplib_hist module

2007-09-06 17:13  lbilbao

	* irplib/irplib_detmon.c: Indenting improved overall. Tabs removed.

2007-09-06 14:13  llundin

	* ChangeLog: Changes up to VISIR 2.0.0

2007-09-06 12:07  lbilbao

	* irplib/irplib_detmon.c: Column inserted back - SIG_ON_DIF

2007-09-04 17:35  lbilbao

	* irplib/irplib_detmon.c: Error checking update and rename for
	several variables

2007-09-04 10:41  llundin

	* configure.ac: 2.0.0

2007-09-04 08:39  llundin

	* configure.ac: visir-2_0_0rc2

2007-09-04 08:38  llundin

	* recipes/tests/Makefile.am: visir_img_burst-test placed first

2007-09-03 14:17  llundin

	* recipes/visir_img_burst.c: visir_img_burst_destripe_cube():
	In-place, add messaging and error-checking
	visir_img_burst_destriping(): Reduce scope of variables,    add
	error-checking, save supp_total_2.fits on morpho only,	  use
	CPL_BPP_8_UNSIGNED for total_{1,2}.fits, extend messaging on no
	stripes visir_image_burst_morpho_clean(): In-place, drop redundant
	cpl_mask_not().  visir_img_burst_destriping(): Take thresholding
	params visir_img_burst_sigma_clip(): Replaced by
	visir_image_sigma_clip() visir_img_burst_find_max_index(): Moved
	down morpho: Redeclare to cpl_boolean and drop no-morpho message
	fctid: replaced by cpl_func Drop indentation calls.

2007-09-03 09:57  llundin

	* visir/: visir_utils.c, visir_utils.h: visir_image_sigma_clip():
	Added. visir_img_phot_sigma_clip(): Wrap around
	visir_image_sigma_clip()

2007-08-31 17:30  llundin

	* recipes/visir_img_burst.c: visir_filter_image_average(): replaces
	filter_linear on uniform 29 x 29 mask

2007-08-31 09:17  llundin

	* recipes/visir_img_burst.c: visir_img_burst_find_max_index():
	Added

2007-08-30 11:19  lbilbao

	* irplib/: irplib_detmon.c, irplib_hist.c, irplib_hist.h: Several
	warnings removed.

2007-08-30 10:39  lbilbao

	* irplib/: irplib_hist.c, tests/irplib_hist-test.c: binwidth = 1
	(theoretical maximum optimal size for integer images)

2007-08-30 10:35  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_ronbias_histo() changed to
	make use of irplib_hist.h module. Error checking improved overall.

2007-08-29 10:20  lbilbao

	* irplib/: Makefile.am, irplib_hist.c, irplib_hist.h,
	tests/Makefile.am, tests/irplib_hist-test.c: New module
	irplib_hist.{h,c} with unit tests. Functionalities to work with
	histograms.

2007-08-28 14:44  lbilbao

	* irplib/tests/irplib_detmon-test.c: Bug fixed

2007-08-28 14:40  lbilbao

	* irplib/irplib_detmon.c: Bug fixed because of variable used
	unitialised (nraws in function irplib_detmon_ronbias_preoverscan().

2007-08-28 13:48  amodigli

	* irplib/tests/irplib_detmon-test.c: commented out test to have
	make distcheck working. Pls Lander fix the bug.

2007-08-27 17:06  lbilbao

	* irplib/irplib_detmon.c: Usage of irplib_get_clean_mean_window()
	included in functions irplib_detmon_ronbias_preoverscan(),
	irplib_detmon_ronbias_region() and irplib_detmon_ronbias_master()
	to remove bad pixels' effect on RON computation. Error checking
	improved overall.

2007-08-24 12:27  lbilbao

	* irplib/irplib_detmon.c: Bug in parameters' description fixed.

2007-08-24 11:42  lbilbao

	* irplib/irplib_detmon.c: New function
	irplib_detmon_add_adl_column() added to compute ADL column of the
	LINEAR_TABLE in irplib_detmon_lg().

2007-08-24 11:01  cdoucet

	* recipes/visir_img_burst.c: Test finished by Coralie

2007-08-24 10:58  cdoucet

	* recipes/visir_img_burst.c: This is a test for Coralie

2007-08-24 10:15  lbilbao

	* irplib/irplib_detmon.c: Warnings because of unused variables
	avoided.

2007-08-23 18:10  lbilbao

	* irplib/irplib_detmon.c: Bugs in irplib_detmon_ronbias_random()
	and irplib_detmon_ronbias_histo() refered to RON computation fixed.

2007-08-23 17:01  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: New parameter --rescale with default
	value TRUE added to set ON / OFF the option of rescaling the input
	pairs of frames one to the level of the other one.

2007-08-23 16:41  lbilbao

	* irplib/irplib_detmon.c: Rescaling of the frames before
	autocorrelation introduced to get better autocorrelation factor.
	New function irplib_detmon_lg_rescale().

2007-08-23 16:37  llundin

	* visir/visir_pfits.h: VISIR_PFITS_REGEXP_INPUTS_COMBINE: Added
	missing |

2007-08-23 16:20  llundin

	* recipes/visir_img_burst.c: kernel declared as cpl_matrix instead
	of cpl_image

2007-08-23 15:59  llundin

	* visir/visir_pfits.h: VISIR_PFITS_REGEXP_CAPA,
	VISIR_PFITS_REGEXP_LOAD_IMAGELIST: Drop leading | (exposed on Mac
	OSX)

2007-08-23 13:53  lbilbao

	* irplib/tests/irplib_detmon-test.c: New unit test added, for the
	case when input frames are multi-extension but computation is done
	only on one of the extensions.

2007-08-23 13:48  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Bug in
	irplib_detmon_lg() fixed, now it also accepts to be several pairs
	with the same DIT value. Corresponding unit test added, too.

2007-08-23 10:58  llundin

	* acinclude.m4: Fixed top_srcdir -> top_builddir in order to
	support VPATH build

2007-08-23 09:50  llundin

	* recipes/visir_img_burst.c: visir_img_burst_psf_create(): Added,
	replaces psf.fits

2007-08-22 17:25  lbilbao

	* irplib/tests/irplib_detmon-test.c: New unit test for
	multi-extension case added. irplib_detmon_tests_fill_frameset()
	function enlarged (API changed) to make it able to fill
	multi-extension framesets, too.

2007-08-22 17:23  lbilbao

	* irplib/irplib_detmon.c: Strong error checking added overall.

2007-08-22 14:57  lbilbao

	* irplib/irplib_detmon.c: Minor changes to fix memory leaks only
	detected by valgrind

2007-08-22 14:24  yjung

	* irplib/: irplib_irlist.h, irplib_std.c, irplib_std.h,
	irplib_irlist.h, irplib_std.c, irplib_std.h: [no log message]

2007-08-22 14:03  llundin

	* irplib/: Makefile.am, irplib_irlist.h, irplib_std.c,
	irplib_std.h: irplib_std.{c,h} and irplib_irlist.h replaced by
	irplib_stdstar

2007-08-22 13:35  lbilbao

	* irplib/irplib_detmon.c: Bug fixed in irplib_detmon_lg_save()
	(when saving products after a multi-extension computation, primary
	unit was used instead of being left empty, as it should to follow
	inputs' structure).

2007-08-22 13:19  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE(): Improve
	documentation of run-time version check

2007-08-22 13:01  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_fill_params() modified
	(new API included). Now it is possible to give the values of the
	parameters to the recipe throught this new API (this feature will
	be used to call the recipe with different parameters' value in the
	testingcycle. New function irplib_detmon_fill_params_default()
	where no values need to be given (default values hard-coded here).

2007-08-22 11:51  lbilbao

	* irplib/irplib_detmon.c: Important changes for full operational
	support of multi-extension FITS. Major code changes in
	irplib_detmon_lg() and irplib_detmon_lg_reduce(). API changes also
	in irplib_detmon_gain() and irplib_detmon_linearity(). New function
	irplib_detmon_lg_reduce_init() just to initialise all the variable
	used in irplib_detmon_lg_reduce().

2007-08-21 15:06  jmlarsen

	* irplib/: Makefile.am, irplib_access.c, irplib_access.h: Removed
	irplib_access module, largely deprecated by CPL-4

2007-08-20 14:57  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_lg() API modified.
	Parameter extnum removed (moved to command-line parameter --exts).
	This new parameter is used to manage FITS exts, as usual: 0 for
	primary unit, -1 for all exts, n for extension nb n.

2007-08-10 11:03  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE(): Let
	cpl_plugin_get_info() verify run-time version of CPL

2007-08-09 22:23  llundin

	* catalogs/spec_std_catalog.tar: Replaced by its unpacked ASCII
	contents in spec_std_catalog/

2007-08-09 22:22  llundin

	* catalogs/spec_std_catalog/: HD100029.txt, HD10110.txt,
	HD101666.txt, HD102224.txt, HD102461.txt, HD102964.txt, HD1032.txt,
	HD10380.txt, HD105340.txt, HD10550.txt, HD105943.txt, HD106321.txt,
	HD107274.txt, HD107328.txt, HD108381.txt, HD108903.txt,
	HD108985.txt, HD109511.txt, HD109551.txt, HD110014.txt,
	HD110458.txt, HD111067.txt, HD111335.txt, HD111862.txt,
	HD111915.txt, HD112213.txt, HD113092.txt, HD11353.txt,
	HD113996.txt, HD114326.txt, HD114780.txt, HD115046.txt,
	HD115478.txt, HD116870.txt, HD116976.txt, HD119193.txt,
	HD120477.txt, HD120933.txt, HD121710.txt, HD123123.txt,
	HD123139.txt, HD1240.txt, HD124294.txt, HD124547.txt, HD124882.txt,
	HD12524.txt, HD1255.txt, HD125560.txt, HD125932.txt, HD126927.txt,
	HD127093.txt, HD127665.txt, HD128000.txt, HD128068.txt,
	HD128902.txt, HD129078.txt, HD12929.txt, HD130157.txt,
	HD130694.txt, HD132833.txt, HD133165.txt, HD133550.txt,
	HD133774.txt, HD13520.txt, HD135758.txt, HD13596.txt, HD136028.txt,
	HD136422.txt, HD137744.txt, HD137759.txt, HD138265.txt,
	HD138481.txt, HD138538.txt, HD139063.txt, HD139127.txt,
	HD139663.txt, HD139669.txt, HD140573.txt, HD14146.txt,
	HD141477.txt, HD141992.txt, HD142574.txt, HD142676.txt,
	HD143107.txt, HD143435.txt, HD144204.txt, HD145892.txt,
	HD145897.txt, HD146051.txt, HD14641.txt, HD146791.txt, HD14872.txt,
	HD14890.txt, HD149009.txt, HD149447.txt, HD150798.txt,
	HD151217.txt, HD151249.txt, HD151680.txt, HD1522.txt, HD152326.txt,
	HD152880.txt, HD153210.txt, HD155410.txt, HD156277.txt,
	HD156283.txt, HD15656.txt, HD156652.txt, HD157325.txt,
	HD157999.txt, HD158899.txt, HD158996.txt, HD161096.txt,
	HD16212.txt, HD1632.txt, HD163376.txt, HD1635.txt, HD163588.txt,
	HD163770.txt, HD164646.txt, HD16815.txt, HD168323.txt,
	HD168592.txt, HD168723.txt, HD168775.txt, HD169414.txt,
	HD169916.txt, HD170693.txt, HD170951.txt, HD171759.txt,
	HD17361.txt, HD173780.txt, HD174387.txt, HD175775.txt,
	HD176524.txt, HD176670.txt, HD17709.txt, HD177716.txt,
	HD177808.txt, HD178345.txt, HD179886.txt, HD180450.txt,
	HD181109.txt, HD182709.txt, HD18293.txt, HD183439.txt,
	HD184406.txt, HD18449.txt, HD184827.txt, HD184996.txt,
	HD186619.txt, HD186791.txt, HD187150.txt, HD187642.txt,
	HD187660.txt, HD1879.txt, HD188056.txt, HD188114.txt, HD188154.txt,
	HD188310.txt, HD188603.txt, HD189140.txt, HD189276.txt,
	HD189319.txt, HD189695.txt, HD189831.txt, HD190056.txt,
	HD192107.txt, HD192781.txt, HD193002.txt, HD193579.txt,
	HD19460.txt, HD19476.txt, HD196171.txt, HD196321.txt, HD19656.txt,
	HD196917.txt, HD197912.txt, HD197989.txt, HD198048.txt,
	HD198134.txt, HD198149.txt, HD198357.txt, HD198542.txt,
	HD199101.txt, HD199345.txt, HD199642.txt, HD199697.txt,
	HD200644.txt, HD200856.txt, HD200914.txt, HD201298.txt,
	HD201901.txt, HD203399.txt, HD203504.txt, HD20356.txt, HD20468.txt,
	HD205478.txt, HD20644.txt, HD206445.txt, HD20893.txt, HD209688.txt,
	HD211416.txt, HD213310.txt, HD214868.txt, HD21552.txt,
	HD216032.txt, HD216149.txt, HD216397.txt, HD216446.txt,
	HD217902.txt, HD218452.txt, HD218670.txt, HD219449.txt,
	HD219784.txt, HD219981.txt, HD220009.txt, HD220088.txt,
	HD220363.txt, HD220440.txt, HD220954.txt, HD221588.txt,
	HD222404.txt, HD224630.txt, HD224889.txt, HD2261.txt, HD22663.txt,
	HD23249.txt, HD23319.txt, HD23817.txt, HD2436.txt, HD2486.txt,
	HD25025.txt, HD25165.txt, HD25274.txt, HD25477.txt, HD26311.txt,
	HD2637.txt, HD26526.txt, HD26846.txt, HD26967.txt, HD27442.txt,
	HD27482.txt, HD27639.txt, HD27697.txt, HD28.txt, HD28305.txt,
	HD28413.txt, HD28749.txt, HD29085.txt, HD29291.txt, HD29503.txt,
	HD30080.txt, HD30338.txt, HD31312.txt, HD31398.txt, HD31421.txt,
	HD31767.txt, HD32820.txt, HD32887.txt, HD3346.txt, HD33554.txt,
	HD33856.txt, HD33872.txt, HD34334.txt, HD34450.txt, HD35536.txt,
	HD36167.txt, HD36678.txt, HD3712.txt, HD37160.txt, HD37984.txt,
	HD38944.txt, HD39003.txt, HD39364.txt, HD39400.txt, HD39425.txt,
	HD39523.txt, HD39853.txt, HD40035.txt, HD40091.txt, HD40808.txt,
	HD41047.txt, HD4128.txt, HD41312.txt, HD42540.txt, HD42633.txt,
	HD4301.txt, HD43785.txt, HD44951.txt, HD45018.txt, HD4502.txt,
	HD45669.txt, HD45866.txt, HD46037.txt, HD46184.txt, HD46815.txt,
	HD47174.txt, HD47182.txt, HD47205.txt, HD47536.txt, HD47667.txt,
	HD47914.txt, HD4815.txt, HD48217.txt, HD48433.txt, HD49293.txt,
	HD49517.txt, HD49520.txt, HD49877.txt, HD49968.txt, HD50235.txt,
	HD50310.txt, HD5112.txt, HD5234.txt, HD52960.txt, HD52976.txt,
	HD53287.txt, HD53501.txt, HD53510.txt, HD5462.txt, HD54716.txt,
	HD55526.txt, HD55775.txt, HD55865.txt, HD57423.txt, HD57646.txt,
	HD5848.txt, HD59294.txt, HD59311.txt, HD59381.txt, HD59717.txt,
	HD60522.txt, HD6112.txt, HD61248.txt, HD61294.txt, HD61338.txt,
	HD61603.txt, HD6186.txt, HD61935.txt, HD62044.txt, HD62285.txt,
	HD62689.txt, HD62721.txt, HD62902.txt, HD63295.txt, HD63696.txt,
	HD63697.txt, HD63744.txt, HD64307.txt, HD65662.txt, HD65695.txt,
	HD66141.txt, HD67582.txt, HD6805.txt, HD6953.txt, HD70272.txt,
	HD70555.txt, HD71093.txt, HD71095.txt, HD71701.txt, HD71878.txt,
	HD720.txt, HD72094.txt, HD73108.txt, HD7318.txt, HD73471.txt,
	HD73603.txt, HD74442.txt, HD74860.txt, HD75691.txt, HD76110.txt,
	HD76351.txt, HD7647.txt, HD77800.txt, HD77996.txt, HD787.txt,
	HD79354.txt, HD79554.txt, HD80493.txt, HD81146.txt, HD81420.txt,
	HD81799.txt, HD81817.txt, HD82308.txt, HD82381.txt, HD82660.txt,
	HD82668.txt, HD83126.txt, HD83425.txt, HD83618.txt, HD83787.txt,
	HD8388.txt, HD8498.txt, HD8512.txt, HD85503.txt, HD86378.txt,
	HD8705.txt, HD87837.txt, HD8810.txt, HD89388.txt, HD89682.txt,
	HD89998.txt, HD90957.txt, HD91056.txt, HD9138.txt, HD92305.txt,
	HD92523.txt, HD92682.txt, HD9362.txt, HD93813.txt, HD94247.txt,
	HD94264.txt, HD94336.txt, HD95212.txt, HD95272.txt, HD95314.txt,
	HD95578.txt, HD96833.txt, HD9692.txt, HD97576.txt, HD98118.txt,
	HD98262.txt, HD99167.txt, HD9927.txt, HIP100469.txt, HIP103681.txt,
	HIP105756.txt, HIP108085.txt, HIP108284.txt, HIP109268.txt,
	HIP110395.txt, HIP111433.txt, HIP112029.txt, HIP112623.txt,
	HIP113136.txt, HIP113963.txt, HIP117452.txt, HIP12706.txt,
	HIP18724.txt, HIP21281.txt, HIP24436.txt, HIP31681.txt,
	HIP32349.txt, HIP33977.txt, HIP35904.txt, HIP36188.txt,
	HIP42913.txt, HIP45238.txt, HIP49583.txt, HIP49669.txt,
	HIP50099.txt, HIP51576.txt, HIP54879.txt, HIP56561.txt,
	HIP57632.txt, HIP60965.txt, HIP61932.txt, HIP65109.txt,
	HIP74785.txt, HIP74946.txt, HIP78820.txt, HIP81377.txt,
	HIP84012.txt, HIP90185.txt, HIP93506.txt, HIP93747.txt,
	HIP93805.txt, HIP99473.txt: Unpacked from ../spec_std_catalog.tar

2007-08-09 15:43  llundin

	* recipes/visir_img_phot.c: visir_img_phot_eccent_three(), 
	visir_img_phot_eccent_four(): Drop debugging statements

2007-08-09 15:21  llundin

	* irplib/irplib_plugin.c, recipes/tests/visir_util_img_std_cat.sof,
	recipes/tests/visir_util_spc_std_cat.sof,
	recipes/tests/visir_util_spc_txt2fits.sof: recipe_sof_test_local():
	Test recipe in ./<recipe>.sof

2007-08-09 15:19  llundin

	* catalogs/img_std_catalog.txt, recipes/visir_img_phot.c,
	recipes/visir_util_img_std_cat.c: Filter label J12.2 replaces J12.1

2007-08-09 14:02  llundin

	* Makefile.am, configure.ac, doxygen/Doxyfile.in,
	recipes/Makefile.am, recipes/tests/Makefile.am,
	recipes/tests/README, recipes/tests/recipe_main.c: Moved tests/ to
	recipes/tests/

2007-08-09 13:42  llundin

	* tests/: Makefile.am, README, recipe_main.c: moved to
	../recipes/tests/

2007-08-08 20:36  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: irplib_bpp_find():
	Removed

2007-08-08 11:52  llundin

	* recipes/: visir_img_achro.c, visir_img_combine.c,
	visir_img_dark.c, visir_img_ff.c, visir_img_focfwhm.c,
	visir_img_illu.c, visir_img_pfov.c, visir_img_phot.c,
	visir_img_psf.c, visir_img_trans.c, visir_spc_obs.c,
	visir_spc_obs_ech.c, visir_spc_phot.c, visir_spc_phot_ech.c,
	visir_spc_wcal.c, visir_spc_wcal_ech.c, visir_util_img_std_cat.c,
	visir_util_inputs.c, visir_util_spc_txt2fits.c, visir_recipe.h:
	RECIPE_STRING replaces recipename

2007-08-08 11:48  llundin

	* recipes/visir_recipe.h: irplib_dfs dropped

2007-08-08 11:48  llundin

	* recipes/: visir_img_achro.c, visir_img_combine.c,
	visir_img_dark.c, visir_img_ff.c, visir_img_focfwhm.c,
	visir_img_illu.c, visir_img_pfov.c, visir_img_phot.c,
	visir_img_psf.c, visir_img_trans.c, visir_spc_obs.c,
	visir_spc_obs_ech.c, visir_spc_phot.c, visir_spc_phot_ech.c,
	visir_spc_wcal.c, visir_spc_wcal_ech.c, visir_util_img_std_cat.c,
	visir_util_inputs.c, visir_util_spc_std_cat.c,
	visir_util_spc_txt2fits.c: CPL_DFS_{FITS,PAF} replaces
	IRPLIB_DFS_{FITS,PAF}

2007-08-08 11:35  llundin

	* visir/visir_dfs.c: Removed unneeded include of irplib_dfs.h and
	irplib_error.h

2007-08-08 11:34  llundin

	* visir/irplib_pfits.c: irplib_pfits_set_airmass(): Fixed (false)
	uninit warning

2007-08-08 11:26  llundin

	* irplib/: Makefile.am, irplib_error.c, irplib_error.h,
	irplib_dfs.c, irplib_dfs.h: irplib_dfs and irplib_error dropped

2007-08-08 11:21  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE(): Drop call to
	cpl_dfs_update_product_header()

2007-08-08 11:20  llundin

	* irplib/irplib_utils.c: irplib_reset(): Drop call to
	irplib_error_reset()

2007-08-08 11:20  llundin

	* irplib/irplib_std.c: irplib_std_get_mag_zero(): const warnings
	resolved

2007-08-08 11:19  llundin

	* irplib/irplib_stdstar.c: Removed unneeded include of irplib_dfs.h

2007-08-08 10:49  lbilbao

	* irplib/irplib_detmon.c: 2 new columns added to the GAIN table for
	testing purposes. Some more error checking added, too.

2007-08-08 10:30  llundin

	* irplib/irplib_detmon.c: Removed unneeded include of irplib_dfs.h

2007-08-08 09:55  llundin

	* irplib/irplib_access.c: Fix compiler warnings by using CPL 4.0
	_const functons. Most of if not all of the modified functions
	should be replaced by their CPL 4.0 counterpart

2007-08-08 08:35  llundin

	* configure.ac: 2.0.0rc1

2007-08-07 15:27  llundin

	* visir/: visir_parameter.c, visir_parameter.h:
	visir_parameterlist_do_wcs(): Dropped

2007-08-07 15:26  llundin

	* recipes/visir_img_combine.c, recipes/visir_img_phot.c,
	recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_phot.c, recipes/visir_spc_phot_ech.c,
	visir/visir_spectro.c: Use visir_img_recombine() to set drop_wcs +
	warn on no WCS

2007-08-07 15:25  llundin

	* visir/: visir_inputs.c, visir_inputs.h: visir_img_recombine():
	Set *pdid_resize

2007-08-07 14:18  llundin

	* recipes/visir_img_phot.c, recipes/visir_spc_obs.c,
	recipes/visir_spc_obs_ech.c, recipes/visir_spc_phot.c,
	recipes/visir_spc_phot_ech.c, visir/visir_inputs.c,
	visir/visir_inputs.h: Spectro data must be combined with
	cpl_geom_first

2007-08-07 14:15  llundin

	* irplib/irplib_flat.c: irplib_flat_fit_slope_robust():
	cpl_vector_get_median_const() => cpl_vector_get_median()

2007-08-07 10:12  llundin

	* tests/recipe_main.c: Use CPL 4.0: cpl_errorstate,
	cpl_dfs_save_*(), etc.

2007-08-07 10:09  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Warnings
	because of mixed code and unused variables removed.

2007-08-06 17:05  llundin

	* visir/visir_parameter.c: visir_parameterlist_do_wcs(): Support
	improper use

2007-08-06 16:20  llundin

	* recipes/visir_img_achro.c, recipes/visir_img_burst.c,
	recipes/visir_img_combine.c, recipes/visir_img_dark.c,
	recipes/visir_img_ff.c, recipes/visir_img_focfwhm.c,
	recipes/visir_img_illu.c, recipes/visir_img_pfov.c,
	recipes/visir_img_phot.c, recipes/visir_img_psf.c,
	recipes/visir_img_trans.c, recipes/visir_recipe.h,
	recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_phot.c, recipes/visir_spc_phot_ech.c,
	recipes/visir_spc_wcal.c, recipes/visir_spc_wcal_ech.c,
	recipes/visir_util_img_std_cat.c, recipes/visir_util_inputs.c,
	recipes/visir_util_spc_std_cat.c,
	recipes/visir_util_spc_txt2fits.c, visir/irplib_pfits.c,
	visir/irplib_tools.h, visir/visir_inputs.c,
	visir/visir_spc_photom.c, visir/visir_spectro.c,
	visir/visir_utils.c, visir/visir_utils.h: Use CPL 4.0:
	cpl_errorstate, cpl_dfs_save_*(), etc.

2007-08-06 12:54  lbilbao

	* irplib/irplib_detmon.c: Parameter --stacking.method converted
	from int to string.

2007-08-06 10:47  lbilbao

	* irplib/irplib_detmon.c: Better description of defaults values
	inserted in irplib_detmon_fill_params().

2007-08-06 10:31  lbilbao

	* irplib/irplib_detmon.c: Warning included to prevent the user from
	executing --autocorr option without FFTW installed.

2007-08-06 10:17  lbilbao

	* irplib/irplib_detmon.c: New default value for
	--histo.npoints=10000. Computations in
	irplib_detmon_ronbias_histo() improved.

2007-08-06 09:49  lbilbao

	* irplib/irplib_detmon.c: --collapse set to TRUE by default for
	detmon_opt_lg. New functions irplib_detmon_lg_check_defaults() and
	irplib_detmon_ronbias_check_defaults() to set in a dynamic way the
	defaults values for areas {llx, lly, urx, ury}. These are now set
	referenced to dimensions of input images instead of being
	hard-coded.

2007-08-02 17:00  lbilbao

	* irplib/irplib_detmon.c: #define M_SQRT1_2 added to make
	compilable with c99

2007-08-02 14:32  llundin

	* irplib/: irplib_framelist.c, irplib_plugin.c, irplib_plugin.h,
	irplib_stdstar.c, irplib_utils.c, irplib_utils.h: Use CPL 4.0
	(cpl_errorstate, cpl_dfs_save_*(), etc.

2007-08-02 13:45  lbilbao

	* irplib/irplib_detmon.h: Export irplib_detmon_autocorrelate()

2007-08-02 12:58  lbilbao

	* irplib/irplib_detmon.c: Descriptions of some parameters for
	detmon_ronbias() improved.

2007-08-02 12:52  lbilbao

	* irplib/irplib_detmon.c: Parameters nsamples, sizex and sizey in
	detmon_ronbias() renamed random.nsamples, random.sizex and
	random.sizey

2007-08-02 12:20  lbilbao

	* irplib/irplib_detmon.c: Parameter method modified for
	detmon_ronbias()

2007-08-01 17:12  lbilbao

	* irplib/irplib_detmon.c: Error in irplib_detmon_ronbias_histo()
	algorithm corrected.

2007-08-01 13:56  lbilbao

	* irplib/irplib_detmon.c: New function
	irplib_flux_get_bias_window() added. Error checking improved in
	function irplib_detmon_autocorrelate(). Memory bug regarding
	variable opt_offs in irplib_detmon_lg_reduce() removed.

2007-08-01 13:52  lbilbao

	* irplib/tests/irplib_detmon-test.c: New unit test added for
	irplib_detmon_autocorrelate()

2007-08-01 10:40  lbilbao

	* irplib/irplib_detmon.c: irplib_{table, image, paf}_save()
	deprecated functions replaced by cpl_dfs_save_{table, image, paf}.
	New function irplib_detmon_rm_bpixs() added.

2007-07-27 09:20  lbilbao

	* irplib/tests/irplib_detmon-test.c: Missing #ifdef HAVE_FFTW
	inserted

2007-07-26 14:58  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: New function irplib_detmon_pernoise()
	added, with correspondent unit test. New CPL accessor functions
	included.

2007-07-26 09:15  jmlarsen

	* irplib/irplib_error.h: Fixed reverse logic bug

2007-07-26 09:07  jmlarsen

	* irplib/irplib_error.h: irplib_error_assure(): evaluate format
	string only if condition failed

2007-07-26 07:05  llundin

	* irplib/irplib_error.h: irplib_error_push():
	cpl_error_set_message_macro() replaces irplib_error_push_macro().
	All functions deprecated

2007-07-26 07:03  llundin

	* irplib/irplib_dfs.h: irplib_{image,table,paf}_save(): deprecated

2007-07-26 07:02  llundin

	* irplib/tests/: Makefile.am, irplib_utils-test.c,
	irplib_dfs-test.c, irplib_error-test.c: Dropped unit tests of
	deprecated functions

2007-07-25 08:29  llundin

	* irplib/irplib_flat.c: irplib_flat_fit_proportional():
	cpl_vector_get_median_const() => cpl_vector_get_median()

2007-07-25 08:25  llundin

	* irplib/irplib_strehl.c: irplib_strehl_ring_background():
	cpl_vector_get_median_const() => cpl_vector_get_median()

2007-07-24 20:59  llundin

	* recipes/visir_img_burst.c: Port to CPL 4.0: CPL_BPP_DEFAULT =>
	CPL_BPP_IEEE_FLOAT, CPL_PIXEL_MAXVAL => DBL_MAX, CPL_PIXEL_MINVAL
	=> -0.5*DBL_MAX

2007-07-24 19:03  llundin

	* recipes/visir_img_burst.c: make cube_4sources.fits DFS-compliant

2007-07-24 17:46  llundin

	* recipes/visir_img_burst.c: visir_img_burst(): Set first two
	frames as CPL_FRAME_GROUP_RAW, call irplib_image_save() on combined
	image

2007-07-24 14:59  yjung

	* irplib/irplib_stdstar.c: fixed typo

2007-07-24 11:19  llundin

	* recipes/visir_img_burst.c: visir_img_burst_destriping(): Fix
	three image-sized mem-leaks (two on no stripes found)

2007-07-24 11:15  yjung

	* irplib/: irplib_utils.c, irplib_wlxcorr.c: fixed const warnings

2007-07-24 10:39  llundin

	* recipes/visir_img_burst.c: visir_img_burst_destriping(): Fixed
	cpl_vector mem-leak

2007-07-24 10:28  yjung

	* irplib/: irplib_plot.c, irplib_ppm.c, irplib_slitpos.c,
	irplib_stdstar.c, irplib_utils.c, irplib_wlxcorr.c: fixed const
	warnings

2007-07-24 10:03  yjung

	* irplib/irplib_ppm.c: cpl_ppm_match_positions() has 2 new
	arguments !!!

2007-07-24 09:07  yjung

	* irplib/irplib_strehl.c: cpl_flux_get_noise_ring() used double for
	the ring specs

2007-07-23 16:53  yjung

	* irplib/: irplib_detmon.c, irplib_distortion.c, irplib_flat.c,
	irplib_spectrum.c, irplib_strehl.c: cpl_vector_get_median ->
	cpl_vector_get_median_const

2007-07-23 16:47  jmlarsen

	* irplib/: irplib_error.h, irplib_error.c: Implemented
	irplib_error_assure using the new CPL 4 error module

2007-07-23 16:45  jmlarsen

	* irplib/irplib_plugin.h: Use CPL error module instead of IRPLIB
	error module

2007-07-23 15:45  yjung

	* irplib/: irplib_spectrum.c, irplib_spectrum.h: add a const
	modifier

2007-07-23 15:44  llundin

	* recipes/visir_img_burst.c, tests/Makefile.am: Use
	IRPLIB_RECIPE_DEFINE(), add unit test

2007-07-23 14:52  llundin

	* recipes/: Makefile.am, visir_img_burst.c: Ported to CPL 3.1:
	cpl_assure() -> cpl_ensure(); visir_get_license() ->
	irplib_get_license(). Removed unused functions:
	imagelist_combine_by_pack(), visir_imagelist_stack().
	visir_chop_nod_burst(): const char for psf_path.
	visir_img_burst_get_index(): Init position00

2007-07-23 14:13  llundin

	* recipes/visir_img_burst.c: visir_img_burst_destriping(): Fixed
	image-sized mem-leak

2007-07-23 11:27  yjung

	* irplib/: irplib_ppm.c, irplib_ppm.h: removed
	irplib_ppm_match_positions (-> CPL)

2007-07-23 10:59  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: removed functions
	that are now in CPL

2007-07-18 17:04  llundin

	* tests/recipe_main.c: cpl_init(): Redeclared to take a parameter,
	CPL_INIT_DEFAULT

2007-07-17 11:40  llundin

	* irplib/irplib_test.c: irplib_test_init_macro(): Call cpl_init()
	correctly also for CPL 4.0

2007-07-10 17:02  jmlarsen

	* irplib/tests/Makefile.am: Uncommented reference to
	Makefile.purify

2007-07-10 16:41  cguirao

	* irplib/tests/Makefile.am: Adding make clean-am MAKE_PURIFY=on

2007-07-02 10:42  llundin

	* ChangeLog: Lots of changes

2007-07-02 08:59  llundin

	* recipes/visir_util_img_std_cat.c: Added eight new filters:
	"J7.9", "J8.9", "J9.8", "J12.1", "B9.7", "B10.7", "B11.7", "B12.4".
	Fixed help-page typo

2007-06-29 11:17  jmlarsen

	* irplib/tests/Makefile.am: Cleanup generated FITS files

2007-06-28 10:01  llundin

	* recipes/visir_img_dark.c, recipes/visir_img_trans.c,
	visir/visir_inputs.c, visir/visir_spectro.c: DBL_MAX replaces
	CPL_PIXEL_MAXVAL. -FLT_MAX replaces CPL_PIXEL_MINVAL

2007-06-27 14:44  llundin

	* irplib/irplib_error.c: irplib_error_validate_state(),
	irplib_error_push_macro(): Use cpl_error_set_message_macro() with
	CPL 4.0

2007-06-22 16:03  lbilbao

	* irplib/irplib_detmon.c: Warning because of uninitialised variable
	masterbias in irplib_detmon_ronbias_master() removed

2007-06-21 17:29  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Warnings
	because of unused variables removed

2007-06-21 16:18  yjung

	* irplib/: irplib_distortion.c, irplib_spectrum.c: [no log message]

2007-06-21 16:15  yjung

	* irplib/: irplib_distortion.c, irplib_spectrum.c: replaced
	CPL_PIXEL_MAXVAL by DBL_MAX

2007-06-21 14:04  lbilbao

	* irplib/irplib_detmon.c: Error message in
	irplib_detmon_ronbias_save() changed

2007-06-21 13:01  lbilbao

	* irplib/irplib_detmon.c: 2 bugs fixed. First in
	irplib_detmon_ronbias_histo() and second in
	irplib_detmon_build_synthetic()

2007-06-21 10:26  lbilbao

	* irplib/tests/irplib_detmon-test.c: irplib_detmon unit tests
	reactivated

2007-06-21 10:21  lbilbao

	* irplib/irplib_detmon.c: Changes in
	irplib_detmon_build_synthetic()

2007-06-20 16:09  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute(): Adapt to new API
	of cpl_flux_get_noise_ring()

2007-06-20 11:17  lbilbao

	* irplib/tests/irplib_detmon-test.c: irplib_detmon unit test
	deactivated

2007-06-19 19:45  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c:
	irplib_detmon_ronbias_dutycycl() added

2007-06-19 18:59  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_lg() API extended to
	support FITS with multiple extensions

2007-06-19 17:23  lbilbao

	* irplib/irplib_detmon.c: Input validity check added in
	irplib_detmon_ronbias_region()

2007-06-19 17:22  lbilbao

	* irplib/irplib_detmon.c: Input validity check added in
	irplib_detmon_ronbias_preoverscan()

2007-06-19 16:14  lbilbao

	* irplib/irplib_detmon.c: Changes in irplib_detmon_ronbias_region()

2007-06-19 16:05  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_build_synthetic(9 new
	function added. More changes in
	irplib_detmon_ronbias_preoverscan().

2007-06-19 14:33  lbilbao

	* irplib/irplib_detmon.c: Error checking added in
	irplib_detmon_ronbias(). Modifications in
	irplib_detmon_ronbias_histo().

2007-06-19 11:10  llundin

	* recipes/visir_img_phot.c, visir/visir_utils.c,
	visir/visir_utils.h: visir_get_filter_infos(): Moved to
	visir_img_phot from visir_utils, new filters added, Improved error
	message

2007-06-19 10:43  lbilbao

	* irplib/irplib_detmon.c: Error checking added when using
	cpl_image_fill_polynomial()

2007-06-19 10:26  lbilbao

	* irplib/irplib_detmon.c: [no log message]

2007-06-19 10:00  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon-test converted to smaller
	datasets. irplib_detmon_fill_params() and
	irplib_detmon_ronbias_params() functions' APIs changed for that
	reason. Calls to these functions changed in units tests and
	recipes.

2007-06-18 17:19  lbilbao

	* irplib/irplib_detmon.c: HISTO method changed

2007-06-18 11:36  yjung

	* irplib/irplib_stdstar.c: [no log message]

2007-06-15 13:50  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h:
	irplib_detmon_ronbias_save() function added

2007-06-15 10:32  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Test
	failure for CPL 3.1 fixed

2007-06-14 10:20  lbilbao

	* irplib/irplib_detmon.c: New functions
	irplib_detmon_ronbias_histo() and
	irplib_detmon_ronbias_preoverscan() added

2007-06-14 09:45  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: [no log message]

2007-06-13 16:33  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: STD stars catalog
	made external . Rm dependency to irplib_std

2007-06-13 15:29  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: [no log message]

2007-06-13 14:46  llundin

	* catalogs/img_std_catalog.txt: Added comment-header-line.
	HD187642: Use old location. HD48217: Use old, positive flux for Q3

2007-06-13 14:45  llundin

	* catalogs/zerop_cohen_Jy_newfilters.txt: Use old location for
	HD187642, the new clashes with another star

2007-06-13 14:44  llundin

	* catalogs/img_std_catalog_parse.pl: Comment out header-line in
	output

2007-06-13 14:33  llundin

	* catalogs/zerop_cohen_Jy_newfilters.txt: HD48217, use old,
	positive flux for Q3

2007-06-13 14:31  llundin

	* catalogs/img_std_catalog_parse.pl: Prefer old flux to negative
	flux. Allow commented out header

2007-06-13 13:54  llundin

	* catalogs/img_std_catalog.txt: Removed header line

2007-06-13 13:54  llundin

	* catalogs/img_std_catalog.txt: Use zerop_cohen_Jy_newfilters.txt
	and the extra fluxes from img_std_catalog.txt

2007-06-13 13:52  llundin

	* catalogs/img_std_catalog_parse.pl: Parse img_std_catalog.txt and
	zerop_cohen_Jy_newfilters.txt

2007-06-13 13:51  llundin

	* catalogs/img_std_catalog.txt: Added header line (for
	img_std_catalog_parse.pl)

2007-06-13 13:50  llundin

	* catalogs/zerop_cohen_Jy_newfilters.txt: Changed Filter names to
	upper case

2007-06-13 11:35  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_ronbias_random() function
	modified. Computing and writing of the QC params included

2007-06-13 11:20  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_ronbias_random() function
	added

2007-06-13 10:44  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: New functions irplib_detmon_ronbias(),
	irplib_detmon_fill_ronbias_params() and
	irplib_detmon_retrieve_ronbias_params() added (to be used by new
	recipe detmon_ronbias)

2007-06-13 09:20  llundin

	* catalogs/zerop_cohen_Jy_newfilters.txt: Received from
	epantin@cea.fr on 2007.06.04

2007-06-12 15:48  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: [no log message]

2007-06-12 13:51  yjung

	* irplib/irplib_stdstar.c: [no log message]

2007-06-12 13:26  yjung

	* irplib/irplib_stdstar.h: [no log message]

2007-06-12 12:54  lbilbao

	* irplib/irplib_detmon.h: irplib_detmon_get_description macro moved
	to irplib_detmon_lg_get_description. New macro
	irplib_detmon_ronbias_get_description added.

2007-06-12 12:26  lbilbao

	* irplib/irplib_detmon.c: Some variable moved to smallest possible
	scope. New function irplib_detmon_lg_reduce_all() added, which
	comprises code that was previously at the end of
	irplib_detmon_lg_reduce().

2007-06-12 11:37  yjung

	* irplib/: irplib_stdstar.c, irplib_stdstar.h: [no log message]

2007-06-12 10:49  yjung

	* irplib/: Makefile.am, irplib_stdstar.c, irplib_stdstar.h: [no log
	message]

2007-06-11 13:37  lbilbao

	* irplib/irplib_detmon.c: sprintf() moved to irplib_sprintf()

2007-06-08 18:04  lbilbao

	* irplib/irplib_detmon.c: Variables name, desc and type moved in
	irplib_detmon_fill_parlist() to smallest possble scope

2007-06-08 17:57  lbilbao

	* irplib/irplib_detmon.c: Most variables in irplib_detmon_lg()
	moved to smallest possible scope

2007-06-08 17:43  lbilbao

	* irplib/irplib_detmon.c: irplib_sprintf() replaced in
	if(intermediate) by sprintf() because of weird error. dit replaced
	by exptime to make the recipe more general (apliable to UVES data
	which doesn't have a DIT keyword)

2007-06-08 11:53  lbilbao

	* irplib/irplib_detmon.c: collapse parameter added. Code modified
	where needed depending on this parameter's value, functions
	irplib_detmon_lg(), irplib_detmon_lg_reduce() and
	irplib_detmon_lg_linearity().

2007-06-08 10:21  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_fill_params() changed. New
	function irplib_detmon_fill_parlist() added and used there.

2007-06-04 12:16  llundin

	* irplib/irplib_detmon.c: irplib_detmon_lg_reduce(): Move coeff
	declaration to smallest possible scope (and fix no-use warning on
	CPL 3.1)

2007-05-30 15:13  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: irplib_detmon_lg() API
	modified. Error in int (* compare) declaration fixed

2007-05-25 15:06  lbilbao

	* irplib/irplib_detmon.c: indent applied to remove some tabs and to
	match some other coding standards

2007-05-25 09:16  lbilbao

	* irplib/irplib_detmon.c: cpl_sprintf() moved back to
	irplib_sprintf() as it is not supported for CPL 3.1

2007-05-24 17:41  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: Little change in the
	irplib_detmon_lg() API

2007-05-24 17:32  lbilbao

	* irplib/irplib_detmon.c: irplib_sprintf() and sprintf() moved to
	cpl_sprintf()

2007-05-24 17:28  lbilbao

	* irplib/irplib_detmon.c: New parameter --intermediate added. Macro
	insert_par added for function irplib_detmon_fill_params(). Function
	irplib_detmon_retrieve_par() added.

2007-05-24 12:56  lbilbao

	* irplib/irplib_detmon.c: clreturn_if macro added in function
	irplib_detmon_lg_reduce()

2007-05-24 10:26  lbilbao

	* irplib/irplib_detmon.c: Extra tokens in undef directive removed

2007-05-24 09:46  llundin

	* irplib/irplib_std.c: irplib_great_circle_dist(): Copied from
	VISIR. irplib_std_get_closest_star(): Replace Euclidian distance
	with irplib_great_circle_dist(), add debugging statements.
	IRPLIB_STD_MAXRADIUS: Definable at compile time

2007-05-24 09:31  jmlarsen

	* irplib/tests/irplib_utils-test.c: Disabled the tests using NaN
	because NaN is not easy to produce portably

2007-05-23 15:39  jmlarsen

	* irplib/irplib_strehl.c: Use irplib_isnan instead of isnan

2007-05-23 15:33  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: const modifier added
	in some functions declarations

2007-05-23 15:06  lbilbao

	* irplib/irplib_detmon.c: Macro clreturn_if added in
	irplib_detmon_lg()

2007-05-23 14:52  llundin

	* configure.ac: Check for isnan, isinf

2007-05-23 14:48  jmlarsen

	* irplib/: irplib_utils.c, irplib_utils.h,
	tests/irplib_utils-test.c: Added irplib_isinf, irplib_isnan

2007-05-22 15:24  llundin

	* recipes/visir_img_burst.c: Copy from Coralie Doucet
	(/home/cdoucet/visir-kit-1.3.7/visirp/recipes/visir_img_burst.c).
	Previous copy was from
	/home/cdoucet/visir-kit-1.3.7/visirp/recipes/visir_img_burst_stack.
	c

2007-05-22 10:33  jmlarsen

	* irplib/irplib_plot.c: Added cast to suppress CPL warning

2007-05-22 10:21  jmlarsen

	* irplib/: irplib_plot.c, irplib_plot.h: Eliminated usage of POSIX
	popen/pclose calls and implemented the plotting i/o using just the
	ANSI system() call. This change was made in order to allow
	compiling with gcc's C99 mode which is convenient.

2007-05-21 15:52  llundin

	* recipes/visir_img_burst.c: visir_get_license(): Copied from
	visir/visir_utils.c -r113. visir_img_burst_create(): Change
	psf.fits location to "/home/llundin/HEAD/visirp/catalogs/psf.fits"

2007-05-21 15:35  llundin

	* recipes/visir_img_burst.c, catalogs/psf.fits: Copy from Coralie
	Doucet

2007-05-21 15:15  lbilbao

	* irplib/irplib_detmon.c: Some warnings because declarations and
	code mixed removed

2007-05-16 14:16  lbilbao

	* irplib/irplib_detmon.c: Unnecessary error messages removed

2007-05-16 14:00  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: IR Recipe code
	modified. Description macro moved to irplib_detmon.c, #include
	detmon_dfs.h and #include detmon_utils.h removed

2007-05-14 14:02  llundin

	* irplib/irplib_dfs.c: irplib_image_save(): Document creation of
	FITS header

2007-05-14 10:23  lbilbao

	* irplib/irplib_detmon.c: Memory leak in irplib_detmon_linearity()
	in case OPT fixed. See else at the end of the function.

2007-05-14 09:18  lbilbao

	* irplib/tests/irplib_detmon-test.c: Unused variables removed

2007-05-11 11:18  lbilbao

	* irplib/tests/irplib_detmon-test.c: CPL_BPP_DEFAULT changed to
	CPL_BPP_IEEE_FLOAT. Unnecessary tests also removed.

2007-05-10 16:50  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_detect_badpixs() removed
	(unnecessary). Error checking improved overall.

2007-05-10 15:09  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h:
	irplib_detmon_create_bpm_dark_or_bias() unnecessary and removed

2007-05-10 15:03  lbilbao

	* irplib/irplib_detmon.c: New function irplib_detmon_opt_lampcr()
	added

2007-05-10 10:58  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: removed plotting
	from irplib_wlxcorr_best_poly()

2007-05-10 09:51  lbilbao

	* irplib/irplib_detmon.c: Contamination part with corresponding
	parameters added

2007-05-09 16:56  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: [no log message]

2007-05-09 13:56  lbilbao

	* irplib/irplib_detmon.c: Changes in irplib_detmon_gain() to
	compute new fitting formula. Changes in irplib_detmon_lg() to
	compute optical-specific QC parameters. Linearity coeffs images
	disabled for the optical domain

2007-05-09 11:45  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_ir_lg_split_onoff(),
	irplib_detmon_ir_lg_reduce() and irplib_detmon_ir_lg_save() changed
	to irplib_detmon_lg_split_onoff(), irplib_detmon_lg_reduce() and
	irplib_detmon_lg_save(). A more general API to be used also for the
	optical domain

2007-05-09 10:27  lbilbao

	* irplib/irplib_detmon.c: Warnings because of variables declared
	inside the code removed

2007-05-08 15:44  lbilbao

	* irplib/irplib_detmon.c: static modifier added to functions that
	won't be exported

2007-05-08 15:18  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c:
	irplib_detmon_lg() enabled to process first 2 frames separately in
	the optical domain. Unit test expanded

2007-05-07 16:50  yjung

	* irplib/: irplib_detmon.c, irplib_dfs.c: CPL_BPP_DEFAULT ->
	CPL_BPP_IEEE_FLOAT

2007-05-07 14:20  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_fill_params() changed to
	make it independent from the calling recipe

2007-05-07 12:26  jmlarsen

	* irplib/irplib_detmon.h: Removed compile time version check of CPL
	version

2007-05-07 12:26  jmlarsen

	* irplib/irplib_detmon.c: Added inclusion of cpl.h

2007-05-07 10:52  lbilbao

	* irplib/tests/Makefile.am: Back to previous version

2007-05-07 10:15  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h, tests/Makefile.am,
	tests/irplib_detmon-test.c: New boolean parameter added and name
	changed to irplib_detmon_lg().

2007-05-02 16:34  lbilbao

	* irplib/irplib_detmon.c: QC parameters added to PAF file

2007-05-02 16:27  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: Different PRO.CATGs for different
	products added. qclist added. PAF file created.

2007-05-02 12:03  lbilbao

	* irplib/irplib_detmon.c: Boolean parameter used in
	irplib_detmon_autocorr_factor() to de-/activate computation of
	autocorr factor

2007-05-02 11:51  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c:
	CPL_TYPE_FLOAT instead of CPL_TYPE_DOUBLE overall

2007-05-02 10:53  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Unnecessary
	propertylist loads removed in irplib_detmon_ir_lg_save().
	Unnecessary error message removed in irplib_detmon_split_onoff().
	New parameters (autocorr, m, n) added to the recipe.

2007-04-27 17:04  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: irplib_detmon_ir_lg()
	and irplib_detmon_compare_dits APIs changed to adapt to new
	prototype of cpl_frameset_labelise(). Single-precision FFT in
	irplib_detmon_image_autocorrelate_fftw()

2007-04-27 12:12  lbilbao

	* irplib/irplib_detmon.c: Prototype of
	irplib_detmon_image_autocorrelate_fftw() was missing

2007-04-27 12:08  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_image_autocorrelate_fftw()
	function added

2007-04-27 10:35  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: irplib_detmon_ir_lg()
	API changed to avoid warning in cpl_frameset_labelise(). const
	modifier applied to cpl_parameterlist (and casted back without
	const) in irplib_detmon_retrieve_params().

2007-04-27 09:58  lbilbao

	* irplib/tests/irplib_detmon-test.c: Unnecessary
	CPL_ERROR_UNSUPPORTED_MODE msgs removed

2007-04-27 09:42  lbilbao

	* irplib/tests/irplib_detmon-test.c: const modifier applied to
	variables tag_on and tag_off

2007-04-27 09:40  lbilbao

	* irplib/irplib_detmon.c: Info and error msgs added overall.
	irplib_get_clean_mean_window() improved: Condition to stop
	iteration included

2007-04-26 17:05  lbilbao

	* irplib/irplib_detmon.c: Memory leaks in irplib_detmon_ir_lg() and
	irplib_detmon_ir_lg_split_onoff() fixed: several cpl_xx_delete()
	calls added

2007-04-26 16:08  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h,
	tests/irplib_detmon-test.c: irplib_detmon_ir_lg() API changed to
	fix some warnings

2007-04-25 16:23  yjung

	* irplib/tests/Makefile.am: [no log message]

2007-04-25 16:06  yjung

	* irplib/tests/: Makefile.am, irplib_fit-test.c: moved to CPL

2007-04-25 15:56  lbilbao

	* irplib/irplib_detmon.c: Autocorrelation through cpl_image_fft()
	added: function irplib_detmon_autocorrelate()

2007-04-25 15:31  yjung

	* irplib/: Makefile.am, irplib_fit.c, irplib_fit.h: removed
	irplib_fit.ch (-> CPL)

2007-04-25 13:44  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: New function:
	irplib_detmon_fill_params() added

2007-04-25 12:21  lbilbao

	* irplib/tests/irplib_detmon-test.c: Failure related to CPL 3.1
	fixed

2007-04-25 11:54  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_lg_reduce(): Added
	computation of GAIN via polynomial fit

2007-04-25 11:25  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_gain(): Added creation of
	fit_table, to be used to compute GAIN via polynomial fit

2007-04-25 10:41  lbilbao

	* irplib/tests/irplib_detmon-test.c: Warnings in
	irplib_detmon_tests() fixed

2007-04-25 10:25  lbilbao

	* irplib/irplib_detmon.c: Warnings in irplib_detmon_bpixs() and
	irplib_detmon_ir_lg_save() fixed

2007-04-25 09:49  lbilbao

	* irplib/irplib_detmon.c: Warnings in
	irplib_detmon_image_correlate() and irplib_detmon_autocorr_factor()
	fixed

2007-04-24 16:07  lbilbao

	* irplib/tests/irplib_detmon-test.c: ifdef CPL_VERSION inserted

2007-04-24 15:36  lbilbao

	* irplib/irplib_detmon.c: irplib_detmon_lg_reduce() : use
	cpl_fit_imagelist_polynomial

2007-04-24 14:27  llundin

	* irplib/: Makefile.am, irplib_fit.c, irplib_fit.h,
	irplib_fit_body.h, tests/irplib_fit-test.c:
	irplib_fit_imagelist_polynomial(): Moved to CPL

2007-04-24 11:54  lbilbao

	* irplib/irplib_detmon.c: Function for bad pixels added

2007-04-24 10:47  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: irplib_vsprintf(),
	irplib_sprintf(): define as CPL function for CPL versions at least
	3.1.90. Drop support for CPL versions less than 3.1

2007-04-20 15:37  lbilbao

	* irplib/irplib_detmon.c: Save linearity table: included

2007-04-20 15:11  lbilbao

	* irplib/irplib_detmon.c: Linearity table included

2007-04-20 14:36  llundin

	* configure.ac: Removed check for __func__

2007-04-20 14:30  llundin

	* configure.ac: CFLAGS: std=c99 pedantic fno-common
	fstrict-aliasing

2007-04-17 11:37  llundin

	* irplib/irplib_std.c: irplib_std_get_mag_one_cat(): Added
	diagnostics message

2007-04-17 11:21  lbilbao

	* irplib/: irplib_detmon.c, tests/irplib_detmon-test.c: Products
	saving included

2007-04-17 09:36  lbilbao

	* irplib/irplib_detmon.c: FFTW dependency corrected

2007-04-16 16:56  lbilbao

	* irplib/tests/irplib_detmon-test.c: Unit tests updated with
	irplib_detmon_ir_lg

2007-04-16 16:55  lbilbao

	* irplib/: irplib_detmon.c, irplib_detmon.h: First prototype of
	irplib_detmon_ir_lg

2007-04-05 10:24  llundin

	* irplib/irplib_plugin.h: Revert to 1.11

2007-04-05 09:48  llundin

	* irplib/irplib_plugin.c: Revert to 1.8

2007-04-05 09:47  llundin

	* irplib/irplib_plugin.c: irplib_plugin_exec(): use fork()

2007-04-04 15:48  llundin

	* irplib/irplib_plugin.c: irplib_plugin_exec(): Removed test-part
	of code

2007-04-04 15:38  llundin

	* irplib/: irplib_plugin.c, irplib_plugin.h: Added
	irplib_plugin_exec()

2007-03-30 17:50  llundin

	* recipes/visir_img_combine.c, recipes/visir_img_phot.c,
	recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_phot.c, recipes/visir_spc_phot_ech.c,
	recipes/visir_spc_wcal.c, recipes/visir_spc_wcal_ech.c,
	visir/visir_inputs.c, visir/visir_parameter.c,
	visir/visir_parameter.h, visir/visir_pfits.h,
	visir/visir_spectro.c, visir/visir_spectro.h: Produce WCS keys in
	case of "first"-method combination

2007-03-28 16:01  llundin

	* visir/visir_inputs.c: visir_img_recombine(): Pass value of
	VISIR_PARAM_COMBINE to cpl_geom_img_offset_combine() w/ message,
	drop use of VISIR_PARAM_UNION, (use const for sigmas)

2007-03-28 15:59  llundin

	* recipes/: visir_img_combine.c, visir_img_phot.c, visir_spc_obs.c,
	visir_spc_obs_ech.c, visir_spc_phot.c, visir_spc_phot_ech.c: Added
	parameter VISIR_PARAM_COMBINE

2007-03-28 15:59  llundin

	* visir/: visir_parameter.c, visir_parameter.h: Added parameter
	VISIR_PARAM_COMBINE, deprecated VISIR_PARAMETER_UNION

2007-03-28 09:31  llundin

	* visir/visir_pfits.h: Copy more cards for visir_img_dark

2007-03-26 11:48  llundin

	* irplib/irplib_framelist.c: irplib_framelist_load_propertylist():
	Improved error message

2007-03-22 10:45  jmlarsen

	* irplib/irplib_test.c: Fixed documentation

2007-03-14 12:54  llundin

	* recipes/visir_img_phot.c, visir/visir_spc_photom.c: Move call to
	visir_qc_append_background() back to original (early) position

2007-03-14 09:20  llundin

	* recipes/visir_util_img_std_cat.c: include stdio.h string.h

2007-03-14 09:19  llundin

	* irplib/irplib_error.c, irplib/irplib_plugin.c,
	irplib/irplib_slitpos.c, irplib/tests/irplib_utils-test.c,
	visir/visir_pfits.c, recipes/visir_util_spc_txt2fits.c: include
	string.h

2007-03-14 08:38  amodigli

	* irplib/irplib_test.c: defined strlen-fixed portability problem on
	sun4u (SUNW,Ultra-250)

2007-03-13 19:02  llundin

	* visir/visir_parameter.c: visir_parameter_set(): Fixed doxygen
	warning

2007-03-13 18:13  llundin

	* recipes/visir_img_combine.c, recipes/visir_img_phot.c,
	recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_phot.c, recipes/visir_spc_phot_ech.c,
	recipes/visir_spc_wcal.c, recipes/visir_spc_wcal_ech.c,
	visir/visir_spc_photom.c, visir/visir_spc_photom.h,
	visir/visir_spectro.c, visir/visir_spectro.h, visir/visir_utils.c,
	visir/visir_utils.h: Use visir_qc_append_background(),
	spec-recipes: use framelist also for qc and paf, Drop output struct
	for spectro, spc_phot: Use VISIR_PFITS_SPC_PHOT_COPY (EXPTIME)

2007-03-13 18:06  llundin

	* visir/visir_pfits.h: Added VISIR_PFITS_REGEXP_SPC_WCAL_PAF and
	VISIR_PFITS_REGEXP_SPC_PHOT_PAF

2007-03-13 13:08  llundin

	* recipes/visir_img_phot.c: replace pafcopy with
	VISIR_PFITS_REGEXP_IMG_PHOT_PAF

2007-03-12 19:13  llundin

	* recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_phot.c, recipes/visir_spc_phot_ech.c,
	recipes/visir_spc_wcal.c, recipes/visir_spc_wcal_ech.c,
	visir/visir_spc_photom.c, visir/visir_spc_photom.h,
	visir/visir_spectro.c, visir/visir_spectro.h: Draft version to
	remove visir_spectro objects

2007-03-12 10:58  llundin

	* visir/: visir_spc_optmod.c, visir_spc_optmod.h: Fixed alignment
	warning (and do not export any macros)

2007-03-12 10:44  llundin

	* visir/visir_spc_distortion.c: visir_spc_det_warp(): Fixed (false)
	uninit warning

2007-03-12 10:43  llundin

	* recipes/visir_img_phot.c: visir_img_phot_flux_four(): Fixed
	(false) uninit warning

2007-03-09 17:26  llundin

	* recipes/visir_img_dark.c, recipes/visir_img_pfov.c,
	visir/visir_inputs.c, visir/visir_utils.c: Fixed (false) uninit
	warning

2007-03-09 17:25  llundin

	* visir/visir_spectro.c: visir_spc_get_res_wl(),
	visir_bivector_interpolate(): Fixed (false) uninit warning + rename
	variables to avoid name-space warning

2007-03-09 17:24  llundin

	* recipes/visir_img_phot.c: visir_img_phot_eccent_four(): Fixed
	(false) uninit warning + rename variables to avoid name-space
	warning

2007-03-09 17:23  llundin

	* visir/visir_spc_distortion.c:  visir_spc_det_warp(): Fix uninit
	warning

2007-03-09 14:12  llundin

	* acinclude.m4, configure.ac, m4macros/cpl.m4, visir/Makefile.am:
	V. 1.7.0: Removed qfits from build system

2007-03-07 14:10  llundin

	* visir/visir_spc_photom.c: visir_spc_phot_model_from_cat():
	Removed qfits deps

2007-03-06 16:24  llundin

	* recipes/visir_util_img_std_cat.c: Removed unneeded qfits include

2007-03-06 16:07  llundin

	* recipes/visir_util_spc_std_cat.c: Removed qfits related code

2007-03-06 15:02  llundin

	* recipes/visir_util_spc_std_cat.c: 1st working version with 3D CPL
	table

2007-03-06 15:01  lbilbao

	* irplib/tests/irplib_detmon-test.c: Test unit improved

2007-03-06 14:47  llundin

	* visir/: visir_dfs.c, visir_dfs.h: Added VISIR_SPC_CAT_ASCII

2007-03-06 14:22  lbilbao

	* irplib/: Makefile.am, irplib_detmon.c, irplib_detmon.h,
	tests/Makefile.am, tests/irplib_detmon-test.c: Added detmon module
	with testing

2007-03-06 08:11  jmlarsen

	* irplib/irplib_test.c: irplib_test_init_macro(): Fixed some bad
	code structure

2007-03-05 15:23  llundin

	* recipes/visir_util_spc_std_cat.c: Use (partly) CPL 3D-table

2007-03-05 15:22  llundin

	* recipes/: visir_spc_phot.c, visir_spc_phot_ech.c: Removed
	unneeded qfits include

2007-03-05 14:31  jmlarsen

	* irplib/irplib_test.c: Treat properly the situation where __FILE__
	contains a path (needed for make distcheck and VPATH builds)

2007-03-05 12:42  llundin

	* irplib/tests/irplib_fit-test.c:
	irplib_fit_imagelist_polynomial_tests(): Restrict checks on CPL
	error code, use cpl_vector_fill_polynomial() to fill vdit

2007-03-05 11:57  amodigli

	* irplib/irplib_strehl.c: fixed typo

2007-03-05 11:31  amodigli

	* irplib/: irplib_strehl.c, irplib_strehl.h: remove static and
	bring irplib_strehl_disk_max to .h

2007-03-02 10:14  jmlarsen

	* irplib/tests/Makefile.am: Added the missing dependencies from
	test programs to LIBIRPLIB, updated TESTS target to avoid
	duplication

2007-03-02 10:12  jmlarsen

	* irplib/Makefile.am: Fixed SUBDIRS target to realize the
	dependency from the tests subdirectory to the current directory

2007-03-02 09:54  llundin

	* irplib/irplib_test.h: irplib_test_macro(): Renamed __func__ to
	cpl_func

2007-03-01 08:49  llundin

	* configure.ac, recipes/visir_util_spc_std_cat.c:
	visir_util_spc_std_cat_save(): Use visir_pipe_id for PIPE ID

2007-03-01 08:29  llundin

	* irplib/irplib_test.c: irplib_test_init_macro(): Replaced __func__
	with cpl_func

2007-02-28 19:54  llundin

	* recipes/visir_util_spc_std_cat.c: visir_util_spc_std_cat_save():
	Used qfits_header_add() to get closer to DFS-compliance

2007-02-28 17:57  llundin

	* recipes/visir_util_spc_std_cat.c: visir_util_spc_std_cat_save():
	Add place-holder for DATAMD5

2007-02-28 11:40  llundin

	* irplib/tests/irplib_fit-test.c: irplib_fit_image_is_zero_macro():
	Fix compiler warning introduced by previous change

2007-02-27 16:20  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h:
	irplib_fit_imagelist_polynomial_find_block_size() used for
	generalization of L2-cache-optimization

2007-02-27 15:53  jmlarsen

	* irplib/: irplib_test.c, irplib_test.h: Do not crash when
	comparing NULL strings

2007-02-27 14:42  jmlarsen

	* irplib/tests/: irplib_dfs-test.c, irplib_error-test.c,
	irplib_fit-test.c, irplib_utils-test.c: Update to new interface of
	IRPLIB_TEST_INIT

2007-02-27 14:40  jmlarsen

	* irplib/: irplib_test.c, irplib_test.h, tests/irplib_test.h,
	tests/Makefile.am, Makefile.am: Moved unit test infrastructure to
	top-level ./irplib directory

2007-02-26 11:48  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h,
	tests/irplib_fit-test.c: irplib_fit_imagelist_polynomial(): Round
	off instead of truncating when using integer pixel types

2007-02-26 11:10  llundin

	* irplib/: irplib_fit.c, irplib_fit.h, irplib_fit_body.h,
	tests/irplib_fit-test.c: irplib_fit_imagelist_polynomial(): Add
	output pixel-type, document use of cpl_matrix_decomp_chol()

2007-02-20 16:24  llundin

	* irplib/irplib_fit.c: irplib_matrix_solve_chol_transpose(): Merge
	bread/bwrite into bk. irplib_matrix_product_transpose(): Drop
	ds-row optimization

2007-02-20 15:30  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h:
	irplib_fit_imagelist_residual_*(): Move xpow computation out to
	irplib_fit_imagelist_polynomial()

2007-02-19 15:40  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h,
	tests/irplib_fit-test.c: irplib_fit_imagelist_residual(): Fixed
	fiterror-bug (mindeg ==0, xmean not 0, maxdeg > 1) and removed
	wrong fiterror-info from doxygen

2007-02-19 09:33  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h: Added
	irplib_matrix_product_transpose(),
	irplib_matrix_solve_chol_transpose(),
	irplib_fit_imagelist_residual_{int,float,double}().
	irplib_fit_imagelist_polynomial(): Improved doxygen, use
	_transpose+residual-functions, do cpl_matrix_decomp_chol()

2007-02-19 09:28  llundin

	* irplib/tests/irplib_fit-test.c:
	irplib_fit_imagelist_polynomial_tests(): Added more tests

2007-02-16 17:12  llundin

	* irplib/irplib_fit_body.h:
	irplib_fit_imagelist_polynomial_double(): Use memcpy()

2007-02-16 17:12  llundin

	* irplib/irplib_fit.c: irplib_fit_imagelist_polynomial(): Improved
	doxygen

2007-02-16 14:40  llundin

	* irplib/tests/irplib_fit-test.c:
	irplib_fit_imagelist_polynomial(): Test with is_eqdist set to
	CPL_TRUE

2007-02-16 14:39  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h: Removed dead code,
	copied irplib_matrix_product_normal_create() from CPL,
	irplib_fit_imagelist_polynomial(): Support is_eqdist and use
	irplib_matrix_product_normal_create()

2007-02-15 09:19  llundin

	* irplib/irplib_dfs.c: irplib_paf_save(): Updated doxygen example
	(Take filename as parameter)

2007-02-12 11:34  amodigli

	* irplib/: irplib_calib.c, irplib_calib.h: removed a few warnings

2007-02-12 10:35  amodigli

	* irplib/irplib_calib.c: changed gain computation function to have
	better final accuracy

2007-02-12 09:46  jmlarsen

	* irplib/tests/irplib_dfs-test.c: Added a few QC comments

2007-02-12 09:12  jmlarsen

	* irplib/irplib_dfs.h: Removed obsolete stdarg.h inclusion, added
	cpl.h inclusion

2007-02-12 09:11  jmlarsen

	* irplib/tests/: Makefile.am, irplib_dfs-test.c: Added irplib_dfs
	unit test

2007-02-08 14:20  llundin

	* irplib/irplib_fit_body.h: irplib_polynomial_shift(): Removed
	debugging call of cpl_matrix_dump()

2007-02-08 14:19  llundin

	* irplib/: irplib_fit.c, irplib_fit_body.h:
	irplib_polynomial_shift(): Use irplib_vector_transform_mean() when
	mindeg == 0

2007-02-08 13:07  llundin

	* irplib/tests/irplib_fit-test.c:
	irplib_fit_imagelist_polynomial_tests(): Raised tolerance and
	accept a non-failure of irplib_fit_imagelist_polynomial()

2007-02-07 14:38  llundin

	* irplib/: Makefile.am, irplib_fit.c, irplib_fit.h,
	irplib_fit_body.h, tests/Makefile.am, tests/irplib_fit-test.c:
	irplib_fit_imagelist_polynomial(): Added with unit tests

2007-02-06 09:29  llundin

	* irplib/irplib_fit.c: Moved static functions to end-of-source and
	out of doxygen

2007-01-17 14:55  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE(): Use
	cpl_dfs_update_product_header() in epilogue of <recipe>_exec()

2007-01-17 14:54  llundin

	* irplib/: irplib_dfs.c, irplib_dfs.h:
	irplib_dfs_update_frameset(): Moved to
	cpl_dfs_update_product_header()

2007-01-16 10:57  yjung

	* irplib/irplib_dfs.c: Fixed assert bug in irplib_product_save()

2007-01-10 14:51  llundin

	* irplib/: irplib_dfs.c, irplib_dfs.h:
	irplib_dfs_update_frameset(): Disabled per default

2007-01-10 14:51  llundin

	* irplib/irplib_plugin.h: Reverted previous edit

2007-01-10 13:58  llundin

	* irplib/: irplib_dfs.c, irplib_dfs.h, irplib_plugin.h:
	irplib_dfs_update_frameset(): Added (for use by <recipe>_exec()

2007-01-09 15:36  yjung

	* irplib/irplib_irlist.h: additional errors in DEC signs of 50
	stars (DFS03307)

2007-01-08 13:47  yjung

	* irplib/irplib_irlist.h: changed coordinates for Hip025028 and
	Hip025044 (DFS03307)

2006-12-13 12:29  jmlarsen

	* irplib/irplib_plot.c: Documentation: Added som cpl_error_codes to
	list of possible errors

2006-12-07 09:42  llundin

	* irplib/irplib_utils.c: irplib_vsprintf_macro(): Cast to cxsize in
	call to cx_vsnprintf()

2006-12-05 13:17  llundin

	* irplib/tests/irplib_test.h: IRPLIB_TEST_END(): Fix
	end-of-statement warning

2006-12-05 13:16  llundin

	* irplib/irplib_utils.c: irplib_vsprintf(): Use cx_vsnprintf()

2006-12-05 13:16  llundin

	* irplib/tests/irplib_utils-test.c: Moved check of null up (in prep
	for reset)

2006-12-01 11:01  amodigli

	* irplib/tests/irplib_test.h: added guard IRPLIB_TEST_H

2006-11-30 15:54  llundin

	* irplib/tests/: Makefile.am, irplib_test.h, irplib_utils-test.c:
	Added irplib_test.h

2006-11-29 14:22  yjung

	* irplib/: irplib_slitpos.c, irplib_slitpos.h: added a parameter to
	irplib_slitpos_analysis() that returns the slit flux

2006-11-28 15:45  jmlarsen

	* irplib/tests/irplib_error-test.c: Fixed doc. bug

2006-11-28 15:16  llundin

	* irplib/tests/irplib_utils-test.c: Fixed two doxygen warnings

2006-11-28 09:25  jmlarsen

	* irplib/tests/Makefile.am: Factored out LDADD

2006-11-27 15:23  llundin

	* irplib/tests/irplib_utils-test.c: irplib_bpp_find(): Support CPL
	3.0

2006-11-27 15:17  llundin

	* irplib/irplib_utils.c: irplib_bpp_find(): Support CPL 3.0

2006-11-27 11:25  llundin

	* irplib/: irplib_utils.c, irplib_utils.h, tests/Makefile.am,
	tests/irplib_utils-test.c: irplib_bpp_find(): Added.
	irplib_vsprintf(): Fixed memory-leak on illegal format string

2006-11-27 10:00  llundin

	* recipes/: visir_img_achro.c, visir_img_combine.c,
	visir_img_dark.c, visir_img_ff.c, visir_img_focfwhm.c,
	visir_img_illu.c, visir_img_pfov.c, visir_img_phot.c,
	visir_img_psf.c, visir_img_trans.c, visir_spc_obs.c,
	visir_spc_obs_ech.c, visir_spc_phot.c, visir_spc_phot_ech.c,
	visir_spc_wcal.c, visir_spc_wcal_ech.c, visir_util_img_std_cat.c,
	visir_util_inputs.c, visir_util_spc_txt2fits.c: <recipe>_save():
	Use new API for irplib_{image,table,paf}_save()

2006-11-27 09:58  llundin

	* irplib/: irplib_dfs.c, irplib_dfs.h:
	irplib_{image,table,paf}_save(): Take filename as parameter.
	irplib_{image,table}_save(): Take regexp for FITS key removal.
	irplib_image_save(): Take BPP. irplib_table_save(): Take
	propertylist for extension

2006-11-23 15:13  llundin

	* irplib/irplib_framelist.c: irplib_type_as_string(): Fixed
	break-bug introduced in previous commit

2006-11-23 11:07  llundin

	* irplib/irplib_framelist.c: irplib_type_as_string(): Replace
	assert() with cpl_ensure()

2006-11-23 11:02  jmlarsen

	* irplib/tests/irplib_error-test.c: Fixed doxybug

2006-11-23 10:46  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_analysis(): Fixed uninit
	warning (bis)

2006-11-23 09:33  jmlarsen

	* irplib/tests/irplib_error-test.c: Added missing
	exit(EXIT_SUCCESS) statement

2006-11-23 09:05  llundin

	* configure.ac: Added IRPLIB unit tests

2006-11-22 13:23  jmlarsen

	* irplib/tests/Makefile.am: Updated AUTOMAKE_OPTIONS to 1.8 and
	fixed FSF address

2006-11-22 12:11  jmlarsen

	* irplib/: Makefile.am, tests/Makefile.am,
	tests/irplib_error-test.c: Added unit test module

2006-11-22 11:58  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_find_vert_slit_ends():
	Fixed uninit warning. irplib_slitpos_analysis(): Fixed uninit
	warning.

2006-11-22 11:50  llundin

	* irplib/irplib_framelist.c: irplib_property_equal(): Fixed uninit
	warning. irplib_type_as_string(): Fixed missing return warning

2006-11-22 09:36  jmlarsen

	* irplib/tests/: Makefile.am, irplib_error-test.c: Reverted
	previous erroneous commit

2006-11-22 09:22  jmlarsen

	* irplib/tests/: Makefile.am, irplib_error-test.c: Set message
	level according to preprocessor symbol

2006-11-21 10:49  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute(): Replace
	IRPLIB_STREHL_BORDER with new IRPLIB_STREHL_RAD_CENTRAL

2006-11-21 08:54  amodigli

	* irplib/irplib_fit.c: replaced __func__ by cpl_func

2006-11-20 21:23  llundin

	* irplib/irplib_strehl.c: irplib_strehl_disk_max(): Fix minor cast
	bug

2006-11-20 18:19  llundin

	* visir/: visir_parameter.c, visir_utils.h: Renames
	irplib_string_concatenate_all() to irplib_sprintf(), use
	irplib_parameterlist_get_*()

2006-11-20 18:18  llundin

	* recipes/visir_img_dark.c, visir/irplib_pfits.c:
	irplib_string_concatenate_all(): Renamed to irplib_sprintf()

2006-11-20 17:40  llundin

	* irplib/: irplib_dfs.c, irplib_framelist.c, irplib_plot.c,
	irplib_plugin.c, irplib_utils.c, irplib_utils.h:
	irplib_vsnprintf_create(): Renamed to irplib_vsprintf().
	irplib_string_concatenate_all(): Renamed to irplib_sprintf()

2006-11-20 15:56  llundin

	* recipes/visir_img_phot.c: visir_img_phot_flux_{three,four}():
	Drop round-down in call to irplib_strehl_compute()

2006-11-20 15:31  llundin

	* irplib/irplib_strehl.c: irplib_strehl_compute(): Use
	irplib_strehl_disk_max() for max star flux, Round-off to nearest
	for ring[] to cpl_flux_get_noise_ring(). PSF_H1(): Remove arbitrary
	constant

2006-11-20 10:18  amodigli

	* irplib/: Makefile.am, irplib_fit.c, irplib_fit.h: added
	irplib_fit .c .h

2006-11-20 09:56  llundin

	* irplib/: irplib_strehl.c, irplib_strehl.h:
	irplib_strehl_compute(): Use type double for (xpos, ypos), Replace
	hardcoded 5 with IRPLIB_STREHL_BORDER for image border, Use double
	for star_radius and ring spec to irplib_strehl_ring_background(),
	Propagate error in cpl_flux_get_noise_ring()

2006-11-16 13:26  yjung

	* irplib/irplib_calib.c: solved leak

2006-11-16 11:17  amodigli

	* irplib/irplib_calib.c: fix doxygen warning

2006-11-15 18:03  amodigli

	* irplib/irplib_calib.c: irplib_get_clean_mean_window

2006-11-15 15:10  jmlarsen

	* irplib/tests/: Makefile.am, irplib_error-test.c: Removed files
	that were erroneously added

2006-11-15 15:04  jmlarsen

	* irplib/: irplib_access.c, irplib_access.h, tests/Makefile.am,
	tests/irplib_error-test.c: Removed non-const version of
	parameterlist_get_first/last/next which is already in CPL, added
	const-safe wrapper, unwrapper and deallocator functions

2006-11-15 09:33  llundin

	* irplib/: irplib_strehl.c, irplib_strehl.h:
	irplib_strehl_disk_flux(): Use doubles for pixel arguments, use CPL
	error handling. irplib_strehl_ring_background(): Ditto + use new
	irplib_strehl_bg_method enum + support NANs in both modes

2006-11-15 09:27  llundin

	* visir/: irplib_pfits.c, irplib_pfits.h:
	irplib_pfits_get_*_macro(): line as unsigned (cpoied from naco

2006-11-14 10:00  jmlarsen

	* irplib/: Makefile.am, irplib_access.c, irplib_access.h: Added
	irplib_access module

2006-11-13 16:17  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE():
	cpl_plugin_get_info(): Cast to void

2006-11-08 14:23  llundin

	* admin/ltmain.sh: Send relinking warning to stdout

2006-11-06 09:12  amodigli

	* irplib/irplib_calib.c: added doxygen

2006-11-03 16:27  llundin

	* recipes/: visir_img_achro.c, visir_img_combine.c,
	visir_img_dark.c, visir_img_ff.c, visir_img_focfwhm.c,
	visir_img_illu.c, visir_img_pfov.c, visir_img_phot.c,
	visir_img_psf.c, visir_img_trans.c, visir_spc_obs.c,
	visir_spc_obs_ech.c, visir_spc_phot.c, visir_spc_phot_ech.c,
	visir_spc_wcal.c, visir_spc_wcal_ech.c, visir_util_img_std_cat.c,
	visir_util_inputs.c, visir_util_spc_std_cat.c,
	visir_util_spc_txt2fits.c: Added docygen defgroup. Redeclared
	<recipe>_save(). Replaced skip_if(cpl_error_get_code()) ->
	skip_if(0), ditto for bug_if()

2006-11-03 16:27  llundin

	* visir/: visir_dfs.c, visir_inputs.c, visir_spc_distortion.c,
	visir_utils.c: Replaced skip_if(cpl_error_get_code()) ->
	skip_if(0), ditto for bug_if()

2006-11-03 16:26  llundin

	* visir/visir_spc_photom.c: visir_spc_phot_sensit(): Fixed doxygen
	warning. Replaced skip_if(cpl_error_get_code()) -> skip_if(0),
	ditto for bug_if()

2006-11-03 16:24  llundin

	* tests/recipe_main.c: Added defgroup

2006-11-03 10:41  llundin

	* irplib/irplib_wlxcorr.c: irplib_wlxcorr_gen_signal(): Fixed
	doxygen typo

2006-11-03 10:32  llundin

	* visir/visir_spc_photom.c: doxygen: Added group start

2006-10-31 13:33  llundin

	* recipes/visir_util_spc_std_cat.c: namespace protected starnamelen

2006-10-29 12:53  llundin

	* bootstrap: bash -> sh. exec

2006-10-27 12:05  amodigli

	* irplib/: irplib_calib.c, irplib_calib.h: added
	irplib_compute_gain and irplib_compute_linearity as ported by
	sinfoni

2006-10-27 09:22  llundin

	* recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_wcal_ech.c, visir/visir_inputs.c: Reformat long
	lines

2006-10-27 09:21  llundin

	* visir/visir_pfits.h: Removed obsolete comment

2006-10-27 09:21  llundin

	* visir/visir_dfs_dpr.h: guard against multiple includes

2006-10-27 09:21  llundin

	* tests/recipe_main.c, visir/visir_spc_optmod.c: Use HAVE_CONFIG_H

2006-10-27 09:20  llundin

	* visir/irplib_tools.h: endskip: Removed cpl_msg_get_level()

2006-10-25 18:00  llundin

	* acinclude.m4, visir/Makefile.am: LIBIRPLIB - statically linked

2006-10-23 19:49  llundin

	* irplib/irplib_plot.c: Removed many splint warnings, mostly
	regarding sprintf()

2006-10-23 17:05  llundin

	* irplib/: irplib_dfs.c, irplib_framelist.c, irplib_slitpos.c,
	irplib_utils.c, irplib_utils.h: Fixed various splint warnings

2006-10-23 10:24  jmlarsen

	* irplib/irplib_plugin.h: Included irplib_error.h and
	irplib_utils.h

2006-10-17 12:54  llundin

	* irplib/irplib_slitpos.c: Add units to table.
	IRPLIB_SLITPOS_KERNEL_SIZE_Y and IRPLIB_SLITPOS_MAX_EROSION

2006-10-17 12:53  llundin

	* irplib/irplib_utils.c: irplib_vsnprintf_create(): Assume either
	va_copy or __va_copy() (and fix cpp warning)

2006-10-17 10:40  llundin

	* recipes/visir_img_pfov.c: visir_img_pfov(): Redeclared oki,
	okprev as int (splint warnings)

2006-10-17 10:12  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_analysis(): Incremented
	slit_length

2006-10-17 10:03  llundin

	* recipes/visir_util_spc_std_cat.c: visir_util_spc_std_cat():
	Replaced rindex() with strrchr()

2006-10-17 09:23  llundin

	* irplib/irplib_slitpos.c: irplib_slitpos_find_vert_slit_ends():
	Use memchr()/memrchr(). Simplify error check

2006-10-17 09:18  llundin

	* visir/irplib_pfits.c: Replaced index() with strchr() (Copied from
	nacop)

2006-10-17 07:40  llundin

	* irplib/: irplib_slitpos.c, irplib_slitpos.h:
	irplib_slitpos_analysis(): Add const modifier, Use cpl_ensure(),
	Drop redundant cpl_image_filter_median(), Improve error messages
	and add diagnostics. irplib_slitpos_find_vert_pos(): Keep slitpos
	away from image boundary. irplib_slitpos_find_edges_one_line(): Do
	not crash on non-float pixels.
	irplib_slitpos_find_vert_slit_ends(): Prevent out-of-bounds array
	indexing

2006-10-16 16:07  llundin

	* recipes/visir_recipe.h: #define naco_pipe_id (to avoid unused
	warning)

2006-10-16 16:05  llundin

	* visir/irplib_tools.h: skip_if_it(): Catch pre-error (copied from
	naco)

2006-10-13 09:59  llundin

	* irplib/irplib_plot.c: Added description of
	CPL_ERROR_UNSUPPORTED_MODE failure. Moved static functions to end

2006-10-13 09:51  llundin

	* irplib/irplib_plot.h: irplib_plot_manpage: Fixed unused variable
	warning

2006-10-12 17:00  llundin

	* visir/visir_spectro.c: Make two doubles static

2006-10-12 15:21  jmlarsen

	* irplib/irplib_plot.c: Replaced POSIX mkstemp/write/close system
	calls with ANSI equivalents

2006-10-11 14:41  llundin

	* visir/visir_dfs.c: Removed unused visir_pipe_id

2006-10-11 14:02  llundin

	* irplib/irplib_error.c: IRPLIB_ERROR_MAX_STRING_LENGTH=256 and
	IRPLIB_ERROR_MAX_ERRORS=20

2006-10-11 13:55  llundin

	* irplib/irplib_framelist.c: irplib_framelist_contains(): Improve
	grammar in messages

2006-10-10 16:53  llundin

	* recipes/: visir_img_achro.c, visir_img_combine.c,
	visir_img_dark.c, visir_img_ff.c, visir_img_focfwhm.c,
	visir_img_illu.c, visir_img_pfov.c, visir_img_phot.c,
	visir_img_psf.c, visir_img_trans.c, visir_recipe.h,
	visir_spc_obs.c, visir_spc_obs_ech.c, visir_spc_phot.c,
	visir_spc_phot_ech.c, visir_spc_wcal.c, visir_spc_wcal_ech.c,
	visir_util_img_std_cat.c, visir_util_inputs.c,
	visir_util_spc_std_cat.c, visir_util_spc_txt2fits.c:
	IRPLIB_RECIPE_DEFINE(): Redefined to require trailing ; when
	invoked

2006-10-10 16:42  jmlarsen

	* irplib/: irplib_error.c, irplib_error.h: Changed returntype of
	the internal function irplib_error_push_macro from cpl_error_code
	to void. The returnvalue was redundant and not used

2006-10-10 16:33  llundin

	* irplib/irplib_plugin.h: IRPLIB_RECIPE_DEFINE(): Redefined to
	require trailing ; when invoked

2006-10-10 14:19  llundin

	* visir/visir_spectro.c: skip_if (cpl_error_get_code()) -> skip_if
	(0)

2006-10-06 22:46  yjung

	* irplib/: irplib_oddeven.c, irplib_oddeven.h: remove useles
	irplib_oddeven_correct_auto

2006-10-06 13:26  llundin

	* irplib/irplib_framelist.c: irplib_error_push() needed by
	functions whose failure may be recoverable

2006-10-06 13:25  llundin

	* irplib/irplib_plugin.c: irplib_parameterlist_get_*(): Use
	cpl_error_set_where()

2006-10-06 09:36  llundin

	* irplib/irplib_plugin.h: cpl_plugin_get_info(): Return 1 on error

2006-10-06 03:29  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-10-06 01:39  yjung

	* irplib/irplib_wlxcorr.c: added sorted corr values plot

2006-10-05 17:16  llundin

	* recipes/visir_recipe.h: Added PACKAGE_BUGREPORT to
	IRPLIB_RECIPE_DEFINE()

2006-10-05 16:44  jmlarsen

	* irplib/irplib_plugin.h: Added author's email address as parameter
	to IRPLIB_RECIPE_DEFINE

2006-10-05 15:21  llundin

	* visir/irplib_pfits.h: Added IRPLIB_PFITS_WCS_REGEXP

2006-10-04 16:32  llundin

	* irplib/: irplib_plugin.c, irplib_plugin.h: Added
	irplib_parameterlist_{set,get}_{string,bool,int,double}()

2006-10-04 16:31  llundin

	* irplib/: irplib_calib.c, irplib_calib.h:
	irplib_flat_dark_bpm_calib() and irplib_detlin_correct(): Added
	const modifiers to file names

2006-10-04 13:27  jmlarsen

	* irplib/irplib_error.c: Fixed documentation typos

2006-10-04 13:26  jmlarsen

	* irplib/irplib_error.h: Fixed documentation typo

2006-10-02 11:48  llundin

	* visir/visir_spectro.c: Fixed doxygen warnings

2006-10-02 11:44  llundin

	* visir/visir_spectro.c: Fixed doxygen warnings

2006-10-02 11:33  llundin

	* visir/: visir_spc_optmod.c, visir_inputs.c: Fixed doxygen
	warnings

2006-10-02 11:24  llundin

	* recipes/visir_img_ff.c, visir/visir_parameter.c: Appended Missing
	//@}

2006-10-02 10:04  llundin

	* recipes/visir_util_img_std_cat.c: Corrected man-page on format
	(SP.type)

2006-09-29 14:17  llundin

	* recipes/visir_img_ff.c: Removed switch on img_mode

2006-09-29 14:14  llundin

	* visir/irplib_pfits.c: irplib_pfits_set_airmass(): Added comment

2006-09-29 10:44  llundin

	* doxygen/Doxyfile.in: Modified from uvesp/doxygen/Doxyfile.in

2006-09-29 10:28  llundin

	* recipes/visir_img_ff.c, recipes/visir_img_phot.c,
	visir/visir_pfits.h: Add QC-function with
	irplib_pfits_set_airmass()

2006-09-29 10:27  llundin

	* visir/: irplib_pfits.c, irplib_pfits.h: Added
	irplib_pfits_set_airmass()

2006-09-29 10:13  yjung

	* irplib/irplib_distortion.c: Bug in cpl_mask_closing() : replace
	by erosion / dilation to avoid being affected by the Bug fix in CPL
	(DFS03150)

2006-09-27 18:12  llundin

	* irplib/irplib_plugin.c: Added @defgroup

2006-09-27 09:00  llundin

	* irplib/irplib_plugin.c: recipe_msg_set_level_from_env(): Fix
	old-style definition

2006-09-26 14:31  llundin

	* visir/visir_pfits.h, recipes/visir_img_phot.c,
	recipes/visir_img_ff.c, recipes/visir_spc_phot.c: Copy to products
	some FITS cards: EXPTIME, AIRMASS, FILTER1+2, GRAT1

2006-09-26 10:11  llundin

	* irplib/: irplib_std.c, irplib_std.h: irplib_std_get_name(),
	irplib_std_get_catalog(), irplib_std_get_type_spectral() added

2006-09-25 13:42  llundin

	* recipes/visir_img_combine.c: visir_img_combine_qc(): Fill also
	paflist. visir_img_combine(): empty framelists

2006-09-22 16:24  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-09-21 17:06  cizzo

	* irplib/irplib_ppm.c: Initialise disp variable in
	irplib_ppm_match_positions() (to avoid compiler warning)

2006-09-21 13:39  llundin

	* recipes/visir_img_achro.c, recipes/visir_img_combine.c,
	recipes/visir_img_dark.c, recipes/visir_img_ff.c,
	recipes/visir_img_focfwhm.c, recipes/visir_img_illu.c,
	recipes/visir_img_pfov.c, recipes/visir_img_phot.c,
	recipes/visir_img_psf.c, recipes/visir_img_trans.c,
	recipes/visir_recipe.h, recipes/visir_spc_obs.c,
	recipes/visir_spc_obs_ech.c, recipes/visir_spc_phot.c,
	recipes/visir_spc_phot_ech.c, recipes/visir_spc_wcal.c,
	recipes/visir_spc_wcal_ech.c, recipes/visir_util_img_std_cat.c,
	recipes/visir_util_inputs.c, recipes/visir_util_spc_std_cat.c,
	recipes/visir_util_spc_txt2fits.c, visir/Makefile.am,
	visir/irplib_plugin.c, visir/irplib_plugin.h: VISIR_RECIPE_DEFINE()

2006-09-21 11:29  llundin

	* recipes/visir_img_dark.c: Fixed ron_key memleak

2006-09-21 11:25  llundin

	* irplib/: Makefile.am, irplib_plugin.c, irplib_plugin.h:
	IRPLIB_RECIPE_DEFINE()

2006-09-20 17:09  yjung

	* irplib/: irplib_oddeven.c, irplib_oddeven.h: oddeven method (FFT
	-> automatic removal) in progress

2006-09-20 15:28  yjung

	* irplib/irplib_wlxcorr.c: Plot the difference between the computed
	and the initial solutions

2006-09-20 13:53  llundin

	* irplib/irplib_utils.c: irplib_vsnprintf_create(): HAVE_VA_COPY =>
	IRPLIB_VA_COPY

2006-09-20 10:04  llundin

	* configure.ac: Use ESO_FUNC_VA_COPY()

2006-09-20 09:55  llundin

	* recipes/visir_img_dark.c: visir_img_dark_reduce(): Fix ron_key
	warning

2006-09-20 09:24  llundin

	* configure.ac: Removed check for va_copy

2006-09-20 09:20  llundin

	* irplib/irplib_utils.c: irplib_vsnprintf_create(): Revert to 1.30

2006-09-20 08:45  llundin

	* irplib/irplib_utils.c: irplib_vsnprintf_create(): HAVE_VA_COPY =>
	HAVE_DECL_VA_COPY

2006-09-19 17:10  llundin

	* recipes/visir_img_combine.c, visir/visir_pfits.h:
	visir_img_combine: Removed static variables. Improved macro names

2006-09-19 16:55  llundin

	* recipes/visir_img_combine.c: Added QCs for DFS02405,
	visir_img_combine_qc()

2006-09-19 16:49  llundin

	* visir/: visir_utils.c, visir_utils.h: Added
	visir_qc_append_capa(), visir_qc_append_filter(),
	visir_qc_append_exptime()

2006-09-19 16:49  llundin

	* visir/visir_pfits.h: Added VISIR_PFITS_REGEXP_IMG_COMBINE

2006-09-19 13:04  llundin

	* recipes/visir_img_combine.c, recipes/visir_img_dark.c,
	recipes/visir_img_ff.c, recipes/visir_img_focfwhm.c,
	recipes/visir_img_illu.c, recipes/visir_img_phot.c,
	recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_phot.c, recipes/visir_spc_phot_ech.c,
	recipes/visir_spc_wcal.c, recipes/visir_spc_wcal_ech.c,
	recipes/visir_util_img_std_cat.c, recipes/visir_util_spc_std_cat.c,
	visir/irplib_pfits.c, visir/irplib_plugin.h, visir/irplib_tools.h,
	visir/visir_dfs.c, visir/visir_pfits.c,
	visir/visir_spc_distortion.c, visir/visir_spectro.c,
	visir/visir_utils.c: Removed CPL 2.1 compatibility

2006-09-19 13:03  llundin

	* configure.ac: Added AC_CHECK_DECLS of va_copy

2006-09-19 13:03  llundin

	* irplib/irplib_utils.c: irplib_vsnprintf_create(): Check
	HAVE_VA_COPY

2006-09-18 18:02  yjung

	* irplib/irplib_irlist.h: updated coordinates of HD40335 on E.
	Mason request

2006-09-18 14:32  llundin

	* irplib/irplib_dfs.c: irplib_image_save(): Support NULL image

2006-09-18 14:31  llundin

	* tests/Makefile.am: Added visir_img_dark

2006-09-15 17:32  yjung

	* irplib/irplib_wlxcorr.c: removed level correction

2006-09-14 17:07  llundin

	* recipes/visir_img_ff.c: DFS02177 draft

2006-09-13 09:58  llundin

	* configure.ac: Reverted to r. 1.27

2006-09-12 16:54  llundin

	* configure.ac: Removed check for __func__

2006-09-12 16:54  llundin

	* irplib/: irplib_calib.c, irplib_distortion.c, irplib_oddeven.c,
	irplib_ppm.c, irplib_slitpos.c, irplib_spectrum.c, irplib_std.c,
	irplib_utils.h, irplib_wlxcorr.c: Replaced __func__ with cpl_func

2006-09-12 11:16  llundin

	* irplib/irplib_error.c, irplib/irplib_error.h,
	irplib/irplib_framelist.c, irplib/irplib_strehl.c,
	irplib/irplib_utils.h, recipes/visir_img_achro.c,
	recipes/visir_img_combine.c, recipes/visir_img_dark.c,
	recipes/visir_img_ff.c, recipes/visir_img_focfwhm.c,
	recipes/visir_img_illu.c, recipes/visir_img_pfov.c,
	recipes/visir_img_phot.c, recipes/visir_img_psf.c,
	recipes/visir_img_trans.c, recipes/visir_spc_obs.c,
	recipes/visir_spc_obs_ech.c, recipes/visir_spc_phot.c,
	recipes/visir_spc_phot_ech.c, recipes/visir_spc_wcal.c,
	recipes/visir_spc_wcal_ech.c, recipes/visir_util_img_std_cat.c,
	recipes/visir_util_inputs.c, recipes/visir_util_spc_std_cat.c,
	recipes/visir_util_spc_txt2fits.c, visir/irplib_pfits.c,
	visir/irplib_pfits.h, visir/irplib_plugin.c, visir/irplib_tools.h,
	visir/visir_dfs.c, visir/visir_inputs.c, visir/visir_pfits.c,
	visir/visir_spc_distortion.c, visir/visir_spc_photom.c,
	visir/visir_spectro.c, visir/visir_utils.c, visir/visir_utils.h:
	Replaced __func__ by cpl_func

2006-09-11 16:07  llundin

	* bootstrap: Used bootstrap from qfits

2006-09-11 16:07  llundin

	* recipes/: visir_img_combine.c, visir_img_dark.c, visir_img_ff.c,
	visir_img_phot.c, visir_spc_obs.c, visir_spc_obs_ech.c,
	visir_spc_phot.c, visir_spc_phot_ech.c, visir_spc_wcal.c,
	visir_spc_wcal_ech.c: Replaced "" regexp with "." (darwin)

2006-09-06 15:19  llundin

	* recipes/visir_img_dark.c, visir/visir_dfs.h,
	visir/visir_dfs_dpr.h, visir/visir_pfits.h: Support darks in
	spectro mode. Split sets only on exptime

2006-09-06 13:27  llundin

	* recipes/Makefile.am, recipes/visir_img_dark.c, visir/visir_dfs.c,
	visir/visir_dfs.h, visir/visir_parameter.c,
	visir/visir_parameter.h, visir/visir_pfits.h, visir/visir_utils.c,
	visir/visir_utils.h: Darks in imaging - adapted from NACO

2006-09-06 13:10  llundin

	* configure.ac: 1.5.0

2006-09-06 13:09  llundin

	* visir/: visir_inputs.c, visir_utils.c: cpl_bivector_load() ->
	cpl_bivector_read(), cpl_vector_load() -> cpl_vector_read()

2006-09-04 10:48  jmlarsen

	* irplib/: irplib_error.c, irplib_flat.c, irplib_framelist.c,
	irplib_plot.c, irplib_slitpos.c, irplib_std.c, irplib_std.h,
	irplib_strehl.c: Added/moved a few doxygen tags to make it explicit
	that parts of the file are not supposed to be documented

2006-09-04 09:54  llundin

	* recipes/visir_img_phot.c: visir_img_phot_sensit(): PERPENDICULAR
	is default, try other on failure with missing CHOPNOD card.
	Improved messages. visir_img_phot_flux_three(): Added
	visir_img_phot_eccent_three(), but need more test data to use it

2006-09-01 11:26  llundin

	* recipes/visir_img_phot.c: visir_img_phot_flux_four(): Fail on
	negative FWHM, reordered messages

2006-08-31 16:06  llundin

	* recipes/visir_img_phot.c: visir_img_phot_flux(): Use background
	subtracted image

2006-08-31 13:42  llundin

	* recipes/visir_img_phot.c:  visir_img_phot_flux_three(): Use same
	sigma for neg+ neg. visir_img_phot_flux_four(): fail on non-zquare,
	msg formatting

2006-08-31 09:22  llundin

	* recipes/visir_img_phot.c: visir_img_phot_eccent_four(): Added.
	visir_img_phot_flux_our(): Use visir_img_phot_eccent_four()

2006-08-29 12:59  yjung

	* irplib/irplib_std.c: [no log message]

2006-08-24 09:08  jmlarsen

	* irplib/irplib_dfs.c: Added printf format attributes for local
	functions

2006-08-23 17:05  jmlarsen

	* irplib/: irplib_plot.c, irplib_plot.h: Added
	irplib_bivectors_plot()

2006-08-21 16:18  yjung

	* irplib/irplib_std.c: support case where SEDs too short

2006-08-21 14:13  yjung

	* irplib/irplib_slitpos.c: removed warning

2006-08-21 11:37  cizzo

	* irplib/irplib_ppm.c: Fix doc errors in
	irplib_ppm_match_positions()

2006-08-17 08:58  jmlarsen

	* irplib/irplib_error.c: Disabled local function format attributes
	for older versions of GCC

2006-08-10 13:09  jmlarsen

	* irplib/irplib_error.c: Added function pointer format attributes,
	explicit void at function definition

2006-08-07 01:08  yjung

	* irplib/irplib_wlxcorr.c: mem leak

2006-08-07 00:45  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-08-04 22:49  yjung

	* irplib/irplib_dfs.c: increased the decimal precision for doubles
	in the paf file

2006-08-04 15:55  yjung

	* irplib/irplib_std.c: corrected units with Chris inpouts

2006-08-04 02:28  yjung

	* irplib/irplib_std.c: [no log message]

2006-08-03 02:40  yjung

	* irplib/irplib_std.c: forgot to deallocate a table

2006-07-28 17:59  yjung

	* irplib/irplib_std.c: [no log message]

2006-07-28 14:45  yjung

	* irplib/irplib_std.c: [no log message]

2006-07-27 15:07  yjung

	* irplib/: irplib_irlist.h, irplib_std.c, irplib_std.h: [no log
	message]

2006-07-26 16:47  yjung

	* irplib/: irplib_distortion.c, irplib_distortion.h: added kappa
	parameter for arcs detection

2006-07-26 16:25  llundin

	* irplib/irplib_dfs.c: irplib_dfs_get_filename(): Use
	irplib_vsnprintf_create(). Add nonnull __attribute__ for some
	static functions

2006-07-26 16:24  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: Added
	irplib_vsnprintf_create()

2006-07-26 16:22  llundin

	* irplib/irplib_framelist.c: Fixed warning for unsupported nonnull
	attribute

2006-07-26 16:21  llundin

	* recipes/visir_util_spc_std_cat.c: Fixed cast warning

2006-07-26 10:46  cizzo

	* irplib/irplib_ppm.c: Fix bug on unitialised maxpos variable in
	irplib_ppm_match_positions()

2006-07-25 13:23  llundin

	* tests/recipe_main.c: Dropped argv/argc

2006-07-25 13:13  llundin

	* tests/recipe_main.c, visir/irplib_plugin.c: irplib_plugin_test():
	Include CPL msg_level preservation

2006-07-25 11:25  llundin

	* tests/recipe_main.c, visir/irplib_plugin.c,
	visir/irplib_plugin.h: irplib_plugin_test(): size_t

2006-07-25 10:13  llundin

	* irplib/irplib_dfs.c: irplib_table_save(): Moved WCS removal to
	cpl_table_save(). irplib_table_save() and irplib_image_save():
	rawframes -> usedframes, propagate cpl_dfs_setup_product_header()
	failure

2006-07-24 11:45  llundin

	* irplib/irplib_utils.c: irplib_string_concatenate_all(): Added
	cast for cpl_realloc()

2006-07-24 08:55  llundin

	* irplib/irplib_plot.c: irplib_mplot_open(): Added getuid() check

2006-07-21 17:16  llundin

	* irplib/irplib_dfs.c, irplib/irplib_plot.c, visir/irplib_plugin.c,
	visir/visir_parameter.c, visir/visir_spc_optmod.c,
	visir/visir_spectro.c, visir/visir_utils.h: Replaced strcpy(),
	sprintf, snprintf()  - mostly with irplib_string_concatenate_all()

2006-07-21 13:27  llundin

	* irplib/irplib_framelist.c: irplib_property_equal(): Use
	irplib_string_concatenate_all()

2006-07-21 10:44  llundin

	* irplib/irplib_framelist.c: irplib_framelist_contains(): Avoid
	variable-size array

2006-07-21 09:20  llundin

	* irplib/: irplib_utils.c, irplib_utils.h: Added
	irplib_string_concatenate_all()

2006-07-20 15:46  llundin

	* irplib/irplib_framelist.c: Added example

2006-07-20 14:48  llundin

	* irplib/irplib_framelist.c: Removed irplib_error.h dependency

2006-07-20 13:45  llundin

	* irplib/irplib_framelist.c, irplib/irplib_framelist.h,
	recipes/visir_img_achro.c, recipes/visir_img_combine.c,
	recipes/visir_img_ff.c, recipes/visir_img_focfwhm.c,
	recipes/visir_img_illu.c, recipes/visir_img_pfov.c,
	recipes/visir_img_phot.c, recipes/visir_img_psf.c,
	recipes/visir_img_trans.c, recipes/visir_spc_obs.c,
	recipes/visir_spc_obs_ech.c, recipes/visir_spc_phot.c,
	recipes/visir_spc_phot_ech.c, recipes/visir_spc_wcal.c,
	recipes/visir_spc_wcal_ech.c, recipes/visir_util_inputs.c:
	irplib_framelist_load_propertylist{,_all}(): Added invert flag

2006-07-20 13:17  llundin

	* irplib/irplib_framelist.c, irplib/irplib_framelist.h,
	recipes/visir_img_combine.c, recipes/visir_img_ff.c,
	recipes/visir_img_pfov.c, recipes/visir_util_spc_txt2fits.c:
	irplib_framelist_extract_regexp(): Added invert flag

2006-07-20 12:47  llundin

	* irplib/: irplib_framelist.c, irplib_framelist.h: Do not export
	IRPLIB_FITS_STRLEN

2006-07-20 12:46  llundin

	* visir/irplib_pfits.h: Added IRPLIB_FITS_STRLEN

2006-07-20 12:40  llundin

	* recipes/visir_img_focfwhm.c, recipes/visir_img_pfov.c,
	recipes/visir_img_phot.c, recipes/visir_util_spc_txt2fits.c,
	visir/irplib_pfits.c, visir/visir_inputs.c,
	visir/visir_spc_photom.c, visir/visir_spectro.c,
	visir/visir_utils.c: Use irplib_framelist_get_const() and
	irplib_framelist_get_propertylist_const()

2006-07-20 12:35  llundin

	* irplib/: irplib_framelist.c, irplib_framelist.h: Added
	irplib_framelist_get{,_propertylist}_const()

2006-07-20 11:55  llundin

	* irplib/irplib_framelist.c: Removed dependency on irplib_tools.h.
	irplib_framelist_load_propertylist(): Use
	cpl_propertylist_load_regexp()

2006-07-20 11:21  llundin

	* irplib/irplib_framelist.c: irplib_property_equal(): strncmp() ->
	strcmp()

2006-07-20 10:36  llundin

	* visir/: irplib_pfits.c, irplib_pfits.h: Moved from
	irplib_framelist

2006-07-20 10:36  llundin

	* irplib/: irplib_framelist.c, irplib_framelist.h: Removed
	dependence on irplib_pfits

2006-07-20 10:14  llundin

	* irplib/: Makefile.am, irplib_framelist.c, irplib_framelist.h: New
	module: irplib_framelist

2006-07-20 10:10  llundin

	* visir/: Makefile.am, irplib_framelist.c, irplib_framelist.h:
	Moved irplib_framelist module to irplib

2006-07-20 09:22  llundin

	* irplib/irplib_dfs.c: irplib_assure_code() -> cpl_ensure_code()

2006-07-19 16:11  llundin

	* recipes/visir_util_spc_std_cat.c: Removed calls to
	qfits_get_base_name() and qfits_get_root_name()

2006-07-19 15:18  llundin

	* visir/: visir_dfs.c, visir_dfs.h: visir_{image,table}_save():
	Removed

2006-07-19 15:16  llundin

	* visir/irplib_framelist.c: Redeclare irplib_framelist_new(void)

2006-07-19 09:46  llundin

	* irplib/irplib_dfs.c: Removed unneeded #includes

2006-07-17 13:19  llundin

	* visir/visir_spc_photom.c: visir_spc_phot_model_rebin(): Fixed
	unit "W/m^2/m" ->  "mJy"

2006-07-13 13:06  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: wl_error from double
	to vector

2006-07-12 16:17  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: [no log message]

2006-07-12 11:37  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-07-12 08:24  yjung

	* irplib/: irplib_ppm.c, irplib_wlxcorr.c, irplib_wlxcorr.h: [no
	log message]

2006-07-11 18:41  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-07-11 18:09  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: added
	irplib_wlxcorr_plot_solution

2006-07-11 12:29  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-07-11 11:30  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: FIRST working
	version of the best_poly() function

2006-07-10 10:26  llundin

	* irplib/irplib_dfs.c: irplib_paf_save(): Added example

2006-07-05 16:58  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-07-05 16:56  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: added
	irplib_wlxcorr_best_poly()

2006-07-04 17:49  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-07-04 15:33  yjung

	* irplib/: irplib_ppm.c, irplib_ppm.h: [no log message]

2006-07-03 17:08  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: [no log message]

2006-07-03 16:26  yjung

	* irplib/: irplib_ppm.c, irplib_wlxcorr.c, irplib_wlxcorr.h: [no
	log message]

2006-07-03 10:37  llundin

	* recipes/visir_util_spc_std_cat.c: Removed QFITS-casts. redeclared
	data

2006-06-30 16:03  yjung

	* irplib/irplib_ppm.c: [no log message]

2006-06-30 15:48  yjung

	* irplib/: irplib_ppm.c, irplib_ppm.h, irplib_wlxcorr.c,
	irplib_wlxcorr.h: FIRST VERSION USING PPM

2006-06-28 17:11  yjung

	* irplib/irplib_wlxcorr.c: types error

2006-06-28 14:48  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-06-27 09:23  llundin

	* irplib/irplib_utils.c: static
	irplib_paf_dump_{int,double,string}(): Removed

2006-06-26 16:27  llundin

	* irplib/irplib_dfs.c: irplib_product_save(): Improved doc

2006-06-26 16:25  llundin

	* irplib/irplib_dfs.c: irplib_<table,image,paf>_save(): Removed
	irplib_error usage

2006-06-26 11:56  jmlarsen

	* irplib/: Makefile.am, Makefile.am: Changed irplib from dynamic to
	static (i.e. not installed) library. This was to avoid conflicts
	between pipelines that use incompatible library versions

2006-06-26 09:45  jmlarsen

	* irplib/: Makefile.am, irplib_fit.c, irplib_fit.h,
	irplib_spline.c, irplib_spline.h: Removed LM-fitting,
	spline-fitting modules

2006-06-23 15:03  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-06-23 13:56  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-06-23 10:55  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: added
	sofi_wlcalib_catalog_plot

2006-06-23 10:22  yjung

	* irplib/irplib_wlxcorr.c: [no log message]

2006-06-23 10:17  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: [no log message]

2006-06-23 09:18  yjung

	* irplib/: irplib_wlxcorr.c, irplib_wlxcorr.h: [no log message]

2006-06-23 09:14  yjung

	* irplib/: Makefile.am, irplib_wlxcorr.c, irplib_wlxcorr.h: [no log
	message]

2006-06-22 11:28  llundin

	* irplib/irplib_flat.c: removed __func__ ---> cpl_func

2006-06-21 15:07  yjung

	* irplib/: irplib_utils.c, irplib_utils.h: removed
	irplib_propertylist_dump_paf() and irplib_paf_print_header()

2006-06-02 17:07  llundin

	* irplib/irplib_dfs.c: irplib_{image,table}_save():
	cpl_propertylist_copy_property_regexp() ->
	cpl_propertylist_append(), Removed IRPLIB_DFS_ERASE_REGEXP, use
	CPL_BPP_32_SIGNED for saving int-pixel images

2006-06-02 13:57  llundin

	* irplib/irplib_dfs.c: Renamed macro

2006-06-02 10:45  jmlarsen

	* irplib/irplib_spline.c: Documented supported column types

2006-06-02 10:33  jmlarsen

	* irplib/: Makefile.am, irplib_spline.c, irplib_spline.h: Added
	spline interpolation routines

2006-05-31 15:25  llundin

	* irplib/irplib_dfs.c: Resolved include problem

2006-05-31 15:20  llundin

	* irplib/irplib_dfs.c: Resolved include problem

2006-05-31 12:55  llundin

	* irplib/Makefile.am: Added module dfs

2006-05-31 09:24  llundin

	* visir/irplib_framelist.c: irplib_dfs_check_frame_tag(): Added
	prototype. Renamed index to ind

2006-05-30 16:27  llundin

	* irplib/irplib_dfs.c: irplib_{image,table}_save(): Do not call
	cpl_propertylist_load()

2006-05-30 13:33  llundin

	* irplib/irplib_dfs.c: irplib_paf_init(): Fixed doxygen bug

2006-05-30 13:07  llundin

	* irplib/irplib_dfs.c: Copied from HEAD: irplib_paf_save(): Do not
	use (deprecated) PAF-functions

2006-05-30 13:07  llundin

	* irplib/irplib_dfs.c: irplib_paf_save(): Do not use (deprecated)
	PAF-functions

2006-05-30 12:59  llundin

	* irplib/irplib_utils.h: Revert change of 1.19

2006-05-30 11:51  llundin

	* irplib/irplib_utils.h: irplib_paf_print_header(): deprecated.
	irplib_propertylist_dump_paf(): deprecated

2006-05-30 11:33  llundin

	* irplib/irplib_dfs.c: Copied from HEAD:
	irplib_{image,table,paf}_save(): Improved documentation

2006-05-30 11:32  llundin

	* irplib/irplib_dfs.c: irplib_{image,table,paf}_save(): Improved
	documentation

2006-05-30 11:31  llundin

	* irplib/irplib_utils.h: irplib_assure{,_code}(): Use
	irplib_error_push()

2006-05-30 10:52  llundin

	* visir/: irplib_dfs.c, irplib_dfs.h: Moved to irplib

2006-05-29 16:50  llundin

	* irplib/Makefile.am, irplib/irplib_dfs.c, irplib/irplib_dfs.h,
	recipes/visir_img_achro.c, recipes/visir_img_combine.c,
	recipes/visir_img_ff.c, recipes/visir_img_focfwhm.c,
	recipes/visir_img_illu.c, recipes/visir_img_pfov.c,
	recipes/visir_img_phot.c, recipes/visir_img_psf.c,
	recipes/visir_img_trans.c, recipes/visir_recipe.h,
	recipes/visir_spc_obs.c, recipes/visir_spc_obs_ech.c,
	recipes/visir_spc_phot.c, recipes/visir_spc_phot_ech.c,
	recipes/visir_spc_wcal.c, recipes/visir_spc_wcal_ech.c,
	recipes/visir_util_img_std_cat.c, recipes/visir_util_inputs.c,
	recipes/visir_util_spc_txt2fits.c, visir/Makefile.am,
	visir/irplib_framelist.c, visir/irplib_framelist.h,
	irplib/irplib_dfs.c, irplib/irplib_dfs.h: Added in IRPLIB:
	irplib_{image,table,paf}_save()

2006-05-29 12:30  llundin

	* irplib/: irplib_utils.h, irplib_utils.c:
	irplib_frameset_extract{,_regexp}(): Removed

2006-05-29 12:05  llundin

	* irplib/irplib_plot.c: Indentation. __func__ -> cpl_func. Merged
	changes from CPL-2_1-BRANCH: Compiler warnings

2006-05-29 12:03  llundin

	* irplib/irplib_plot.h: irplib_plot_manpage(): Merged changes from
	CPL-2_1-BRANCH

2006-05-24 08:39  llundin

	* tests/recipe_main.c: #ifdef for CPL 3.0

2006-05-23 13:13  llundin

	* recipes/visir_img_combine.c, recipes/visir_img_ff.c,
	recipes/visir_img_phot.c, recipes/visir_spc_obs.c,
	recipes/visir_spc_obs_ech.c, recipes/visir_spc_phot.c,
	recipes/visir_spc_phot_ech.c, recipes/visir_spc_wcal.c,
	recipes/visir_spc_wcal_ech.c, visir/irplib_dfs.c,
	visir/irplib_framelist.c, visir/irplib_plugin.h,
	visir/irplib_tools.h: irplib_assure_code() +
	irplib_propertylist_erase_regexp(): hide API change

2006-05-19 14:31  yjung

	* irplib/: irplib_oddeven.c, irplib_oddeven.h: added first files

2006-05-19 14:25  yjung

	* irplib/: Makefile.am, irplib_oddeven.c, irplib_oddeven.h: [no log
	message]

2006-05-18 16:29  yjung

	* irplib/: irplib_plot.c, irplib_plot.h, irplib_std.c,
	irplib_std.h, irplib_utils.c: warnings

2006-05-18 15:21  llundin

	* irplib/irplib_utils.h: Replaced cpl_assure{,_code} with
	cpl_ensure{,_code}

2006-05-18 15:18  llundin

	* irplib/: irplib_fit.c, irplib_plot.c, irplib_strehl.c,
	irplib_utils.c: Replaced cpl_assure{,_code}() with
	cpl_ensure{,_code}()

2006-05-15 08:51  yjung

	* irplib/: irplib_distortion.c, irplib_distortion.h: added a
	parameter to irplib_distortion_estimate() : the degree of the
	polynomial

2006-05-11 14:26  yjung

	* irplib/: irplib_distortion.c, irplib_distortion.h: added the
	degree parameter to the distortion estimation

2006-05-11 14:21  yjung

	* irplib/: irplib_plot.c, irplib_plot.h: added
	irplib_vectors_plot()

2006-05-05 14:36  jmlarsen

	* irplib/: irplib_irlist.h, irplib_irlist.h: Added missing
	copyright header

2006-05-05 13:39  jmlarsen

	* irplib/: irplib_std.c, irplib_std.h: Changed type char * -> const
	char * of variables pointing to string constants

2006-05-05 13:34  jmlarsen

	* irplib/: irplib_std.c, irplib_std.h: Changed type char * -> const
	char * of variables pointing to string constants

2006-05-04 11:22  jmlarsen

	* irplib/irplib_fit.c: Bugfix in get_candidate(): M -> Mfit (Wrong
	indexing if one or more fit parameters are held constant)

2006-05-03 17:19  llundin

	* catalogs/: img_std_catalog.txt, spec_std_catalog.tar: Corrected
	coordinates for HD187642 (DFS02583, PSO 5822)

2006-04-24 13:48  jmlarsen

	* irplib/: irplib_fit.c, irplib_fit.h: Added a check that the value
	of the 'fix_pars' argument to irplib_fit_gaussian_1d() makes sense

2006-04-24 11:12  jmlarsen

	* irplib/: irplib_fit.c, irplib_fit.h: Generalized
	irplib_fit_gaussian_1d and irplib_fit to allow fixing any
	combination of fit parameters

2006-04-13 13:55  yjung

	* irplib/Makefile.am: added irplib_ppm.ch

2006-04-13 13:55  yjung

	* irplib/: irplib_ppm.c, irplib_ppm.h: [no log message]

2006-04-13 13:53  yjung

	* irplib/: irplib_ppm.c, irplib_ppm.h: import mos_identify_peaks
	from VIMOS

2006-04-10 11:25  jmlarsen

	* irplib/irplib_fit.c: Replaced __func__ -> cpl_func

2006-04-07 15:00  yjung

	* irplib/: irplib_utils.c, irplib_utils.h: removed
	irplib_bivector_load()

2006-04-07 11:24  jmlarsen

	* irplib/: irplib_fit.c, irplib_fit.c: Defined a maximum number of
	iterations in order to guarantee that the LM-loop always
	terminates, even in the (currently non-observed but difficult to
	exclude) case where a nan/inf causes the math logic to break down.

2006-04-06 17:17  yjung

	* irplib/irplib_plot.c: [no log message]

2006-04-06 17:04  yjung

	* irplib/: irplib_calib.c, irplib_distortion.c, irplib_flat.c,
	irplib_plot.c, irplib_slitpos.c, irplib_spectrum.c, irplib_utils.c:
	removed fctid ---> __func__

2006-03-23 13:43  jmlarsen

	* irplib/: irplib_fit.c, irplib_utils.c, irplib_utils.h: Removed
	workaround for DFS02390 (cpl_matrix_solve returning nan)

2006-03-22 17:27  yjung

	* irplib/irplib_spectrum.c: 10 -> 30 for spectrum detection shadows
	criteria

2006-03-22 17:26  yjung

	* irplib/irplib_spectrum.c: 10 -> 30 for the spectrum factor

2006-03-16 11:19  llundin

	* recipes/visir_util_spc_std_cat.c: static starnamelen. include
	stdio.h

2006-03-16 11:18  llundin

	* visir/visir_inputs.c: visir_img_recombine(): Use
	cpl_image_threshold() to create contrib image with all ones

2006-03-14 17:05  llundin

	* visir/irplib_dfs.c: Copied from NACO: irplib_table_save(): Revert
	to extension .fits

2006-03-13 08:52  llundin

	* visir/irplib_dfs.c: Improved comment

2006-03-13 08:28  llundin

	* configure.ac: 1.4.0

2006-03-13 08:21  llundin

	* visir/irplib_dfs.c: Copied from NACO: irplib_table_save():
	visir-tfits work-around (bis)

2006-03-07 17:06  llundin

	* recipes/visir_img_achro.c, recipes/visir_img_combine.c,
	recipes/visir_img_ff.c, recipes/visir_img_focfwhm.c,
	recipes/visir_img_illu.c, recipes/visir_img_pfov.c,
	recipes/visir_img_phot.c, visir/irplib_dfs.c, visir/irplib_dfs.h,
	visir/visir_dfs.c, visir/visir_dfs.h, recipes/visir_img_psf.c,
	recipes/visir_img_trans.c, recipes/visir_spc_obs.c,
	recipes/visir_spc_obs_ech.c, recipes/visir_spc_phot.c,
	recipes/visir_spc_phot_ech.c, recipes/visir_spc_wcal.c,
	recipes/visir_spc_wcal_ech.c, recipes/visir_util_img_std_cat.c,
	recipes/visir_util_inputs.c, recipes/visir_util_spc_txt2fits.c: New
	visir_*_save(). visir_util_img_std_cat+visir_util_spc_txt2fits:
	INSTRUME key for .txt input. visir_spc_phot*: Reinstate _tab...

2006-03-07 16:56  llundin

	* visir/visir_utils.c: Removed unused visir_*_save(),
	visir_paf_init(), visir_paf_end()

2006-03-07 11:40  llundin

	* visir/: irplib_framelist.h, irplib_plugin.c: Removed compiler
	warnings

2006-03-06 09:59  llundin

	* visir/visir_utils.h: Removed unused visir_*_save(),
	visir_paf_init(), visir_paf_end()

2006-03-06 09:19  llundin

	* recipes/: visir_img_achro.c, visir_img_combine.c, visir_img_ff.c,
	visir_img_focfwhm.c, visir_img_illu.c, visir_img_pfov.c,
	visir_img_phot.c, visir_img_psf.c, visir_img_trans.c,
	visir_spc_obs.c, visir_spc_obs_ech.c, visir_spc_phot.c,
	visir_spc_phot_ech.c, visir_spc_wcal.c, visir_spc_wcal_ech.c,
	visir_util_img_std_cat.c, visir_util_inputs.c,
	visir_util_spc_txt2fits.c: Use irplib_*_save()

2006-03-06 09:19  llundin

	* visir/visir_parameter.h: Removed visir_parameter_get_*()

2006-03-03 16:19  llundin

	* recipes/visir_recipe.h: include irplib_tools and irplib_dfs

2006-03-03 16:19  llundin

	* visir/: visir_utils.c, visir_utils.h: Removed
	visir_get_license(). Moved skip_if() etc. to irplib_tools.h

2006-03-03 14:49  llundin

	* visir/: Makefile.am, irplib_dfs.c, irplib_dfs.h,
	irplib_framelist.c, irplib_framelist.h, irplib_pfits.c,
	irplib_pfits.h, irplib_plugin.c, irplib_plugin.h, irplib_tools.h:
	Copied from NACO: irplib_*.{c,h} (incl. new irplib_tools.h)

2006-03-01 14:22  jmlarsen

	* irplib/irplib_error.h: Defined one instead of many error handling
	macros

2006-03-01 14:20  jmlarsen

	* irplib/: irplib_error.c, irplib_error.c: Proper handling of the
	case where error queue is out of sync. with CPL's error state;
	Disallow CPL_ERROR_NONE as error code

2006-03-01 14:17  jmlarsen

	* irplib/irplib_error.h: Defined one instead of many error handling
	macros

2006-02-27 11:13  llundin

	* recipes/visir_img_ff.c, recipes/visir_img_phot.c,
